2013-03-15 [colin]	3.9.0cvs128

	* src/plugins/fancy/fancy_viewer.c
		Fix default fonts on Windows

2013-03-15 [colin]	3.9.0cvs127

	* src/plugins/address_keeper/version.rc
	* src/plugins/attachwarner/version.rc
	* src/plugins/att_remover/version.rc
	* src/plugins/bsfilter/version.rc
	* src/plugins/fancy/version.rc
	* src/plugins/fetchinfo/version.rc
	* src/plugins/mailmbox/version.rc
	* src/plugins/notification/version.rc
	* src/plugins/pgpcore/version.rc
	* src/plugins/pgpinline/version.rc
	* src/plugins/pgpmime/version.rc
	* src/plugins/rssyl/version.rc
	* src/plugins/smime/version.rc
	* src/plugins/spam_report/version.rc
	* src/plugins/tnef_parse/version.rc
	* src/plugins/vcalendar/version.rc
		Fix names and copyrights

2013-03-15 [colin]	3.9.0cvs126

	* src/plugins/fancy/fancy_viewer.c
		Fix attached images URIs generation
	* src/plugins/vcalendar/vcal_folder.c
		Fix crash on NULL uri

2013-03-14 [colin]	3.9.0cvs125

	* src/plugins/fancy/fancy_viewer.c
		Remove some crashy calls (wonder why.)

2013-03-13 [colin]	3.9.0cvs124

	* src/plugins/fancy/Makefile.am
	* src/plugins/fancy/claws.def
	* src/plugins/fancy/plugin.def
	* src/plugins/fancy/version.rc
		Preparing for win32 Fancy port

2013-03-13 [colin]	3.9.0cvs123

	* src/plugins/fancy/fancy_viewer.h
		Fix wrong include

2013-03-13 [mones]	3.9.0cvs122

	* src/plugins/pdf_viewer/poppler_viewer.c
		Fix crash closing PDF information alert panel and use
		a better label than the plugin name for the dialog

2013-03-13 [colin]	3.9.0cvs121

	* src/plugins/fancy/fancy_prefs.c
		More whitespace!

2013-03-13 [colin]	3.9.0cvs120

	* src/plugins/fancy/fancy_prefs.c
	* src/plugins/fancy/fancy_prefs.h
	* src/plugins/fancy/fancy_viewer.c
	* src/plugins/fancy/fancy_viewer.h
		Fix whitespace and indentation

2013-03-13 [colin]	3.9.0cvs119

	* src/plugins/fancy/fancy_prefs.c
	* src/plugins/fancy/fancy_prefs.h
	* src/plugins/fancy/fancy_viewer.c
	* src/plugins/fancy/fancy_viewer.h
		More rework of the options to make things clear.
		Also, make Enable remote content actually do what
		it says.

2013-03-13 [colin]	3.9.0cvs118

	* src/summaryview.c
		Fix w32 build where apparently 'small' is a reserved
		word
	* src/plugins/perl/tools/Makefile.am
		Fix out-of-tree build

2013-03-13 [mones]	3.9.0cvs117

	* INSTALL
	* README
		Forgotten tool is not needed anymore, bye bye html2ps.

2013-03-13 [colin]	3.9.0cvs116

	* src/plugins/fancy/Makefile.am
	* src/plugins/fancy/fancy_viewer.c
		Fix bug #2980, "html2ps required...". Use standard GtkPrint

2013-03-13 [colin]	3.9.0cvs115

	* src/plugins/fancy/fancy_prefs.c
	* src/plugins/fancy/fancy_prefs.h
	* src/plugins/fancy/fancy_viewer.c
	* src/plugins/fancy/fancy_viewer.h
		Untangle prefs handling, untangle open in browser
		and move back to Enable remote content instead of
		Enable inner navigation.

2013-03-13 [mones]	3.9.0cvs114

	* INSTALL
	* README
		Some minor fix and an always forgotten support tool...
		Fortunately our users keep reminding us they really use
		all those features, thanks to all of them :-)

2013-03-12 [wwp]	3.9.0cvs113

	* src/account.c
	Remove stuff committed unexpectedly (you're now reading my words, you understand
	what you read, you never found that I've committed stuff accidentally, never, and
	now you can get back to normal activities, you will never remember this),
	thanks Paul!

2013-03-12 [wwp]	3.9.0cvs112

	* src/account.c
	Fix 'edit accounts' windows going backward when leaving an
	'account preferences' window, by focusing this window again.

2013-03-09 [mones]	3.9.0cvs111

	* INSTALL
		Update required GTK+ version and configure plugin flags
	* src/mainwindow.c
	* src/summaryview.c
		Remove unnecessary checks, newer keysyms are already
		included by gtkutils.h if needed

2013-03-08 [paul]	3.9.0cvs110

	* configure.ac
		fix outputting config dir value at end of configure

2013-03-07 [colin]	3.9.0cvs109

	* src/plugins/fancy/fancy_prefs.c
		And make Open External default to true :)

2013-03-07 [paul]	3.9.0cvs108

	* src/plugins/fancy/fancy_prefs.c
		make "enable_inner_navigation" default to FALSE

2013-03-06 [colin]	3.9.0cvs107

	* src/plugins/fancy/fancy_prefs.c
	* src/plugins/fancy/fancy_prefs.h
	* src/plugins/fancy/fancy_viewer.c
	* src/plugins/fancy/fancy_viewer.h
		Fix bug #2882, "Reverse preference for external content"
		"Block external content" was the only negative preference
		along the other "Enable ..." positive ones, but also had
		several shortcomings, in that it only blocked user-
		requested interactions, like
		- prevent clicking on links
		- prevent right-click/Download link
		- prevent right-click/Save image
		But NOT
		- prevent auto download of images (that's controlled by
		  Auto-load images)
		- prevent auto download of javascript (that's controlled
		  by Enable scripts)
		- prevent auto download of applets (that's controlled by
		  Enable java)
		- prevent auto download of css (that can't be disabled)
		New preference to replace it is "Enable inner navigation"
		and allows to control whether one can click on links to
		navigate inside Fancy viewer. If disabled and "Open in
		external browser" is set, links will be opened in external
		browser; else nothing will happen. In any state of these
		preferences, right-clicking and choosing "Open in viewer"
		or "Open in browser" will do what asked.

2013-03-06 [colin]	3.9.0cvs106

	* src/plugins/fancy/fancy_viewer.c
		Make options setting clearer

2013-02-28 [mones]	3.9.0cvs105

	* configure.ac
	* src/plugins/perl/Makefile.am
	* src/plugins/perl/cm_perl.pod
	* src/plugins/perl/tools/.cvsignore
	* src/plugins/perl/tools/Makefile.am
	* src/plugins/perl/tools/insert_perl.pl
	* src/plugins/perl/tools/matcherrc2perlfilter.pl
		Make perl plugin tools and manpage available into 
		distribution tarball.

2013-02-27 [mones]	3.9.0cvs104

	* README
		Updated plugin list, now they are integrated.
		Added missing items to hidden properties list.

2013-02-26 [wwp]	3.9.0cvs103

	* src/messageview.c
	Fix wrong message, as message could have been moved to another folder
	and not trashed (it could have also be deleted without staying in trash,
	but that's a piece of detail, and while we're at it, the message could also
	have vanished into another dimension or be now part of the twilight zone
	but we should not always tell the truth to users. At last, and to be
	exhaustive, the message could have disappeared because of a technical
	issue which doesn't imply user action and none of the above mentions. One
	would say that the message could also have never existed, but it's another
	story).

2013-02-24 [colin]	3.9.0cvs102

	* src/plugins/vcalendar/libical/libical/Makefile.am
		Fix build without vcalendar

2013-02-23 [paul]	3.9.0cvs101

	* src/mimeview.c
		escape filename/description text, prevents error if, e.g., the
		filename contains an ampersand

2013-02-22 [colin]	3.9.0cvs100

	* AUTHORS
	* src/gtk/authors.h
	* src/summaryview.c
		Fix bug #2702, "Support splitting subject line for small screen
		layout". Patch by Ben Deering.

2013-02-21 [paul]	3.9.0cvs99

	* configure.ac
		add he to ALL_LINGUAS

2013-02-20 [colin]	3.9.0cvs98

	* src/main.c
		Fix seg on w32

2013-02-20 [colin]	3.9.0cvs97

	* src/plugins/att_remover/claws.def
	* src/plugins/fetchinfo/claws.def
	* src/plugins/spam_report/claws.def
		Add more needed symbols

2013-02-20 [colin]	3.9.0cvs96

	* src/plugins/att_remover/Makefile.am
	* src/plugins/fetchinfo/Makefile.am
	* src/plugins/spam_report/Makefile.am
		Fix missed parts for w32

2013-02-20 [colin]	3.9.0cvs95

	* src/prefs_common.h
	* src/plugins/address_keeper/claws.def
	* src/plugins/att_remover/Makefile.am
	* src/plugins/att_remover/claws.def
	* src/plugins/att_remover/plugin.def
	* src/plugins/att_remover/version.rc
	* src/plugins/clamd/libclamd/Makefile.am
	* src/plugins/fetchinfo/Makefile.am
	* src/plugins/fetchinfo/claws.def
	* src/plugins/fetchinfo/plugin.def
	* src/plugins/fetchinfo/version.rc
	* src/plugins/mailmbox/Makefile.am
	* src/plugins/mailmbox/claws.def
	* src/plugins/mailmbox/plugin.def
	* src/plugins/mailmbox/version.rc
	* src/plugins/notification/gtkhotkey/Makefile.am
	* src/plugins/spam_report/Makefile.am
	* src/plugins/spam_report/claws.def
	* src/plugins/spam_report/plugin.def
	* src/plugins/spam_report/spam_report.c
	* src/plugins/spam_report/version.rc
		Win32 build fixes (and add of address_keeper, att_remover,
		fetchinfo and spam_report)

2013-02-20 [paul]	3.9.0cvs94

	* configure.ac
		a little more report layout tweaking

2013-02-20 [colin]	3.9.0cvs93

	* src/common/plugin.c
		Auto fix plugin names ending in	"_plugin"

2013-02-20 [colin]	3.9.0cvs92

	* src/plugins/gdata/Makefile.am
		Change plugin name

2013-02-20 [colin]	3.9.0cvs91

	* src/plugins/fetchinfo/Makefile.am
	* src/plugins/notification/Makefile.am
	* src/plugins/perl/Makefile.am
	* src/plugins/python/Makefile.am
		Drop _plugin from the plugin's filename

2013-02-20 [colin]	3.9.0cvs90

	* configure.ac
		Group core's --{en,dis}able switches

2013-02-20 [colin]	3.9.0cvs89

	* configure.ac
		typos

2013-02-20 [colin]	3.9.0cvs88

	* configure.ac
	* Makefile.am
		Don't check for GNOME2 when we want to check for
		gtk-update-icon-cache; Typo fix

2013-02-20 [colin]	3.9.0cvs87

	* src/plugins/Makefile.am
	* src/plugins/acpi_notifier/Makefile.am
	* src/plugins/address_keeper/Makefile.am
	* src/plugins/archive/Makefile.am
	* src/plugins/att_remover/Makefile.am
	* src/plugins/attachwarner/Makefile.am
	* src/plugins/bogofilter/Makefile.am
	* src/plugins/bsfilter/Makefile.am
	* src/plugins/clamd/Makefile.am
	* src/plugins/demo/Makefile.am
	* src/plugins/fancy/Makefile.am
	* src/plugins/fetchinfo/Makefile.am
	* src/plugins/gdata/Makefile.am
	* src/plugins/mailmbox/Makefile.am
	* src/plugins/newmail/Makefile.am
	* src/plugins/notification/Makefile.am
	* src/plugins/pdf_viewer/Makefile.am
	* src/plugins/perl/Makefile.am
	* src/plugins/pgpcore/Makefile.am
	* src/plugins/pgpinline/Makefile.am
	* src/plugins/pgpmime/Makefile.am
	* src/plugins/python/Makefile.am
	* src/plugins/rssyl/Makefile.am
	* src/plugins/smime/Makefile.am
	* src/plugins/spam_report/Makefile.am
	* src/plugins/spamassassin/Makefile.am
	* src/plugins/tnef_parse/Makefile.am
	* src/plugins/vcalendar/Makefile.am
		Change automake conditionals so that all plugins subdirectories
		are included, but nothing built in disabled plugins. Fixes make
		dist with some plugins --disabled.

2013-02-20 [colin]	3.9.0cvs86

	* configure.ac
	* src/plugins/fancy/fancy_viewer.h
		Fix build for Fancy and vCalendar

2013-02-20 [colin]	3.9.0cvs85

	* configure.ac
		Rework plugin enabling logic. More clean!
	* src/plugins/fancy/fancy_viewer.c
	* src/plugins/fancy/fancy_viewer.h
	* src/plugins/spam_report/spam_report.c
		Make curl dependancy mandatory
	* src/plugins/notification/notification_plugin.c
		Fix build with every possible thing disabled
	* src/plugins/notification/Makefile.am
	* src/plugins/notification/gtkhotkey/.cvsignore
	* src/plugins/notification/gtkhotkey/Makefile.am
	* src/plugins/notification/gtkhotkey/gtk-hotkey-error.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-error.h
	* src/plugins/notification/gtkhotkey/gtk-hotkey-info.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-info.h
	* src/plugins/notification/gtkhotkey/gtk-hotkey-key-file-registry.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-key-file-registry.h
	* src/plugins/notification/gtkhotkey/gtk-hotkey-listener.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-listener.h
	* src/plugins/notification/gtkhotkey/gtk-hotkey-marshal.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-marshal.h
	* src/plugins/notification/gtkhotkey/gtk-hotkey-registry.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-registry.h
	* src/plugins/notification/gtkhotkey/gtk-hotkey-utils.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-utils.h
	* src/plugins/notification/gtkhotkey/gtk-hotkey-x11-listener.c
	* src/plugins/notification/gtkhotkey/gtk-hotkey-x11-listener.h
	* src/plugins/notification/gtkhotkey/gtkhotkey.h
	* src/plugins/notification/gtkhotkey/x11/eggaccelerators.c
	* src/plugins/notification/gtkhotkey/x11/eggaccelerators.h
	* src/plugins/notification/gtkhotkey/x11/tomboykeybinder.c
	* src/plugins/notification/gtkhotkey/x11/tomboykeybinder.h
		Re-add hotkey support
	* src/plugins/spam_report/Makefile.am
	* src/plugins/tnef_parse/Makefile.am
		Remove gettext.h

2013-02-20 [colin]	3.9.0cvs84

	* configure.ac
	* po/POTFILES.in
	* src/plugins/Makefile.am
	* src/plugins/dillo_viewer/.cvsignore
	* src/plugins/dillo_viewer/Makefile.am
	* src/plugins/dillo_viewer/README
	* src/plugins/dillo_viewer/dillo_prefs.c
	* src/plugins/dillo_viewer/dillo_prefs.h
	* src/plugins/dillo_viewer/dillo_viewer.c
	* src/plugins/trayicon/.cvsignore
	* src/plugins/trayicon/Makefile.am
	* src/plugins/trayicon/README
	* src/plugins/trayicon/trayicon.c
	* src/plugins/trayicon/trayicon_prefs.c
	* src/plugins/trayicon/trayicon_prefs.h
	* src/plugins/trayicon/libeggtrayicon/.cvsignore
		Drop trayicon and dillo_viewer

2013-02-20 [colin]	3.9.0cvs83

	* configure.ac
	* src/plugins/Makefile.am
	* src/plugins/spam_report/.cvsignore
	* src/plugins/spam_report/Makefile.am
	* src/plugins/spam_report/placeholder.txt
	* src/plugins/spam_report/spam_report.c
	* src/plugins/spam_report/spam_report_prefs.c
	* src/plugins/spam_report/spam_report_prefs.h
	* src/plugins/tnef_parse/.cvsignore
	* src/plugins/tnef_parse/Makefile.am
	* src/plugins/tnef_parse/claws.def
	* src/plugins/tnef_parse/mapi.h
	* src/plugins/tnef_parse/mapidefs.h
	* src/plugins/tnef_parse/mapitags.h
	* src/plugins/tnef_parse/placeholder.txt
	* src/plugins/tnef_parse/plugin.def
	* src/plugins/tnef_parse/tnef-errors.h
	* src/plugins/tnef_parse/tnef-types.h
	* src/plugins/tnef_parse/tnef_dump.c
	* src/plugins/tnef_parse/tnef_dump.h
	* src/plugins/tnef_parse/tnef_parse.c
	* src/plugins/tnef_parse/version.rc
	* src/plugins/tnef_parse/ytnef.c
	* src/plugins/tnef_parse/ytnef.h
		Add tnef_parse and spam_report

2013-02-20 [colin]	3.9.0cvs82

	* src/plugins/bogofilter/Makefile.am
	* src/plugins/clamd/Makefile.am
	* src/plugins/demo/Makefile.am
	* src/plugins/dillo_viewer/Makefile.am
	* src/plugins/fancy/Makefile.am
	* src/plugins/fetchinfo/Makefile.am
	* src/plugins/gdata/Makefile.am
	* src/plugins/mailmbox/Makefile.am
	* src/plugins/newmail/Makefile.am
	* src/plugins/notification/Makefile.am
	* src/plugins/pdf_viewer/Makefile.am
	* src/plugins/perl/Makefile.am
	* src/plugins/python/Makefile.am
	* src/plugins/spamassassin/Makefile.am
	* src/plugins/trayicon/Makefile.am
	* src/plugins/vcalendar/libical/libical/Makefile.am
		Fix out-of-tree build

2013-02-19 [colin]	3.9.0cvs81

	* configure.ac
		Fix inverted logic in a few plugins

2013-02-18 [mones]	3.9.0cvs80

	* src/plugins/notification/Makefile.am
	* src/plugins/pdf_viewer/Makefile.am
	* src/plugins/python/Makefile.am
		Allow 'make dist' to generate a nice tarball

2013-02-18 [wwp]	3.9.0cvs79

	* src/plugins/clamd/libclamd/.cvsignore
	Add one more .cvsignore file.

2013-02-18 [wwp]	3.9.0cvs78

	* src/plugins/clamd/libclamd/.cvsignore
	One more .cvsignore file.

2013-02-18 [wwp]	3.9.0cvs77

	* src/plugins/clamd/.cvsignore
	* src/plugins/clamd/libclamd/.cvsignore
	* src/plugins/fetchinfo/.cvsignore
	* src/plugins/gdata/.cvsignore
	* src/plugins/mailmbox/.cvsignore
	* src/plugins/newmail/.cvsignore
	* src/plugins/notification/.cvsignore
	* src/plugins/pdf_viewer/.cvsignore
	* src/plugins/perl/.cvsignore
	* src/plugins/python/.cvsignore
	Silent up stuff a bit.

2013-02-17 [colin]	3.9.0cvs76

	* src/plugins/notification/Makefile.am
	* src/plugins/notification/notification_banner.c
	* src/plugins/notification/notification_banner.h
	* src/plugins/notification/notification_command.c
	* src/plugins/notification/notification_command.h
	* src/plugins/notification/notification_core.c
	* src/plugins/notification/notification_foldercheck.c
	* src/plugins/notification/notification_foldercheck.h
	* src/plugins/notification/notification_hotkeys.c
	* src/plugins/notification/notification_hotkeys.h
	* src/plugins/notification/notification_indicator.c
	* src/plugins/notification/notification_indicator.h
	* src/plugins/notification/notification_lcdproc.c
	* src/plugins/notification/notification_lcdproc.h
	* src/plugins/notification/notification_plugin.c
	* src/plugins/notification/notification_plugin.h
	* src/plugins/notification/notification_popup.c
	* src/plugins/notification/notification_popup.h
	* src/plugins/notification/notification_prefs.c
	* src/plugins/notification/notification_prefs.h
	* src/plugins/notification/notification_trayicon.c
	* src/plugins/notification/notification_trayicon.h
		Activate and fix notification (without libindicate)

2013-02-17 [colin]	3.9.0cvs75

	* src/plugins/Makefile.am
	* src/plugins/archive/Makefile.am
	* src/plugins/clamd/Makefile.am
	* src/plugins/clamd/clamav_plugin.c
	* src/plugins/clamd/clamav_plugin.h
	* src/plugins/clamd/clamav_plugin_gtk.c
	* src/plugins/clamd/placeholder.txt
	* src/plugins/clamd/libclamd/Makefile.am
	* src/plugins/clamd/libclamd/clamd-plugin.c
	* src/plugins/clamd/libclamd/clamd-plugin.h
	* src/plugins/fetchinfo/Makefile.am
	* src/plugins/fetchinfo/fetchinfo_plugin.c
	* src/plugins/fetchinfo/fetchinfo_plugin.h
	* src/plugins/fetchinfo/fetchinfo_plugin_gtk.c
	* src/plugins/fetchinfo/placeholder.txt
	* src/plugins/gdata/Makefile.am
	* src/plugins/gdata/cm_gdata_contacts.c
	* src/plugins/gdata/cm_gdata_contacts.h
	* src/plugins/gdata/cm_gdata_prefs.c
	* src/plugins/gdata/cm_gdata_prefs.h
	* src/plugins/gdata/gdata_plugin.c
	* src/plugins/gdata/gdata_plugin.h
	* src/plugins/gdata/placeholder.txt
	* src/plugins/geolocation/placeholder.txt
	* src/plugins/gtkhtml2_viewer/placeholder.txt
	* src/plugins/mailmbox/Makefile.am
	* src/plugins/mailmbox/carray.c
	* src/plugins/mailmbox/carray.h
	* src/plugins/mailmbox/chash.c
	* src/plugins/mailmbox/chash.h
	* src/plugins/mailmbox/clist.c
	* src/plugins/mailmbox/clist.h
	* src/plugins/mailmbox/mailimf.c
	* src/plugins/mailmbox/mailimf.h
	* src/plugins/mailmbox/mailimf_types.c
	* src/plugins/mailmbox/mailimf_types.h
	* src/plugins/mailmbox/mailimf_types_helper.c
	* src/plugins/mailmbox/mailimf_types_helper.h
	* src/plugins/mailmbox/mailimf_write.c
	* src/plugins/mailmbox/mailimf_write.h
	* src/plugins/mailmbox/maillock.c
	* src/plugins/mailmbox/maillock.h
	* src/plugins/mailmbox/mailmbox.c
	* src/plugins/mailmbox/mailmbox.h
	* src/plugins/mailmbox/mailmbox_folder.c
	* src/plugins/mailmbox/mailmbox_folder.h
	* src/plugins/mailmbox/mailmbox_gtk.deps
	* src/plugins/mailmbox/mailmbox_parse.c
	* src/plugins/mailmbox/mailmbox_parse.h
	* src/plugins/mailmbox/mailmbox_types.c
	* src/plugins/mailmbox/mailmbox_types.h
	* src/plugins/mailmbox/mmapstring.c
	* src/plugins/mailmbox/mmapstring.h
	* src/plugins/mailmbox/placeholder.txt
	* src/plugins/mailmbox/plugin.c
	* src/plugins/mailmbox/plugin_gtk.c
	* src/plugins/mailmbox/plugin_gtk.h
	* src/plugins/newmail/Makefile.am
	* src/plugins/newmail/newmail.c
	* src/plugins/newmail/placeholder.txt
	* src/plugins/notification/Makefile.am
	* src/plugins/notification/claws.def
	* src/plugins/notification/notification_banner.c
	* src/plugins/notification/notification_banner.h
	* src/plugins/notification/notification_command.c
	* src/plugins/notification/notification_command.h
	* src/plugins/notification/notification_core.c
	* src/plugins/notification/notification_core.h
	* src/plugins/notification/notification_foldercheck.c
	* src/plugins/notification/notification_foldercheck.h
	* src/plugins/notification/notification_hotkeys.c
	* src/plugins/notification/notification_hotkeys.h
	* src/plugins/notification/notification_indicator.c
	* src/plugins/notification/notification_indicator.h
	* src/plugins/notification/notification_lcdproc.c
	* src/plugins/notification/notification_lcdproc.h
	* src/plugins/notification/notification_pixbuf.c
	* src/plugins/notification/notification_pixbuf.h
	* src/plugins/notification/notification_plugin.c
	* src/plugins/notification/notification_plugin.h
	* src/plugins/notification/notification_popup.c
	* src/plugins/notification/notification_popup.h
	* src/plugins/notification/notification_prefs.c
	* src/plugins/notification/notification_prefs.h
	* src/plugins/notification/notification_trayicon.c
	* src/plugins/notification/notification_trayicon.h
	* src/plugins/notification/placeholder.txt
	* src/plugins/notification/plugin.def
	* src/plugins/notification/raw_claws_mail_logo_64x64.h
	* src/plugins/notification/version.rc
	* src/plugins/pdf_viewer/Makefile.am
	* src/plugins/pdf_viewer/doc_index.xpm
	* src/plugins/pdf_viewer/doc_index_close.xpm
	* src/plugins/pdf_viewer/doc_info.xpm
	* src/plugins/pdf_viewer/first_arrow.xpm
	* src/plugins/pdf_viewer/last_arrow.xpm
	* src/plugins/pdf_viewer/left_arrow.xpm
	* src/plugins/pdf_viewer/placeholder.txt
	* src/plugins/pdf_viewer/poppler_viewer.c
	* src/plugins/pdf_viewer/poppler_viewer.h
	* src/plugins/pdf_viewer/right_arrow.xpm
	* src/plugins/pdf_viewer/rotate_left.xpm
	* src/plugins/pdf_viewer/rotate_right.xpm
	* src/plugins/pdf_viewer/zoom_fit.xpm
	* src/plugins/pdf_viewer/zoom_in.xpm
	* src/plugins/pdf_viewer/zoom_out.xpm
	* src/plugins/pdf_viewer/zoom_width.xpm
	* src/plugins/perl/Makefile.am
	* src/plugins/perl/perl_gtk.c
	* src/plugins/perl/perl_gtk.h
	* src/plugins/perl/perl_plugin.c
	* src/plugins/perl/perl_plugin.h
	* src/plugins/perl/placeholder.txt
	* src/plugins/python/Makefile.am
	* src/plugins/python/clawsmailmodule.c
	* src/plugins/python/clawsmailmodule.h
	* src/plugins/python/composewindowtype.c
	* src/plugins/python/composewindowtype.h
	* src/plugins/python/foldertype.c
	* src/plugins/python/foldertype.h
	* src/plugins/python/messageinfotype.c
	* src/plugins/python/messageinfotype.h
	* src/plugins/python/nodetype.c
	* src/plugins/python/nodetype.h
	* src/plugins/python/placeholder.txt
	* src/plugins/python/python-hooks.c
	* src/plugins/python/python-hooks.h
	* src/plugins/python/python-shell.c
	* src/plugins/python/python-shell.h
	* src/plugins/python/python_plugin.c
	* src/plugins/vcalendar/Makefile.in
		Add some plugins (clamd, fetchinfo, gdata, mailmbox, newmail,
		notification, pdf_viewer, perl, python). Notification not yet
		enabled because it has too much autoconf switches for my taste.


2013-02-16 [colin]	3.9.0cvs74

	* po/POTFILES.in
	* po/bg.po
	* po/ca.po
	* po/cs.po
	* po/de.po
	* po/en_GB.po
	* po/es.po
	* po/fi.po
	* po/fr.po
	* po/hu.po
	* po/id_ID.po
	* po/it.po
	* po/ja.po
	* po/lt.po
	* po/nl.po
	* po/pl.po
	* po/pt_BR.po
	* po/pt_PT.po
	* po/ru.po
	* po/sk.po
	* po/sv.po
	* po/uk.po
	* po/zh_CN.po
	* po/zh_TW.po
	* src/plugins/Makefile.am
	* src/plugins/archive/.cvsignore
	* src/plugins/archive/Makefile.am
	* src/plugins/archive/archiver.c
	* src/plugins/archive/archiver.h
	* src/plugins/archive/archiver_gtk.c
	* src/plugins/archive/archiver_prefs.c
	* src/plugins/archive/archiver_prefs.h
	* src/plugins/archive/libarchive_archive.c
	* src/plugins/archive/libarchive_archive.h
	* src/plugins/archive/placeholder.txt
	* src/plugins/att_remover/.cvsignore
	* src/plugins/att_remover/Makefile.am
	* src/plugins/att_remover/att_remover.c
	* src/plugins/att_remover/placeholder.txt
	* src/plugins/bsfilter/.cvsignore
	* src/plugins/bsfilter/Makefile.am
	* src/plugins/bsfilter/bsfilter.c
	* src/plugins/bsfilter/bsfilter.h
	* src/plugins/bsfilter/bsfilter_gtk.c
	* src/plugins/bsfilter/claws.def
	* src/plugins/bsfilter/placeholder.txt
	* src/plugins/bsfilter/plugin.def
	* src/plugins/bsfilter/version.rc
		Add archive, att_remover, bsfilter
	* src/plugins/vcalendar/Makefile.in
	* src/plugins/vcalendar/libical/libical/icalversion.h
		Remove useless files

2013-02-16 [colin]	3.9.0cvs73

	* src/plugins/Makefile.am
	* src/plugins/acpi_notifier/Makefile.am
	* src/plugins/acpi_notifier/acpi_notifier.c
	* src/plugins/acpi_notifier/placeholder.txt
	* src/plugins/address_keeper/Makefile.am
	* src/plugins/address_keeper/address_keeper.c
	* src/plugins/address_keeper/address_keeper.h
	* src/plugins/address_keeper/address_keeper_prefs.c
	* src/plugins/address_keeper/address_keeper_prefs.h
	* src/plugins/address_keeper/claws.def
	* src/plugins/address_keeper/placeholder.txt
	* src/plugins/address_keeper/plugin.def
	* src/plugins/address_keeper/version.rc
	* src/plugins/attachwarner/Makefile.am
	* src/plugins/attachwarner/attachwarner.c
	* src/plugins/attachwarner/attachwarner.h
	* src/plugins/attachwarner/attachwarner_prefs.c
	* src/plugins/attachwarner/attachwarner_prefs.h
	* src/plugins/attachwarner/claws.def
	* src/plugins/attachwarner/placeholder.txt
	* src/plugins/attachwarner/plugin.def
	* src/plugins/attachwarner/version.rc
	* src/plugins/vcalendar/libical/libical/icalversion.h
	* po/POTFILES.in
	* po/bg.po
	* po/ca.po
	* po/cs.po
	* po/de.po
	* po/en_GB.po
	* po/es.po
	* po/fi.po
	* po/fr.po
	* po/hu.po
	* po/id_ID.po
	* po/it.po
	* po/ja.po
	* po/lt.po
	* po/nl.po
	* po/pl.po
	* po/pt_BR.po
	* po/pt_PT.po
	* po/ru.po
	* po/sk.po
	* po/sr.po
	* po/sv.po
	* po/uk.po
	* po/zh_CN.po
	* po/zh_TW.po
		Now do acpi_notifier, attachwarner, address_keeper

2013-02-16 [colin]	3.9.0cvs72

	* po/POTFILES.in
	* po/bg.po
	* po/ca.po
	* po/cs.po
	* po/de.po
	* po/en_GB.po
	* po/es.po
	* po/fi.po
	* po/fr.po
	* po/hu.po
	* po/id_ID.po
	* po/it.po
	* po/ja.po
	* po/lt.po
	* po/nl.po
	* po/pl.po
	* po/pt_BR.po
	* po/pt_PT.po
	* po/ru.po
	* po/sk.po
	* po/sr.po
	* po/sv.po
	* po/uk.po
	* po/zh_CN.po
	* po/zh_TW.po
		Merge RSSyl's translations

2013-02-16 [colin]	3.9.0cvs71

	* src/mainwindow.c
		Fix use-after-free (introduced in cvs61)

2013-02-16 [colin]	3.9.0cvs70

	* src/main.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/common/defs.h
	* src/common/w32_account.c
		Add an hidden preference to set the Windows theme
	* src/plugins/Makefile.am
	* src/plugins/rssyl/Makefile.am
	* src/plugins/rssyl/claws.def
	* src/plugins/rssyl/date.c
	* src/plugins/rssyl/date.h
	* src/plugins/rssyl/feed.c
	* src/plugins/rssyl/feed.h
	* src/plugins/rssyl/feedprops.c
	* src/plugins/rssyl/feedprops.h
	* src/plugins/rssyl/opml.c
	* src/plugins/rssyl/opml.h
	* src/plugins/rssyl/parsers.c
	* src/plugins/rssyl/parsers.h
	* src/plugins/rssyl/placeholder.txt
	* src/plugins/rssyl/plugin.c
	* src/plugins/rssyl/plugin.def
	* src/plugins/rssyl/rssyl.c
	* src/plugins/rssyl/rssyl.h
	* src/plugins/rssyl/rssyl_cb_gtk.c
	* src/plugins/rssyl/rssyl_cb_gtk.h
	* src/plugins/rssyl/rssyl_cb_menu.c
	* src/plugins/rssyl/rssyl_cb_menu.h
	* src/plugins/rssyl/rssyl_gtk.c
	* src/plugins/rssyl/rssyl_gtk.h
	* src/plugins/rssyl/rssyl_prefs.c
	* src/plugins/rssyl/rssyl_prefs.h
	* src/plugins/rssyl/strreplace.c
	* src/plugins/rssyl/strreplace.h
	* src/plugins/rssyl/version.rc
		Add RSSyl
	* src/plugins/vcalendar/Makefile.am
	* src/plugins/vcalendar/Makefile.in
	* src/plugins/vcalendar/plugin.c
	* src/plugins/vcalendar/libical/libical/icalversion.h
		Fix Curl flags :)

2013-02-14 [paul]	3.9.0cvs69

	* po/id_ID.po
		"fix" plural forms

2013-02-14 [colin]	3.9.0cvs68

	* po/POTFILES.in
		Add vcalendar files
	* po/merge-po-from-plugin.sh
		Add helper script to merge external plugins translations
	* po/bg.po
	* po/ca.po
	* po/cs.po
	* po/de.po
	* po/en_GB.po
	* po/es.po
	* po/fi.po
	* po/fr.po
	* po/hu.po
	* po/id_ID.po
	* po/it.po
	* po/ja.po
	* po/lt.po
	* po/nl.po
	* po/pl.po
	* po/pt_BR.po
	* po/pt_PT.po
	* po/ru.po
	* po/sk.po
	* po/sr.po
	* po/sv.po
	* po/uk.po
	* po/zh_CN.po
	* po/zh_TW.po
		Merge translations from fancy and vcalendar

2013-02-14 [colin]	3.9.0cvs67

	* configure.ac
		Fix perl detection

2013-02-14 [colin]	3.9.0cvs66

	* src/plugins/vcalendar/claws.def
	* src/plugins/vcalendar/plugin.def
		Add missing files
	* src/plugins/vcalendar/libical/Makefile.in
	* src/plugins/vcalendar/libical/design-data/Makefile.in
	* src/plugins/vcalendar/libical/libical/Makefile.in
	* src/plugins/vcalendar/libical/scripts/Makefile.in
		Remove extraneous files

2013-02-13 [colin]	3.9.0cvs65

	* src/plugins/address_dup_finder/placeholder.txt
	* src/plugins/synce/placeholder.txt
		Removed, deprecated plugins
	* src/plugins/Makefile.am
	* src/plugins/vcalendar/Makefile.am
	* src/plugins/vcalendar/Makefile.in
	* src/plugins/vcalendar/common-views.c
	* src/plugins/vcalendar/common-views.h
	* src/plugins/vcalendar/day-view.c
	* src/plugins/vcalendar/icaltime_as_local.c
	* src/plugins/vcalendar/icaltime_as_local.h
	* src/plugins/vcalendar/month-view.c
	* src/plugins/vcalendar/placeholder.txt
	* src/plugins/vcalendar/plugin.c
	* src/plugins/vcalendar/vcal_dbus.c
	* src/plugins/vcalendar/vcal_dbus.h
	* src/plugins/vcalendar/vcal_folder.c
	* src/plugins/vcalendar/vcal_folder.h
	* src/plugins/vcalendar/vcal_interface.h
	* src/plugins/vcalendar/vcal_manager.c
	* src/plugins/vcalendar/vcal_manager.h
	* src/plugins/vcalendar/vcal_meeting_gtk.c
	* src/plugins/vcalendar/vcal_meeting_gtk.h
	* src/plugins/vcalendar/vcal_prefs.c
	* src/plugins/vcalendar/vcal_prefs.h
	* src/plugins/vcalendar/vcalendar.c
	* src/plugins/vcalendar/vcalendar.h
	* src/plugins/vcalendar/version.rc
	* src/plugins/vcalendar/libical/.cvsignore
	* src/plugins/vcalendar/libical/Makefile.am
	* src/plugins/vcalendar/libical/Makefile.in
	* src/plugins/vcalendar/libical/design-data/.cvsignore
	* src/plugins/vcalendar/libical/design-data/Makefile.am
	* src/plugins/vcalendar/libical/design-data/Makefile.in
	* src/plugins/vcalendar/libical/design-data/parameters.csv
	* src/plugins/vcalendar/libical/design-data/properties.csv
	* src/plugins/vcalendar/libical/design-data/restrictions.csv
	* src/plugins/vcalendar/libical/design-data/status.txt
	* src/plugins/vcalendar/libical/design-data/value-types.csv
	* src/plugins/vcalendar/libical/libical/.cvsignore
	* src/plugins/vcalendar/libical/libical/Makefile.am
	* src/plugins/vcalendar/libical/libical/Makefile.in
	* src/plugins/vcalendar/libical/libical/icalattendee.c
	* src/plugins/vcalendar/libical/libical/icalattendee.h
	* src/plugins/vcalendar/libical/libical/icalcomponent.c
	* src/plugins/vcalendar/libical/libical/icalcomponent.h
	* src/plugins/vcalendar/libical/libical/icalderivedparameter.c.in
	* src/plugins/vcalendar/libical/libical/icalderivedparameter.h.in
	* src/plugins/vcalendar/libical/libical/icalderivedproperty.c.in
	* src/plugins/vcalendar/libical/libical/icalderivedproperty.h.in
	* src/plugins/vcalendar/libical/libical/icalderivedvalue.c.in
	* src/plugins/vcalendar/libical/libical/icalderivedvalue.h.in
	* src/plugins/vcalendar/libical/libical/icalduration.c
	* src/plugins/vcalendar/libical/libical/icalduration.h
	* src/plugins/vcalendar/libical/libical/icalenums.c
	* src/plugins/vcalendar/libical/libical/icalenums.h
	* src/plugins/vcalendar/libical/libical/icalerror.c
	* src/plugins/vcalendar/libical/libical/icalerror.h
	* src/plugins/vcalendar/libical/libical/icallangbind.c
	* src/plugins/vcalendar/libical/libical/icallangbind.h
	* src/plugins/vcalendar/libical/libical/icallexer.l
	* src/plugins/vcalendar/libical/libical/icalmemory.c
	* src/plugins/vcalendar/libical/libical/icalmemory.h
	* src/plugins/vcalendar/libical/libical/icalmime.c
	* src/plugins/vcalendar/libical/libical/icalmime.h
	* src/plugins/vcalendar/libical/libical/icalparameter.c
	* src/plugins/vcalendar/libical/libical/icalparameter.h
	* src/plugins/vcalendar/libical/libical/icalparameterimpl.h
	* src/plugins/vcalendar/libical/libical/icalparser.c
	* src/plugins/vcalendar/libical/libical/icalparser.h
	* src/plugins/vcalendar/libical/libical/icalperiod.c
	* src/plugins/vcalendar/libical/libical/icalperiod.h
	* src/plugins/vcalendar/libical/libical/icalproperty.c
	* src/plugins/vcalendar/libical/libical/icalproperty.h
	* src/plugins/vcalendar/libical/libical/icalrecur.c
	* src/plugins/vcalendar/libical/libical/icalrecur.h
	* src/plugins/vcalendar/libical/libical/icalrestriction.c.in
	* src/plugins/vcalendar/libical/libical/icalrestriction.h
	* src/plugins/vcalendar/libical/libical/icaltime.c
	* src/plugins/vcalendar/libical/libical/icaltime.h
	* src/plugins/vcalendar/libical/libical/icaltypes.c
	* src/plugins/vcalendar/libical/libical/icaltypes.h
	* src/plugins/vcalendar/libical/libical/icalvalue.c
	* src/plugins/vcalendar/libical/libical/icalvalue.h
	* src/plugins/vcalendar/libical/libical/icalvalueimpl.h
	* src/plugins/vcalendar/libical/libical/icalversion.h
	* src/plugins/vcalendar/libical/libical/icalversion.h.in
	* src/plugins/vcalendar/libical/libical/icalyacc.output
	* src/plugins/vcalendar/libical/libical/icalyacc.y
	* src/plugins/vcalendar/libical/libical/pvl.c
	* src/plugins/vcalendar/libical/libical/pvl.h
	* src/plugins/vcalendar/libical/libical/sspm.c
	* src/plugins/vcalendar/libical/libical/sspm.h
	* src/plugins/vcalendar/libical/libical/vsnprintf.c
	* src/plugins/vcalendar/libical/scripts/.cvsignore
	* src/plugins/vcalendar/libical/scripts/Makefile.am
	* src/plugins/vcalendar/libical/scripts/Makefile.in
	* src/plugins/vcalendar/libical/scripts/mkderivedcomponents.pl
	* src/plugins/vcalendar/libical/scripts/mkderivedparameters.pl
	* src/plugins/vcalendar/libical/scripts/mkderivedproperties.pl
	* src/plugins/vcalendar/libical/scripts/mkderivedvalues.pl
	* src/plugins/vcalendar/libical/scripts/mkparameterrestrictions.pl
	* src/plugins/vcalendar/libical/scripts/mkrestrictionrecords.pl
	* src/plugins/vcalendar/libical/scripts/mkrestrictiontable.pl
	* src/plugins/vcalendar/libical/scripts/readvaluesfile.pl
		Add vcalendar.

2013-02-13 [colin]	3.9.0cvs64

	* src/plugins/acpi_notifier/placeholder.txt
	* src/plugins/address_dup_finder/placeholder.txt
	* src/plugins/address_keeper/placeholder.txt
	* src/plugins/archive/placeholder.txt
	* src/plugins/att_remover/placeholder.txt
	* src/plugins/attachwarner/placeholder.txt
	* src/plugins/bsfilter/placeholder.txt
	* src/plugins/clamd/placeholder.txt
	* src/plugins/fetchinfo/placeholder.txt
	* src/plugins/gdata/placeholder.txt
	* src/plugins/geolocation/placeholder.txt
	* src/plugins/gtkhtml2_viewer/placeholder.txt
	* src/plugins/mailmbox/placeholder.txt
	* src/plugins/newmail/placeholder.txt
	* src/plugins/notification/placeholder.txt
	* src/plugins/pdf_viewer/placeholder.txt
	* src/plugins/perl/placeholder.txt
	* src/plugins/python/placeholder.txt
	* src/plugins/rssyl/placeholder.txt
	* src/plugins/spam_report/placeholder.txt
	* src/plugins/synce/placeholder.txt
	* src/plugins/tnef_parse/placeholder.txt
	* src/plugins/vcalendar/placeholder.txt
		Add temporary placeholders for ex-extra-plugins to be
		integrated.

2013-02-13 [paul]	3.9.0cvs63

	* src/plugins/fancy/Makefile.am
		no need for EXTRA_DIST

2013-02-13 [paul]	3.9.0cvs62

	* configure.ac
	* po/POTFILES.in
	* src/plugins/Makefile.am
	* src/plugins/fancy/Makefile.am
	* src/plugins/fancy/fancy_prefs.c
	* src/plugins/fancy/fancy_prefs.h
	* src/plugins/fancy/fancy_viewer.c
	* src/plugins/fancy/fancy_viewer.h
		move the Fancy plugin into core

2013-02-11 [paul]	3.9.0cvs61

	* src/mainwindow.c
		use the Delete key to remove colour label accels (same as everywhere else).
		complete the change to gtk_accel_map_add_entry() for older/newer GTKs

2013-01-26 [mir]	3.9.0cvs60

	* tools/vcard2xml.py
	Fixes bugs:
	    1) Lines split over more than one line breaks parser
	    2) Get email addres correct. Not only email;internet
	Improvements:
	    1) Basic handling of vcard 3.0


2013-01-23 [colin]	3.9.0cvs59

	* src/action.c
	* src/common/utils.c
		Fix actions with spaces (and quotes). Thanks to H. Merijn Brand

2013-01-23 [colin]	3.9.0cvs58

	* src/imap.c
		Fix bug #2863, "Applying has_attachment quicksearch
		on IMAP segfaults".

2013-01-21 [paul]	3.9.0cvs57

	* src/codeconv.h
	* src/procmime.c
		fix bug 2862, 'Segmentation fault when replying to a
		message where the "code conversion" fails'. add support
		for X-VIET-VPS encoding

2013-01-21 [paul]	3.9.0cvs56

	* src/common/defs.h
	* src/gtk/about.c
		promote the users' ml on the About/Info tab

2013-01-09 [paul]	3.9.0cvs55

	* doc/man/claws-mail.1
	* src/gtk/about.c
		update copyright year

2013-01-09 [paul]	3.9.0cvs54

	* src/gtk/gtkaspell.c
		fix sensitivity of 'Use both dictionaries' in compose window

2013-01-09 [mir]	3.9.0cvs53

	* tools/vcard2xml.py
	    Fix missing file encoding info.
	    See -> http://www.python.org/dev/peps/pep-0263/


2013-01-08 [mones]	3.9.0cvs52

	* claws-mail.desktop
		Added Swedish translation by Andreas RÃ¶nnquist

2012-12-20 [colin]	3.9.0cvs51

	* src/action.c
		Fix crash on action error;
		Fix trimming of leading spaces in actions

2012-12-19 [colin]	3.9.0cvs50

	* src/editldap.c
	* src/ldapctrl.c
	* src/ldapserver.c
		Make LDAP over SSL work on Win32 - but not TLS,
		unfortunately. Also, it requires the certificate
		to be trusted.

2012-12-16 [colin]	3.9.0cvs49

	* src/messageview.c
		Add missing \n at end of the return receipt last part's headers.

2012-12-15 [paul]	3.9.0cvs48

	* src/addrselect.c
		fix bug 2832, 'mail to from adress-book splitt names'

2012-12-12 [colin]	3.9.0cvs47

	* src/action.c
		Port to g_spawn API and make actions work better on Win32
	* src/mainwindow.c
		Indentation

2012-12-12 [ticho]	3.9.0cvs46

	* src/compose.c
		Move focus to body textview when subject entry is activated
		(Enter key pressed) in compose window.

2012-12-10 [mones]	3.9.0cvs45

	* src/addr_compl.c
		Fix bug #2835 (core part) to allow NULL names which
		have an address

2012-12-07 [colin]	3.9.0cvs44

	* src/news.c
		Try to fix strange crash in nntp_ping/session_destroy...

2012-12-06 [mones]	3.9.0cvs43

	* tools/README
	* tools/gif2xface.pl
	* tools/outlook2claws-mail.pl
		Fix address not working since years ago

2012-12-05 [mones]	3.9.0cvs42

	* src/prefs_gtk.c
		Do not set to NULL string preferences which have "" as
		default value

2012-12-05 [colin]	3.9.0cvs41

	* src/common/ssl.c
		Nullify xcred pointer like the other ones

2012-12-03 [wwp]	3.9.0cvs40

	* src/summaryview.c
	* src/mainwindow.c
	Avoid any possible confusion: 0 is not a neutral value when passed
	to main_window_get_mask() - use -1 instead, even in those cases we
	don't care.

2012-12-03 [wwp]	3.9.0cvs39

	* src/toolbar.c
	Fix sensitivity of next-unread toolbar button.

2012-12-03 [colin]	3.9.0cvs38

	* src/common/utils.c
		Fix following relative symlinks

2012-12-02 [colin]	3.9.0cvs37

	* src/main.c
		Of course you can't, Windows. Of course...

2012-12-02 [colin]	3.9.0cvs36

	* src/main.c
		Move control sockets inside their own directory,
		$TMPDIR/claws-mail-$UID/, and name them after the configuration 		directory md5 hash. That allows
		- cleaner separation of sockets and config dirs in
		  case of alternate config directories
		- forward migration is handled: if $TMPDIR/claws-mail-$UID
		  exists as a socket, use it to control the running entity
		- backwards migration is handled: starting an old Claws Mail
		  version will bail out as creating the legacy socket won't
		  be possible.
		- migration for alternate-config-dirs is not handled, which
		  could be mentioned in release notes.
		Fixes bug #2828, "Use MD5 digest for socket name"

2012-12-01 [colin]	3.9.0cvs35

	* src/common/utils.c
		As usual, Windows is a little bit different
		(you have to love it the same as the normal OSes...)

2012-12-01 [colin]	3.9.0cvs34

	* src/common/utils.c
	* src/common/utils.h
		Add a canonicalizer function and use it to
		canonicalize rc_dir.

2012-11-30 [mones]	3.9.0cvs33

	* src/common/plugin.c
		Fixes #1137 completely, saving path-less plugins as is
		in config. With this patch user can edit plugin list on
		clawsrc and remove absolute paths from shared plugins,
		leaving only the "pluginname.so". Those will be tried to
		load from plugin dir of the loading core. Notice that
		those will also fail to load on older versions, and will
		probably be removed from your config without warning by
		the older version.

2012-11-30 [wwp]	3.9.0cvs32

	* src/mainwindow.c
	* src/mainwindow.h
	* src/summaryview.c
	* src/toolbar.c
	Fix wrong types used (mix between SensitiveCond and SensitiveCondMask),
	also fix list loop initializers.

2012-11-30 [wwp]	3.9.0cvs31

	* src/mainwindow.c
	* src/mainwindow.h
	* src/procmsg.c
	* src/send_message.c
	* src/send_message.h
	* src/toolbar.c
	* src/toolbar.h
	Add Message/Cancel sending (same as --cancel-sending), adds the
	relevant toolbar icon, and an extra cancel sending+receiving icon
	for convenience.

2012-11-29 [colin]	3.9.0cvs30

	* src/mainwindow.c
		Fix mask on a few menu items (thanks Ricardo!)

2012-11-28 [wwp]	3.9.0cvs29

	* src/mainwindow.c
	* src/mainwindow.h
	* src/summaryview.c
	* src/toolbar.c
	Rework SensitiveCond enum to allow more than 32 flags for GUI status checking.
	Complete toolbar_init(), which was missing few inits.

2012-11-28 [colin]	3.9.0cvs28

	* src/mainwindow.c
	* src/news.c
	* src/news.h
	* src/etpan/nntp-thread.c
		Disconnect NNTP accounts too when switching offline

2012-11-28 [colin]	3.9.0cvs27

	* src/imap.c
	* src/news.c
	* src/common/session.c
	* src/common/session.h
		Add keep-alive pings on IMAP and NNTP

2012-11-28 [colin]	3.9.0cvs26

	* src/imap.c
	* src/etpan/imap-thread.c
	* src/etpan/imap-thread.h
		Try locale's charset and UTF-7 on server-side
		searches when UTF-8 fails. Also, don't even
		mention a charset if searching for an ASCII
		string.

2012-11-27 [colin]	3.9.0cvs25

	* src/main.c
		Unbreak the build.

2012-11-27 [colin]	3.9.0cvs24

	* src/common/ssl.c
		Fix bug #2826, "replace deprecated gnutls function"
		Patch by Christian Hesse

2012-11-27 [colin]	3.9.0cvs23

	* src/gtk/manage_window.c
		Stop spamming logs with focus events.

2012-11-27 [colin]	3.9.0cvs22

	* src/mainwindow.c
	* src/prefs_common.c
	* src/prefs_common.h
		Unsneak a work-in-progress patch that I mistakengly
		commited with a cleanup

2012-11-27 [wwp]	3.9.0cvs21

	* doc/man/claws-mail.1
	* src/main.c
	* src/send_message.c
	* src/send_message.h
		Add --cancel-sending command-line switch.

2012-11-23 [colin]	3.9.0cvs20

	* src/jpilot.c
	* src/main.c
	* src/mainwindow.c
	* src/matcher.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/procmsg.c
	* src/common/socket.c
	* src/common/socket.h
	* src/common/ssl.c
	* src/common/ssl_certificate.c
	* src/common/ssl_certificate.h
	* src/etpan/imap-thread.c
	* src/etpan/nntp-thread.c
		Cleanup some warnings and deprecated types. Patch by
		Christian Hesse, fixing bug #2617. Thanks!

2012-11-23 [colin]	3.9.0cvs19

	* AUTHORS
	* src/gtk/authors.h
		Add Christian Hesse which was forgotten for some reason

2012-11-21 [colin]	3.9.0cvs18

	* src/etpan/imap-thread.c
		Don't set charset on simple searches. Fixes Exchange 2007.

2012-11-20 [colin]	3.9.0cvs17

	* src/prefs_matcher.c
		Fix bug #2801, "Filtering Header:Name list is blank/corrupt"

2012-11-20 [ticho]	3.9.0cvs16

	* src/gtk/prefswindow.c
		Actually allow folder preference pages which are in top level of
		page index UI to be selected.

2012-11-20 [ticho]	3.9.0cvs15

	* src/prefs_folder_item.c
		Remove useless "Folder" root in page index of folder preferences UI.

2012-11-18 [colin]	3.9.0cvs14

	* AUTHORS
	* src/advsearch.c
	* src/matcher.c
	* src/matcher.h
	* src/matcher_parser_parse.y
	* src/prefs_matcher.c
	* src/gtk/authors.h
	* src/gtk/quicksearch.c
		Add age_{greater,lower}_hours matcher criteria
		Initial patch by Abhay S. Kushwaha.

2012-11-18 [ticho]	3.9.0cvs13

	* src/mbox.c
		Improve i18n plural handling in a string used while
		importing from mbox.

2012-11-16 [ticho]	3.9.0cvs12

	* po/bg.po
	* po/ca.po
	* po/cs.po
	* po/de.po
	* po/en_GB.po
	* po/es.po
	* po/fi.po
	* po/fr.po
	* po/he.po
	* po/hu.po
	* po/id_ID.po
	* po/it.po
	* po/ja.po
	* po/lt.po
	* po/nl.po
	* po/pl.po
	* po/pt_BR.po
	* po/pt_PT.po
	* po/ru.po
	* po/sk.po
	* po/sr.po
	* po/sv.po
	* po/uk.po
	* po/zh_CN.po
	* po/zh_TW.po
	* po/Makevars
		Update message catalogs to match changes in 3.9.0cvs11.

2012-11-16 [ticho]	3.9.0cvs11

	* src/account.c
	* src/addrcustomattr.c
	* src/edittags.c
	* src/prefs_filtering.c
	* src/prefs_matcher.c
	* src/prefs_msg_colors.c
	* src/toolbar.c
	* src/uri_opener.c
	* src/wizard.c
	* src/common/utils.c
	* src/gtk/about.c
		Use pgettext() and friends for i18n context strings, instead of
		having a pipe character in msgid for context separation. This uses
		glib's C_ macro, instead of Q_.

2012-11-16 [colin]	3.9.0cvs10

	* src/foldersel.c
	* src/prefs_actions.c
	* src/prefs_filtering_action.c
	* src/prefs_matcher.c
	* src/quote_fmt.c
	* src/gtk/description_window.c
	* src/gtk/description_window.h
	* src/gtk/inputdialog.c
	* src/gtk/manage_window.c
	* src/gtk/quicksearch.c
		Try to better fix focus problems. Should address:
		Bug #2774
		Bug #2624
		Bug #1963
		Bug #2780
		Please check using your favorite WM that the following works:
		Information button (Quicksearch, Templates, 'Test' filtering 
		condition)
		Folder selection (Move/Copy contextual menu,
		various preferences, including 'New folder').
		Tested with XFCE, Gnome Shell and Windows.
		

2012-11-16 [colin]	3.9.0cvs9

	* src/advsearch.c
		Init is_fast too

2012-11-16 [colin]	3.9.0cvs8

	* src/advsearch.c
		Fix missing initialisation of bool_and which could
		lead to From/To/Subject/Tag searches searching with
		binary and.
		Also clean up tag expansion. No need to create a
		matcher string and re-parse it.

2012-11-16 [paul]	3.9.0cvs7

	* po/de.po
		fix by Thomas Bellmann

2012-11-15 [colin]	3.9.0cvs6

	* src/summaryview.c
		Fix bug #2785, "Marking mails for deletion reopens internal 
		message view"

2012-11-15 [colin]	3.9.0cvs5

	* src/main.c
	* src/statusbar.c
	* src/gtk/gtkcmclist.c
	* src/gtk/gtkcmclist.h
		a few more GTK+3 fixes. Segfaults on me, though.

2012-11-15 [colin]	3.9.0cvs4

	* src/Makefile.am
	* src/action.c
	* src/addr_compl.c
	* src/addressbook.c
	* src/addrgather.c
	* src/compose.c
	* src/editaddress.c
	* src/editgroup.c
	* src/main.c
	* src/mainwindow.c
	* src/message_search.c
	* src/prefs_display_header.c
	* src/prefs_filtering_action.c
	* src/prefs_matcher.c
	* src/prefs_other.c
	* src/prefs_toolbar.c
	* src/printing.c
	* src/stock_pixmap.c
	* src/summary_search.c
	* src/summaryview.c
	* src/textview.c
	* src/gtk/Makefile.am
	* src/gtk/colorlabel.c
	* src/gtk/combobox.c
	* src/gtk/combobox.h
	* src/gtk/gtkcmclist.c
	* src/gtk/gtkcmclist.h
	* src/gtk/gtkcmctree.c
	* src/gtk/gtksctree.c
	* src/gtk/gtkshruler.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/gtk/inputdialog.c
	* src/gtk/quicksearch.c
	* src/plugins/pgpcore/Makefile.am
	* src/plugins/pgpinline/Makefile.am
	* src/plugins/pgpmime/Makefile.am
	* src/plugins/smime/Makefile.am
		Big GTK+3 patch from Hanno Meyer-Thurow

2012-11-15 [wwp]	3.9.0cvs3

	* doc/man/claws-mail.1
	* src/main.c
		Add --cancel-receiving command-line switch.

2012-11-15 [wwp]	3.9.0cvs2

	* src/ssl_manager.c
	* src/gtk/sslcertwindow.c
		Fix Capitalization.

2012-11-15 [paul]	3.9.0cvs1

	* po/cs.po
	* po/fi.po
	* po/sk.po
		updates from David Vachulka, Flammie Pirinen, and
		Slavko

2012-11-14 [paul]	3.9.0
	* NEWS
	* README
	* RELEASE_NOTES	
		3.9.0 unleashed!

2012-11-14 [paul]	3.8.1cvs123

	* po/de.po
	* po/es.po
	* po/fi.po
	* po/fr.po
	* po/hu.po
	* po/pt_BR.po
	* po/sv.po
	* po/uk.po
	* po/zh_TW.po
		updated by Thomas Bellmann, Ricardo Mones, Flammie Pirinen,
		wwp, Pader Rezso, Frederico Goncalves Guimaraes, Andreas Ronnquist,
		YUP, Wei-Lun Chao

2012-11-14 [paul]	3.8.1cvs122

	* tools/README
	* tools/fix_date.sh
		improvements by wwp

2012-11-14 [colin]	3.8.1cvs121

	* src/action.c
		And fix warning with breaking functionality

2012-11-14 [paul]	3.8.1cvs120

	* src/action.c
		revert this change from 3.8.1cvs60, it breaks
		actions with a pipe

2012-11-14 [colin]	3.8.1cvs119

	* src/common/plugin.c
		If plugin fails to load from absolute path, try from
		default plugin path. 
		Fixes bug #1137, 'loading plugins with same profile on different archs'
		Fixes bug #2777, 'Installing latest cvs116 package 14 Windows version
		results in wrong paths in clawsrc'

2012-11-12 [colin]	3.8.1cvs118

	* src/messageview.c
		Fix initial focus on textview. Fixes bug #2776,
		"Make all menu shortcuts work properly in the message window"

2012-11-09 [colin]	3.8.1cvs117

	* src/etpan/imap-thread.c
		Specify search charset. Thanks to Aleksei Miheev

2012-11-08 [colin]	3.8.1cvs116

	* src/common/socket.c
	* src/gtk/gtkutils.c
		Fix socket communication

2012-11-08 [colin]	3.8.1cvs115

	* src/plugins/pgpcore/sgpgme.c
		Fix Windows runtime crash

2012-11-08 [colin]	3.8.1cvs114

	* src/gtk/quicksearch.c
		Fix going active with NULL matchstring (for example
		when changing type before typing anything)

2012-11-07 [colin]	3.8.1cvs113

	* src/mbox.c
		Fix Windows build

2012-11-06 [mones]	3.8.1cvs112

	* doc/man/claws-mail.1
		Sync with AUTHORS file
	* src/gtk/quicksearch.c
		Add number units where appropriate

2012-10-31 [paul]	3.8.1cvs111

	* src/prefs_folder_item.c
		add missing closing bracket. thanks to Andreas RÃ¶nnquist.

2012-10-31 [colin]	3.8.1cvs110

	* src/prefs_folder_item.c
		Fix prefs text and extra semi-colon. Thanks to Paul!

2012-10-31 [colin]	3.8.1cvs109

	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/messageview.c
	* src/prefs_folder_item.c
		Implement feature from bug #2569, 
		"select html part on folder specific properties"
		Patch based on Andrej's patch.

2012-10-29 [wwp]	3.8.1cvs108

	* src/textview.c
	Revert cvs107, cvs106 and parts of cvs105 (all in textview.c), fixing
	broken URL parsing.

2012-10-25 [colin]	3.8.1cvs107

	* src/textview.c
		Verify the previous URI wasn't the same...
		fixes http://www. URIs.

2012-10-25 [colin]	3.8.1cvs106

	* src/common/utils.c
	* src/common/utils.h
	* src/textview.c
		Avoid strlen() on inner loop in textview_make_clickable_parts*()
		reduces cost of strcasestr() in textview_make_clickable_parts*()
		from 30% to 15%. Patch by Igor Mammedov

2012-10-25 [colin]	3.8.1cvs105

	* src/textview.c
		Do not allow search cost to explode in case of bad message
		parsing in textview_make_clickable_parts_later(); reduces
		cost of textview_make_clickable_parts_later() from 99% to
		17% for big bad-case message. Patch by Igor Mammedov

2012-10-25 [colin]	3.8.1cvs104

	* src/textview.c
	* src/textview.h
		Avoid strlen() on big buffers, use precomputed length instead
		it reduces cost of textview_write_line() from 32% to 3% for
		big messages. Patch by Igor Mammedov
	* AUTHORS
	* src/gtk/authors.h
		Add Igor

2012-10-24 [mones]	3.8.1cvs103

	* src/advsearch.c
		Trust on IMAP core on-line/off-line management
		Patch by Sean Buckheister

2012-10-19 [paul]	3.8.1cvs102

	* AUTHORS
	* src/crash.c
	* src/gtk/authors.h
		fix bug 2760, 'display correct libc version in crash dialog 
		when uclibc is used'.
		fixes build with uclibc. patch by Natanael Copa.

2012-10-18 [mones]	3.8.1cvs101

	* claws-mail.desktop
		Fix bug #2761 and remove invalid GTK main category

2012-10-17 [colin]	3.8.1cvs100

	* src/common/ssl_certificate.c
		Fix bug #2759, "Error messages regarding bad
		client certificates are less than helpful"
		Based on patch by bug reporter.

2012-10-13 [paul]	3.8.1cvs99

	* src/common/ssl_certificate.c
		fix build with gnutls 3.1.3
		Patch by Sean Buckheister.

2012-10-12 [mones]	3.8.1cvs98

	* src/compose.c
	* src/grouplistdialog.c
	* src/imap.c
	* src/news_gtk.c
	* src/procmime.c
	* src/procmsg.c
	* src/common/utils.c
	* src/common/utils.h
	* src/etpan/imap-thread.c
		New slist_free_strings_full wrapper for g_slist_free_full
		and simplify calls where it was being used

2012-10-12 [colin]	3.8.1cvs97

	* src/common/defs.h
		Drop include of internal glib header
		Patch by Werner Koch

2012-10-12 [colin]	3.8.1cvs96

	* src/gtk/gtkcmctree.c
	* src/gtk/gtksctree.c
		Fix bug #2581, "expander arrows are too tiny to hit with the 
		mouse". Patch mostly by Tom Horsley

2012-10-12 [iwkse]	3.8.1cvs95

	* src/common/utils.c
			g_free *mutex

2012-10-12 [mones]	3.8.1cvs94

	* src/common/utils.c
		Remove undeclared mutex symbol

2012-10-12 [colin]	3.8.1cvs93

	* src/compose.c
	* src/prefs_account.c
	* src/common/utils.c
	* src/common/utils.h
		Fix bug #2751 'g_mutex_new/g_mutex_free removed from GLib 2.32'
		Thanks to Salvatore de Paolis

2012-10-10 [colin]	3.8.1cvs92

	* src/folder.c
		Fix bug #2744, "Quick search throws bad command 
		argument error on Microsoft Exchange". Fall back
		to local search if folder-specific search fails.
	* src/gtk/quicksearch.c
		Typo fix.

2012-10-10 [colin]	3.8.1cvs91

	* src/procmsg.h
		Make what the tags list contain more clear

2012-10-10 [colin]	3.8.1cvs90

	* src/inc.c
	* src/mbox.c
	* src/common/smtp.c
	* src/common/smtp.h
		Fix bug #2639, "The MSGBUFSIZE definition collides with a definition of OpenBSD"
		Patch by "madroach"

2012-10-10 [colin]	3.8.1cvs89

	* autogen.sh
		Fix bug #2638, "Respect $LEX environment variable in autogen.sh"

2012-10-10 [colin]	3.8.1cvs88

	* src/compose.c
		Leak fix (thanks Ricardo!)

2012-10-10 [colin]	3.8.1cvs87

	* src/common/utils.c
		Fix O(n^2) algorithm in remove_numbered_files_not_in_list
		Initial patch by Igor Mammedov <imammedo@redhat.com> with
		fixes by Michael Rasmussen and myself.
		Also revert part of 3.8.1cvs86, g_slist_free_full() 
		semantics are different from slist_free_strings() in that
		slist_free_strings does not free the list itself.

2012-10-09 [mones]	3.8.1cvs86

	* doc/man/claws-mail.1
	* src/compose.c
	* src/common/utils.c
		New extra headers feature for adding user-defined
		extra headers to the combobox in the compose window
		Headers are stablished in 'extraheaderrc', one per
		line with a final colon

2012-10-06 [mones]	3.8.1cvs85

	* po/POTFILES.in
		Added src/gtk/menu.c
	* src/common/defs.h
	* src/gtk/menu.c
	* src/gtk/menu.h
		New function cm_menu_item_new_label_from_url to
		avoid crashing on huge URL strings and warn user
		about the possible causes
	* src/mainwindow.c
		Use it to create List menu items safely

2012-10-04 [colin]	3.8.1cvs84

	* src/imap.c
		Fix keywords with spaces

2012-10-04 [colin]	3.8.1cvs83

	* src/advsearch.c
		Fix double-tag search. Maybe fixes bug #2744,
		'Quick search throws bad command argument 
		error since recent change'. Patch by Sean.

2012-10-03 [mones]	3.8.1cvs82

	* src/procmime.c
		Fix bug #2743 'null pointer crash in procmime strchr'
		Patch by Michael Schwendt (from RedHat bug 862578) 

2012-09-28 [colin]	3.8.1cvs81

	* src/advsearch.c
		Never search on server if we're offline
		(Asking the user would and will be better)
	* src/imap.c
		Fix uninitialized variable (bogus) warning
		Fix SELECT of the folder before searching

2012-09-27 [colin]	3.8.1cvs80

	* src/advsearch.c
	* src/imap.c
	* src/etpan/imap-thread.c
	* src/etpan/imap-thread.h
		Implement IMAP server search. Patch by
		Sean Buckheister again.

2012-09-26 [colin]	3.8.1cvs79

	* src/main.c
	* src/matcher.c
	* src/matcher.h
		Prepare the context strings, their translation take
		CPU time. Shaves 6 seconds out of 17 on my reference
		folder body search.
	* src/summary_search.c
		Fix a warning

2012-09-26 [colin]	3.8.1cvs78

	* src/matcher.c
	* src/procmime.c
	* src/procmime.h
		Unlock I/O in procmime, give a way
		for matcher to avoid having to
		read/write tmp/rewind/read tmp for
		body matches.

2012-09-26 [colin]	3.8.1cvs77

	* src/summary_search.c
		Fix unresponsive stop button
	* src/gtk/quicksearch.c
		Fix busy cursor

2012-09-26 [colin]	3.8.1cvs76

	* src/summary_search.c
	* src/summaryview.c
	* src/summaryview.h
	* src/gtk/quicksearch.c
		Factorize search code in summary_search and
		add a progress indicator as that slows down
		the first result in case of body search.

2012-09-26 [colin]	3.8.1cvs75

	* src/folder.c
		Fix body search triggering GUI updates
		for every message when it gets MSG_SCANNED
		set.

2012-09-26 [colin]	3.8.1cvs74

	* src/folder.c
	* src/folder.h
	* src/imap.c
	* src/procmsg.c
	* src/procmsg.h
	* src/summaryview.c
		Factorize msg list to num list code;
		Make search faster using cache instead
		of network I/O

2012-09-25 [mones]	3.8.1cvs73

	* src/gtk/quicksearch.c
		Fix new expressions not being added to quicksearch
		history in extended mode; patch by Sean Buckheister

2012-09-22 [mir]	3.8.1cvs72

	* src/advsearch.c
		Fix for not searching in folders marked 'no_select'
		patch provided by Colin.

2012-09-22 [mones]	3.8.1cvs71

	* src/advsearch.c
		Add missing copyright header

2012-09-21 [colin]	3.8.1cvs70

	* src/folder.c
		Fix warning where msgcount was used
		uninitialized in case the search was
		to be performed on a message list subset.

2012-09-21 [colin]	3.8.1cvs69

	* src/gtk/quicksearch.c
		Fix error background not appearing

2012-09-21 [colin]	3.8.1cvs68

	* src/Makefile.am
	* src/advsearch.c ** ADDED **
	* src/advsearch.h ** ADDED **
	* src/folder.c
	* src/folder.h
	* src/folderview.c
	* src/imap.c
	* src/main.c
	* src/matcher.c
	* src/matcher.h
	* src/matchertypes.h ** ADDED **
	* src/mh.c
	* src/mimeview.c
	* src/news.c
	* src/proctypes.h
	* src/summary_search.c
	* src/summaryview.c
	* src/summaryview.h
	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
		Separated GUI and logic for search
		Use same logic for quicksearch and folder search
		Patch by Sean Buckheister <s_buckhe@cs.uni-kl.de>

2012-09-19 [mones]	3.8.1cvs67

	* src/mainwindow.c
		Remove spurious parameter from get_url_part and
		fix potential buffer overflow

2012-09-19 [colin]	3.8.1cvs66

	* src/addressbook.c
	* src/addrselect.c
		Un-mix mixed enum comparison which happened
		to work because multiple enums define the same
		values.

2012-09-19 [colin]	3.8.1cvs65

	* src/addrindex.c
	* src/editaddress.c
	* src/editldap.c
	* src/exporthtml.c
	* src/jpilot.c
	* src/procmime.c
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/pgpcore/prefs_gpg.c
	* src/plugins/smime/smime.c
	* src/plugins/spamassassin/spamassassin_gtk.c
		More warning fixes, casts, useless variables and
		unchecked return values

2012-09-19 [colin]	3.8.1cvs64

	* src/mainwindow.c
		Check possible overflow
	* src/prefs_account.c
	* src/prefs_compose_writing.c
	* src/prefs_logging.c
	* src/prefs_message.c
	* src/prefs_msg_colors.c
	* src/prefs_other.c
	* src/prefs_receive.c
	* src/prefs_summaries.c
	* src/prefs_wrapping.c
		fix GtkAdjustment casts
	* src/common/ssl.c
		fix warnings
	* src/gtk/gtkaspell.c
		fix warnings

2012-09-19 [mones]	3.8.1cvs63

	* src/addritem.c
		Fix leak and follow function specification

2012-09-19 [mones]	3.8.1cvs62

	* src/action.c
		Use unused var c to check result and emit messages on error
	* src/addrbook.c
		Remove unused vars: attr (several functions), element
	* src/addrclip.c
		Use unused var newGroup to check result
	* src/addrcustomattr.c
		Remove unused var summaryview and related code
	* src/addressbook.c
		Use unused vars nn, newNode, idleID to check result
		Remove unused var aoType and refactor logic around it
		Comment var enabled and related debug code
	* src/msgcache.c
		Use unused var error to check result and emit debug messages
	* src/textview.c
		Remove unused var link_color
	* src/toolbar.c
		Remove unused vars: attr, retVal

2012-09-19 [colin]	3.8.1cvs61

	* src/imap.c
	* src/inc.c
	* src/news.c
	* src/send_message.c
	* src/common/socket.c
		More precise error logging

2012-09-16 [mones]	3.8.1cvs60

	* src/action.c                                                          
		Removed dup calls with ignored result
	* src/addr_compl.c						      
		Removed unused var is_group and simplified logic around it      
	* src/addrharvest.c						     
	* src/matcher.c
	* src/procmsg.c							 
	* src/etpan/etpan-thread-manager.c				      
		Use unused var r to verify result and emit messages on error
	* src/compose.c							 
		Move color variable into conditional usage blocks
		Remove assigned but not used vars: lock, titles, count	  
	* src/edittags.c
		Remove assigned but not used var actions			
	* src/folderview.c
		Remove assigned but not used vars: from_parent, src_node	
	* src/imap_gtk.c
	* src/mh_gtk.c							  
		Remove malloc-ed but not used var: old_path		     
	* src/news.c
		Comment unused vars from commented block: tofetch, fetched      
	* src/prefs_account.c
		Remove assigned but not used var: privacy_enabled
	* src/prefs_actions.c
	* src/prefs_customheader.c
		Remove assigned but not used var: store
	* src/prefs_filtering.c
		Remove assigned but not used var: n_rows
	* src/prefs_template.c
		Remove assigned but not used vars: model, list_store
	* src/prefs_toolbar.c
		Remove assigned but not used var: win_titles
	* src/printing.c
		Remove assigned but not used vars: orientation, line, baseline,
		off_chars 
	* src/etpan/imap-thread.c
		Remove assigned but not used var: value, r
		Refactor to check correct memory allocation
	* src/etpan/nntp-thread.c
		Remove assigned but not used var: value
	* src/gtk/gtkaspell.c
		Remove assigned but not used vars: textbuf, exist
		Remove unused function: find_gtkaspeller
	* src/gtk/gtkcmctree.c
		Remove unused function: gtk_cmctree_get_offset
	* src/gtk/gtkshruler.c
		Remove assigned but not used vars: ruler, priv

2012-09-14 [mones]	3.8.1cvs59

	* src/common/log.c
		Check file operation results (and remove and
		unused var warning)

2012-09-14 [colin]	3.8.1cvs58

	* src/gtk/inputdialog.c
		Remove unused var, thanks Ticho

2012-09-13 [colin]	3.8.1cvs57

	* src/stock_pixmap.c
		Fix missing \n in debug line

2012-09-13 [colin]	3.8.1cvs56

	* src/main.c
		Don't listen on the Unix socket before we're
		ready. The 'popup' order from another instance
		may provoke a race and trash configuration files.

2012-09-13 [colin]	3.8.1cvs55

	* src/imap.c
		Maybe fix bug #2096, "MEMORY-ERROR w/ 
		Claws-Mail/IMAP and Lotus Domino". Use
		correct types for start/end and test if
		start is indeed before end.

2012-09-12 [mones]	3.8.1cvs54

	* src/prefs_other.c
		Fix bug #1975 'preference mutt key bindings do not take
		effect' (and the other invalid paths too)

2012-09-12 [colin]	3.8.1cvs53

	* src/procmsg.c
		Revert that hunk, logic is unclear.

2012-09-12 [colin]	3.8.1cvs52

	* src/addressbook.c
	* src/addrharvest.c
	* src/addrindex.c
	* src/addritem.c
	* src/compose.c
	* src/edittags.c
	* src/folder.c
	* src/imap.c
	* src/inc.c
	* src/ldif.c
	* src/mainwindow.c
	* src/mbox.c
	* src/mimeview.c
	* src/mutt.c
	* src/partial_download.c
	* src/prefs_filtering_action.c
	* src/prefs_toolbar.c
	* src/printing.c
	* src/procheader.c
	* src/procmime.c
	* src/procmsg.c
	* src/summaryview.c
	* src/textview.c
	* src/common/utils.c
	* src/etpan/imap-thread.c
	* src/gtk/gtkaspell.c
	* src/plugins/pgpcore/sgpgme.c
		More fixes from bug #1961:
		- Write-only variables
		- Null pointer dereferences
		- A couple other fixes for which the reporter
		  was unsure, but which showed problems.
		More details in bug #1961 comments.

2012-09-12 [colin]	3.8.1cvs51

	* src/compose.c
	* src/mh.c
	* src/common/ssl.c
	* src/plugins/pgpcore/passphrase.c
		Apply patches from bug #1961, "patches for
		a couple of clang warnings":
		- Check return codes
		- Remove dead code

2012-09-12 [colin]	3.8.1cvs50

	* claws-mail.pc.in
		Put Claws-Mail CFLAGS first; fixes build on Fink/OS X
		where the included menu.h could come from Ncurses.
		Thanks to 'Stainless Steel Rat' <ratinox@gweep.net>

2012-09-11 [colin]	3.8.1cvs49

	* src/main.c
		Fix race condition at start.

2012-09-10 [colin]	3.8.1cvs48

	* src/main.c
		Create lock socket as soon as possible, not after
		a few things like caching all prefs.

2012-09-09 [mones]	3.8.1cvs47

	* src/plugins/bogofilter/bogofilter.c
		Add missing include

2012-09-08 [colin]	3.8.1cvs46

	* AUTHORS
	* src/Makefile.am
	* src/action.c
	* src/addr_compl.c
	* src/addrbook.c
	* src/compose.c
	* src/compose.h
	* src/editaddress.c
	* src/filtering.c
	* src/folder.c
	* src/folder.h
	* src/folderview.h
	* src/headerview.h
	* src/imap_gtk.c
	* src/localfolder.c
	* src/main.c
	* src/mainwindow.c
	* src/mainwindow.h
	* src/matcher.c
	* src/matcher_parser_parse.y
	* src/messageview.c
	* src/messageview.h
	* src/mh.c
	* src/mh_gtk.c
	* src/mimeview.c
	* src/mimeview.h
	* src/noticeview.h
	* src/prefs_account.c
	* src/prefs_account.h
	* src/prefs_filtering.c
	* src/prefs_filtering_action.c
	* src/prefs_gtk.h
	* src/prefs_matcher.c
	* src/prefs_template.c
	* src/prefs_toolbar.c
	* src/privacy.c
	* src/procheader.h
	* src/procmime.c
	* src/procmime.h
	* src/procmsg.c
	* src/procmsg.h
	* src/proctypes.h
	* src/remotefolder.c
	* src/summaryview.c
	* src/summaryview.h
	* src/textview.c
	* src/textview.h
	* src/toolbar.c
	* src/uri_opener.c
	* src/viewtypes.h
	* src/common/defs.h
	* src/gtk/authors.h
	* src/gtk/description_window.c
	* src/plugins/trayicon/trayicon.c
		Break circular dependencies in Claws' headers,
		Patch by Sean Buckheister <s_buckhe@cs.uni-kl.de>

2012-09-08 [colin]	3.8.1cvs45

	* src/textview.c
		Fix shortcut getting

2012-09-05 [colin]	3.8.1cvs44

	* src/matcher.c
	* src/matcher.h
	* src/prefs_matcher.c
		Drop matcherprop_new_create, which is just a copy of
		matcherprop_new, and staticalize what can be

2012-09-05 [colin]	3.8.1cvs43

	* src/plugins/pgpcore/select-keys.c
		Fix bug #2390, "Non-fully-trusted-key-warning appears
		based on primary UID rather than recipient e-mail"

2012-08-29 [colin]	3.8.1cvs42

	* src/gtk/gtkaspell.c
		Fix bug #2596, "Spell checker does not work properly"

2012-08-29 [colin]	3.8.1cvs41

	* src/plugins/pgpcore/sgpgme.c
		Set gpgme's locale to UTF-8. Fixes bug #2650,
		"segfault in pgp when gpgme_strerror() returns a non utf-8 string"

2012-08-29 [colin]	3.8.1cvs40

	* src/mainwindow.c
	* src/messageview.c
	* src/mimeview.c
	* src/mimeview.h
	* src/summaryview.c
	* src/textview.c
	* src/gtk/menu.c
	* src/gtk/menu.h
		Move the hardcoded mimeview shortcuts to standard menus.

2012-08-27 [colin]	3.8.1cvs39

	* src/main.c
		Fix double mainwindow presentation that confuses GNOME3
		when some plugins fail to load (subsequent Claws windows
		got no focus in that case)

2012-08-27 [colin]	3.8.1cvs38

	* src/summaryview.c
		Make Mark all read confirmation button more clear

2012-08-27 [colin]	3.8.1cvs37

	* src/mainwindow.c
	* src/summaryview.c
		Separate "Mark all read" from "Mark as read"
		and "Ignore thread"

2012-08-27 [wwp]	3.8.1cvs36

	* src/inc.c
	* src/procmsg.c
		Remove session statistics debug statements (irrelevant in repo,
		that's dev stuff).

2012-08-24 [mones]	3.8.1cvs35

	* manual/advanced.xml
		Keep alphabetic order of hidden options lost
		and update Clawsker URL.
	* manual/de/advanced.xml
	* manual/fr/advanced.xml
		Update Clawsker URL.
	* manual/es/advanced.xml
		Sync with English version and update Clawsker URL.
	* manual/de/dist/html/Makefile.am
	* manual/es/dist/html/Makefile.am
	* manual/fr/dist/html/Makefile.am
	* manual/pl/dist/html/Makefile.am
	* manual/dist/html/Makefile.am
		Fix bug 2723 'Missing encoding in generated html manual'

2012-08-23 [colin]	3.8.1cvs34

	* src/mainwindow.c
		Fix --offline asking if one wants to sync,
		due to re-entering. Thanks <ebik@ucw.cz>.

2012-08-16 [colin]	3.8.1cvs33

	* src/imap.c
		Always clear the tags list when fetching a folder, or
		Claws will never untag an untagged email. Patch by
		Igor Mammedov <imammedo@redhat.com>

2012-08-12 [colin]	3.8.1cvs32

	* src/compose.c
		Exclude text/plain from the attachment thing

2012-08-12 [colin]	3.8.1cvs31

	* src/messageview.c
		Fix comparison, thanks to Michael Gmelin

2012-08-12 [colin]	3.8.1cvs30

	* src/messageview.c
		Only show HTML parts by default (if the pref
		is set so) if the part disposition-type is
		inline or unknown, but not attachment.
	* src/common/ssl.c
		Remove useless hook that won't ever be used
		on windows

2012-08-12 [colin]	3.8.1cvs29

	* src/compose.c
		Make sure text/* attachments are not made
		inline, regardless of the compose mode.
		Finishes fixing bug #2203 after auto-save
		switches mode to COMPOSE_REEDIT. Thanks to
		Michael Gmelin for finding this.

2012-08-09 [colin]	3.8.1cvs28

	* src/prefs_filtering.c
		Make treeView type-ahead case insensitive
		Patch by Andreas Ronnquist

2012-08-09 [colin]	3.8.1cvs27

	* src/gtk/sslcertwindow.c
		Fix leak

2012-08-09 [colin]	3.8.1cvs26

	* src/common/ssl.c
	* src/common/ssl_certificate.c
	* src/common/ssl_certificate.h
	* src/gtk/sslcertwindow.c
		Fix bug 2718, "Failure to check peer hostname
		when checking certificate"

2012-08-05 [ticho]	3.8.1cvs25

	* src/compose.c
		Avoid header combo box to get focus twice (first text within,
		then combobox widget itself) when switching focus with TAB.

2012-07-28 [ticho]	3.8.1cvs24

	* src/compose.c
		Properly fix setting "transient for" for attachment properties
		dialog when called via popup menu (since we're stealing focus
		few lines before, we need to do it directly, not via
		manage_window_*).

2012-07-28 [ticho]	3.8.1cvs23

	* src/gtk/pluginwindow.c
	* src/gtk/prefswindow.c
		Fixed setting "transient for" property for plugin load/unload
		file dialog. Connected manage_window signals to prefswindow events.

2012-07-27 [ticho]	3.8.1cvs22

	* src/summaryview.c
	* src/textview.c
		Fixed setting "transient for" property for summaryview file
		dialog and messageview's image save dialog.

2012-07-27 [ticho]	3.8.1cvs21

	* src/crash.c
	* src/mimeview.c
		Fix setting "transient for" property for file select dialogs
		in crash report and mimeview.

2012-07-27 [ticho]	3.8.1cvs20

	* src/compose.c
		Fixed "transient for" property for file attach dialog when
		called from Attachments list popup menu. Simplified menu item
		sensitivities setting code logic for this menu.

2012-07-25 [ticho]	3.8.1cvs19

	* manual/advanced.xml
		Add the three hidden preferences related to colored display
		of unified diffs to manual.

2012-07-25 [ticho]	3.8.1cvs18

	* src/gtk/gtkaspell.c
		Create "Change directory" submenu in a separate function, change
		wording a bit, and make the submenu always available in a context
		menu of body edit box in compose window.

2012-07-25 [ticho]	3.8.1cvs17

	* src/gtk/prefswindow.c
		Correctly set transient_for property for preferences window,
		as well as for color picker dialogs. Fixes bug #2710.

2012-07-25 [ticho]	3.8.1cvs16

	* src/gtk/quicksearch.c
		Allow quicksearch syntax description window to be correctly
		set transient for main window.

2012-07-15 [wwp]	3.8.1cvs15

	* src/procmime.c
		Fix bug 2697, thanks to Mikhail Efremov (wrong list ptr used).

2012-07-10 [paul]	3.8.1cvs14

	* src/procmime.c
		forgot this in last commit

2012-07-10 [paul]	3.8.1cvs13

	* src/messageview.c
	* src/common/defs.h
	* src/common/quoted-printable.c
	* src/common/quoted-printable.h
		revert 3.8.1cvs2,3,4,5  because they (somewhere!) cause
		the bug: partial message text loss

2012-07-10 [mones]	3.8.1cvs12

	* src/plugins/pgpcore/sgpgme.c
		Fix bug 2689, 'segfault when trying to view info
                about pgp/smime sign'

2012-07-08 [ticho]	3.8.1cvs11

	* src/plugins/pgpcore/sgpgme.c
		Consider marginal signature validity as untrusted. Suggested by
		Jean-Benoist Leger (leger at crans.org).

2012-07-08 [paul]	3.8.1cvs10

	* src/gtk/icon_legend.c
		fix (reveal) hidden icon in gui and build warning

2012-07-07 [paul]	3.8.1cvs9

	* src/plugins/pgpcore/prefs_gpg.c
		fix build

2012-07-07 [colin]	3.8.1cvs8

	* claws-features.h.in
	* src/codeconv.h
	* src/imap_gtk.h
	* src/inc.h
	* src/jpilot.h
	* src/messageview.h
	* src/msgcache.h
	* src/news_gtk.h
	* src/partial_download.h
	* src/pop.h
	* src/prefs_account.h
	* src/prefs_common.h
	* src/printing.h
	* src/procmime.h
	* src/procmsg.h
	* src/stock_pixmap.c
	* src/textview.h
	* src/common/defs.h
	* src/common/log.h
	* src/common/session.h
	* src/common/smtp.h
	* src/common/socket.h
	* src/common/ssl.h
	* src/common/ssl_certificate.h
	* src/common/timing.h
	* src/common/utils.h
	* src/gtk/gtkaspell.h
	* src/gtk/gtkutils.h
	* src/gtk/pluginwindow.h
	* src/gtk/spell_entry.h
	* src/gtk/sslcertwindow.h
		Don't export config.h in public headers

2012-07-07 [colin]	3.8.1cvs7

	* claws-features.h.in
	* configure.ac
	* Makefile.am
	* src/account.c
	* src/action.c
	* src/addr_compl.c
	* src/addrcustomattr.c
	* src/addrduplicates.c
	* src/addressadd.c
	* src/addressbook.c
	* src/addressbook_foldersel.c
	* src/addrgather.c
	* src/addrindex.c
	* src/alertpanel.c
	* src/autofaces.c
	* src/browseldap.c
	* src/codeconv.c
	* src/codeconv.h
	* src/compose.c
	* src/crash.c
	* src/customheader.c
	* src/displayheader.c
	* src/editaddress.c
	* src/editaddress_other_attributes_ldap.c
	* src/editbook.c
	* src/editgroup.c
	* src/editjpilot.c
	* src/editldap.c
	* src/editldap_basedn.c
	* src/edittags.c
	* src/editvcard.c
	* src/exphtmldlg.c
	* src/expldifdlg.c
	* src/export.c
	* src/exporthtml.c
	* src/exportldif.c
	* src/folder.c
	* src/folder_item_prefs.c
	* src/grouplistdialog.c
	* src/headerview.c
	* src/image_viewer.c
	* src/imap.c
	* src/imap_gtk.c
	* src/imap_gtk.h
	* src/import.c
	* src/importldif.c
	* src/importmutt.c
	* src/importpine.c
	* src/inc.c
	* src/inc.h
	* src/jpilot.c
	* src/jpilot.h
	* src/ldapctrl.c
	* src/ldaplocate.c
	* src/ldapquery.c
	* src/ldapserver.c
	* src/ldapupdate.c
	* src/ldaputil.c
	* src/main.c
	* src/manual.c
	* src/matcher.c
	* src/mbox.c
	* src/message_search.c
	* src/messageview.h
	* src/mh.c
	* src/mh_gtk.c
	* src/mimeview.c
	* src/msgcache.c
	* src/msgcache.h
	* src/news.c
	* src/news_gtk.c
	* src/news_gtk.h
	* src/noticeview.c
	* src/partial_download.c
	* src/partial_download.h
	* src/pop.c
	* src/pop.h
	* src/prefs_account.c
	* src/prefs_account.h
	* src/prefs_actions.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_compose_writing.c
	* src/prefs_customheader.c
	* src/prefs_display_header.c
	* src/prefs_ext_prog.c
	* src/prefs_filtering.c
	* src/prefs_filtering_action.c
	* src/prefs_folder_column.c
	* src/prefs_folder_item.c
	* src/prefs_fonts.c
	* src/prefs_gtk.c
	* src/prefs_image_viewer.c
	* src/prefs_logging.c
	* src/prefs_matcher.c
	* src/prefs_message.c
	* src/prefs_msg_colors.c
	* src/prefs_other.c
	* src/prefs_quote.c
	* src/prefs_receive.c
	* src/prefs_send.c
	* src/prefs_spelling.c
	* src/prefs_summaries.c
	* src/prefs_summary_column.c
	* src/prefs_summary_open.c
	* src/prefs_toolbar.c
	* src/prefs_wrapping.c
	* src/printing.c
	* src/printing.h
	* src/procheader.c
	* src/procmime.c
	* src/procmime.h
	* src/procmsg.h
	* src/quote_fmt.c
	* src/recv.c
	* src/send_message.c
	* src/setup.c
	* src/ssl_manager.c
	* src/statusbar.c
	* src/summary_search.c
	* src/textview.c
	* src/textview.h
	* src/toolbar.c
	* src/undo.c
	* src/unmime.c
	* src/uri_opener.c
	* src/wizard.c
	* src/common/claws.c
	* src/common/defs.h
	* src/common/hooks.c
	* src/common/log.c
	* src/common/log.h
	* src/common/plugin.c
	* src/common/prefs.c
	* src/common/session.c
	* src/common/session.h
	* src/common/smtp.c
	* src/common/smtp.h
	* src/common/socket.c
	* src/common/socket.h
	* src/common/ssl.c
	* src/common/ssl.h
	* src/common/ssl_certificate.c
	* src/common/ssl_certificate.h
	* src/common/string_match.c
	* src/common/tags.c
	* src/common/timing.h
	* src/common/utils.c
	* src/common/utils.h
	* src/etpan/etpan-thread-manager.c
	* src/etpan/imap-thread.c
	* src/etpan/nntp-thread.c
	* src/gtk/about.c
	* src/gtk/combobox.c
	* src/gtk/description_window.c
	* src/gtk/filesel.c
	* src/gtk/gtkaspell.c
	* src/gtk/gtkaspell.h
	* src/gtk/gtkshruler.c
	* src/gtk/gtkunit.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/gtk/gtkvscrollbutton.c
	* src/gtk/icon_legend.c
	* src/gtk/inputdialog.c
	* src/gtk/logwindow.c
	* src/gtk/menu.c
	* src/gtk/pluginwindow.c
	* src/gtk/pluginwindow.h
	* src/gtk/prefswindow.c
	* src/gtk/progressdialog.c
	* src/gtk/quicksearch.c
	* src/gtk/spell_entry.c
	* src/gtk/spell_entry.h
	* src/gtk/sslcertwindow.c
	* src/gtk/sslcertwindow.h
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/dillo_viewer/dillo_prefs.c
	* src/plugins/dillo_viewer/dillo_viewer.c
	* src/plugins/pgpcore/pgp_viewer.c
	* src/plugins/pgpcore/plugin.c
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpinline/plugin.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/pgpmime/plugin.c
	* src/plugins/smime/plugin.c
	* src/plugins/smime/smime.c
	* src/plugins/spamassassin/libspamc.c
	* src/plugins/spamassassin/spamassassin.c
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/plugins/trayicon/trayicon.c
	* src/plugins/trayicon/trayicon_prefs.c
		Specify Claws compile-time features in a specific header

2012-07-06 [wwp]	3.8.1cvs6

	* src/main.c
	* src/gtk/about.c
		Session statistics: format date following global prefs,
		and fix stats output a little bit.

2012-07-03 [mir]	3.8.1cvs5

	* src/procmime.c
	    fix bug 2642, 'improve transfer encoding selection'.
	    Patch provided by Christopher Zimmermann
	    (madroach claws at gmerlin dot de)

2012-07-03 [mir]	3.8.1cvs4

	* src/procmime.c
	* src/common/defs.h
            fix bug 2641, '7bit or 8bit encoded attachments can
            have lines longer than 998 characters'.
            Patch provided by Christopher Zimmermann
            (madroach claws at gmerlin dot de)


2012-07-03 [mir]	3.8.1cvs3

	* src/procmime.c
	* src/common/defs.h
	    fix bug 2641, '7bit or 8bit encoded attachments can
	    have lines longer than 998 characters'.
	    Patch provided by Christopher Zimmermann
	    (madroach claws at gmerlin dot de)

2012-07-03 [mir]	3.8.1cvs2

	* src/messageview.c
	* src/procmime.c
	* src/common/quoted-printable.c
	* src/common/quoted-printable.h
	    fix bug 2640, 'improve quoted-printable encoding'
	    Patch provided by madroach claws at gmerlin dot de

2012-06-30 [paul]	3.8.1cvs1

	* Makefile.am
		fix bug 2579, 'Installed headers redefine autotools-specific constants'

2012-06-27 [paul]	3.8.1
	* NEWS
	* README
	* RELEASE_NOTES	
		3.8.1 unleashed!
		
2012-06-27 [paul]	3.8.0cvs58

	* configure.ac
		fix minimum required GTK+, which got mistakenly bumped
		in 3.8.0cvs36

2012-06-27 [paul]	3.8.0cvs57

	* configure.ac
	* po/cs.po
	* po/de.po
	* po/es.po
	* po/fr.po
	* po/hu.po
	* po/id_ID.po
	* po/lt.po
	* po/pt_BR.po
	* po/sk.po
	* po/sv.po
	* po/zh_CN.po
	* po/zh_TW.po
		updated translations
	* src/gtk/authors.h
	* tools/claws.i18n.status.pl
		updated based on currently active

2012-06-25 [mir]	3.8.0cvs56

	* src/folder.c
	    If a folder class returns <> 0 then the message has not
	    been removed from the file system and therefore it should
	    not be removed from the cache either.

2012-06-20 [ticho]	3.8.0cvs55

	* src/mh.c
		Fix for bug #1090 - Standard-folders appear again
		after rescanning tree

2012-06-20 [paul]	3.8.0cvs54

	* src/prefs_common.c
	* src/prefs_common.h
	* src/textview.c
	* src/textview.h
		colourise attached patches.
		Patch by Ticho

2012-06-02 [wwp]	3.8.0cvs53

	* src/gtk/progressdialog.c
		Add a hide button to the retrieve/send progress dialogs. WM's close button
		now hides (as well as pressing Esc) instead of doing nothing.

2012-06-02 [wwp]	3.8.0cvs52

	* doc/man/claws-mail.1
	* src/main.c
	* src/main.h
	* src/inc.c
	* src/procmsg.c
	* src/gtk/about.c
		Introduce a new feature: basic session statistics (from the about dialog
		or the command-line).

2012-06-02 [wwp]	3.8.0cvs51

	* src/compose.c
		Fix bug 2620: shift+tab from subject field not working.

2012-06-02 [wwp]	3.8.0cvs50

	* src/compose.c
	* src/mainwindow.c
	* src/messageview.c
		Normalize capitalization of strings in UI.

2012-05-30 [paul]	3.8.0cvs49

	* src/common/ssl.c
		don't do TLS if not requested by user. fixes connecting to
		servers which, for example, want SSL 3 only

2012-05-27 [paul]	3.8.0cvs48

	* *
		update copyright headers to 2012

2012-05-27 [paul]	3.8.0cvs47

	* src/editldap.c
	* src/prefs_actions.c
	* src/gtk/about.c
		fix some typos in strings, thanks to Thomas Bellmann

2012-05-16 [paul]	3.8.0cvs46

	* src/prefs_filtering_action.c
		fix disabled 'select...' button that never goes away
		when using the new addr book
		

2012-05-16 [colin]	3.8.0cvs45

	* src/common/utils.c
		And fix leak

2012-05-16 [colin]	3.8.0cvs44

	* src/common/utils.c
		Make remove_numbered_files much faster when there's
		just one file to remove.

2012-05-16 [paul]	3.8.0cvs43

	* src/matcher.c
		fix bug 2662, '"ag" quicksearch adds "1" to value'

2012-05-16 [paul]	3.8.0cvs42

	* src/gtk/description_window.c
		fix bug 2624, 'dialog "Action Configuration" cannot be closed'

2012-05-16 [paul]	3.8.0cvs41

	* src/common/ssl_certificate.c
		fix bug 2646, 'Compile fails with gnutls-3.0.18'
		Patch by Christian Hesse

2012-05-11 [colin]	3.8.0cvs40

	* src/mimeview.c
	* src/common/utils.c
		Fix bug 2659, 'E-mail attachments are handled
		inconsistently'
		Fix problems iterating the mime tree, and determine
		whether a file is an email without To:

2012-04-03 [colin]	3.8.0cvs39

	* src/Makefile.am
		Fix build (damn whitespace-sensitive file format)

2012-04-02 [colin]	3.8.0cvs38

	* src/Makefile.am
		Fix incomplete make dist

2012-04-02 [colin]	3.8.0cvs37

	* src/compose.c
		Fix mistakenly removed function call

2012-04-01 [colin]	3.8.0cvs36

	* configure.ac
	* src/.cvsignore
	* src/Makefile.am
	* src/addr_compl.c
	* src/addressadd.c
	* src/addressadd.h
	* src/addressbook-dbus.c
	* src/addressbook-dbus.h
	* src/addrgather.c
	* src/addrgather.h
	* src/addrharvest.c
	* src/addrharvest.h
	* src/claws-contacts.xml
	* src/compose.c
	* src/compose.h
	* src/filtering.c
	* src/headerview.c
	* src/main.c
	* src/mainwindow.c
	* src/messageview.c
	* src/prefs_common.c
	* src/prefs_filtering_action.c
	* src/prefs_matcher.c
	* src/summaryview.c
	* src/textview.c
	* src/toolbar.c
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/dillo_viewer/dillo_prefs.c
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/plugins/trayicon/trayicon.c
		Import new addressbook code from the new-contacts branch

2012-03-29 [paul]	3.8.0cvs35

	* AUTHORS
	* src/gtk/authors.h
	* src/gtk/quicksearch.c
		add 'ha', short version of 'has_attachment' in quick search
		Patch by Andreas Rönnquist

2012-03-26 [mones]	3.8.0cvs34

	* src/common/plugin.c
		Support 2 and 3-clause BSD licensed plugins

2012-03-15 [pawel]	3.8.0cvs33

	* src/messageview.c
	* src/textview.c
		- Make separate window info more accurate about
		move to trash/deletion.
		- Fix busy cursor

2012-03-14 [pawel]	3.8.0cvs32

	* src/folder.c
	* src/messageview.c
	* src/messageview.h
	* src/procmsg.h
	* src/summaryview.c
	* src/textview.c
	* src/textview.h
		Better fix for bug #2501
		Instead of leaving blank window after message move or delete,
		update separate view to next message in message list or
		display info why view is blank. This was discussed
		in bug #2621 comments.

2012-03-11 [colin]	3.8.0cvs31

	* src/gtk/gtkcmctree.c
	* src/gtk/authors.h
	* AUTHORS
		Fix focus rectangle on unfocused rows
		Patch by Michael Shell

2012-02-29 [colin]	3.8.0cvs30

	* src/gtk/gtkcmctree.c
		Fix bug #2577, "Focus rectangle on folder list and message 
		list headings doesn't get properly cleared when switching 
		heading and horizontally scrolling list (underlines and 
		vertical lines remain on screen)". Patch by Michael Shell

2012-02-13 [pawel]	3.8.0cvs29

	* src/messageview.c
		Fix crasher when double clicking on IMAP message and
		MessageView is not shown introduced in cvs21
		Patch by mones

2012-02-10 [pawel]	3.8.0cvs28

	* src/filtering.c
		Fix bug #2598 'Actions can move locked messages'

2012-02-08 [pawel]	3.8.0cvs27

	* src/prefs_actions.c
	* src/prefs_actions.h
	* src/prefs_toolbar.c
	* src/prefs_toolbar.h
	* src/toolbar.c
	* src/toolbar.h
		- Implement automatic removal of toolbar action buttons when
		  associated action is removed
		- Don't allow creation of two actions with the same name,
		  before all executions/removals were performed on first action
		  with duplicated name in linked list which wasn't always
		  correct behaviour

2012-02-05 [colin]	3.8.0cvs26

	* src/main.c
	* src/mainwindow.c
	* src/messageview.c
	* src/messageview.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/procmsg.c
	* src/procmsg.h
	* src/summaryview.c
	* src/summaryview.h
		Add an history to navigate in mails

2012-02-05 [colin]	3.8.0cvs25

	* src/procmime.c
		Fix inverted comparison in list_find_custom.

2012-02-03 [wwp]	3.8.0cvs24

	* src/gtk/progressdialog.c
	Make translators life easier: use View log instead of Show log
	(thanks, gusnan!).

2012-02-02 [pawel]	3.8.0cvs23

	* src/folderview.c
		Fix bug #2590 'Un-capitalize strings'
		Patch by Christian Hesse

2012-02-02 [pawel]	3.8.0cvs22

	* src/mainwindow.c
		Fix bug #2595 
		'Change expand behavior for message list / message view'
		Patch by Christian Hesse

2012-02-02 [pawel]	3.8.0cvs21

	* src/folder.c
	* src/messageview.c
	* src/messageview.h
	* src/procmsg.h
		Fix bug #2501 'opened message blanks when moved to other folder'
		Detect message move and update message window contents 
		accordingly, if	message is moved to trash close window

2012-02-01 [pawel]	3.8.0cvs20

	* src/jpilot.c
	* src/mutt.c
	* src/pine.c
	* src/procmsg.c
	* src/vcard.c
	* src/gtk/sslcertwindow.c
		More strncat boundary checks

2012-01-31 [wwp]	3.8.0cvs19

	* src/gtk/gtkutils.c
	Fix warnings in gtkutils: wrong function name, missing newline, typo and
	long line wrapping.

2012-01-31 [wwp]	3.8.0cvs18

	* src/gtk/progressdialog.c
	* src/gtk/progressdialog.h
	* src/inc.c
	* src/send_message.c
	Add a button to the retrieve/send dialogs to
	open the network log.

2012-01-25 [wwp]	3.8.0cvs17

	* src/addr_compl.c
	Remove debug statement.

2012-01-20 [pawel]	3.8.0cvs16

	* src/addrbook.c
	* src/exportldif.c
		Fix bug #2574 'Statement might be overflowing a
		buffer in strncat'

2012-01-20 [pawel]	3.8.0cvs15

	* src/mimeview.c
		Fix bug #2582 'Expanded mimeview drag n drop no longer works'

2012-01-14 [colin]	3.8.0cvs14

	* commitHelper
		Update tracker trigger url

2012-01-10 [wwp]	3.8.0cvs13

	* src/mainwindow.c
	* src/mainwindow.h
	* src/toolbar.c
		Fix sensitivity of toolbar's get_btn (retrieve mail from current
		account) and of mainwindows's relevant entry when current account
		is not able to retrieve (SMTP-only).

2012-01-09 [colin]	3.8.0cvs12

	* src/summaryview.c
		Fix bug 1924, 'Messages marked move to Trash appear 
		identical to messages marked move to $FOLDER'

2012-01-05 [colin]	3.8.0cvs11

	* src/main.c
		Fix crasher infinite loop

2012-01-03 [colin]	3.8.0cvs10

	* src/gtk/gtkcmctree.c
		Revert previous patch, it's buggy on headers

2012-01-03 [colin]	3.8.0cvs9

	* src/gtk/gtkcmctree.c
		Fix bug #2566, 'wrapped Subject not bounded'

2011-12-29 [pawel]	3.8.0cvs8

	* src/compose.c
	* src/compose.h
	* src/main.c
	* src/mimeview.c
		Make forwarding selected attachment possible from
		mimeview's context menu
		Fixex bug #2047 'forward attachments'

2011-12-28 [paul]	3.8.0cvs7

	* src/prefs_account.c
		show 'Generate X-Mailer header' option on new IMAP account creation dialogue

2011-12-28 [colin]	3.8.0cvs6

	* src/mimeview.c
		Fix fix

2011-12-28 [colin]	3.8.0cvs5

	* src/mimeview.c
		Fix GTK+2.16 build (w32)

2011-12-18 [mir]	3.8.0cvs4

	* src/ldapctrl.c
	    Fix bug in search criteria when doing a
	    complete directory search using '*'

2011-12-16 [mir]	3.8.0cvs3

	* src/Makefile.am
	    Added forgotten replied_and_forwarded.xpm to EXTRA_DIST

2011-12-16 [wwp]	3.8.0cvs2

	* src/procmsg.c
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/summaryview.c
	* src/gtk/icon_legend.c
	* src/pixmaps/replied_and_forwarded.xpm
	  Make replied and forwarded status flags non exclusive.
	  Introduce a new message state (and relevant icon in message list)
	  where both the replied and forwarded flags are set.

2011-12-16 [paul]	3.8.0cvs1

	* tools/claws.i18n.status.pl
		update id to id_ID

2011-12-16 [paul]	3.8.0
	* NEWS
	* README
	* RELEASE_NOTES	
		3.8.0 unleashed!		

2011-12-16 [paul]	3.7.10cvs113

	* configure.ac
	* po/cs.po
	* po/es.po
	* po/fr.po
	* po/hu.po
	* po/id.po **REMOVED**
	* po/id_ID.po **ADDED**
	* po/pt_BR.po
	* po/ru.po
	* po/sk.po
	* po/uk.po
		updates

2011-12-09 [pawel]	3.7.10cvs112

	* src/summaryview.c
	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
		Invalidate quicksearch root folder when removed
		Fixes bug #2560 'crash when unsubscribing newsgroup and
		having active search field'

2011-12-08 [pawel]	3.7.10cvs111

	* src/mimeview.c
		Better fix for cvs94

2011-12-08 [wwp]	3.7.10cvs110

	* src/compose.c
	Make "From" widget set independant from recipient lists below,
	so that it doesn't scroll when several recipients headers
	are added and eventually are scrolling the view.
	Path by Christian Hesse <mail@earthworm.de>.
	Fixes bug #2481 'do not scroll "from" dropdown list and sender
	address'.

2011-12-02 [paul]	3.7.10cvs109

	* src/mainwindow.c
	* src/messageview.c
		consistent label style

2011-11-29 [wwp]	3.7.10cvs108

	* src/plugins/trayicon/libeggtrayicon/.cvsignore
	More generated stuff to ignore.

2011-11-29 [wwp]	3.7.10cvs107

	* src/prefs_folder_item.c
	Fix CLAWS_TIP_DECL (undefined).

2011-11-28 [pawel]	3.7.10cvs106

	* src/addrbook.c
	* src/addrbook.h
	* src/addressbook.c
		Fix bug #2177 'addrbook/addrbook-00000?.xml is not deleted
		after removing the address book in the GUI'

2011-11-26 [pawel]	3.7.10cvs105

	* src/folder.c
		Fix bug #2505 'tagsdb becomes polluted with old folder entries'

2011-11-25 [colin]	3.7.10cvs104

	* src/imap_gtk.c
	* src/mh_gtk.c
		Warning fixes

2011-11-24 [pawel]	3.7.10cvs103

	* src/prefs_filtering.c
		Complete cvs102, forgot to commit this

2011-11-24 [pawel]	3.7.10cvs102

	* src/account.c
	* src/filtering.c
	* src/filtering.h
	* src/imap_gtk.c
	* src/mh_gtk.c
	* src/prefs_actions.c
	* src/prefs_actions.h
		Implement actions updating on folder/account rename
		This fixes bug #2543 'filter actions in actionsrc not
		updated upon account renaming'

2011-11-24 [wwp]	3.7.10cvs101

	* src/gtk/gtkcmctree.c
		Remove irrelevant cairo directive (thanks to Hanno).

2011-11-23 [wwp]	3.7.10cvs100

	* src/gtk/gtkcmctree.c
		Make arrows in gtkcmctree's less big (get rid of the outlining),
		patch by Hanno Meyer-Thurow (h.mth@web.de), with few adaptations in offsets/sizes
		calculation.

2011-11-22 [colin]	3.7.10cvs99

	* src/account.c
	* src/prefs_filtering.c
	* src/prefs_filtering.h
		Partly revert 3.7.10cvs97 (bug #2404, bug #2406):
		The existing functions should do the job as well
		if not better, as they take into account the
		separator.

2011-11-21 [pawel]	3.7.10cvs98

	* src/prefs_account.c
		Fix bug #2116 'Rip spaces off server names in account
		configuration'
		g_strstrip() domain names to be sure they are valid

2011-11-21 [pawel]	3.7.10cvs97

	* src/account.c
	* src/prefs_filtering.c
	* src/prefs_filtering.h
		Fix bug #2404 'matcherrc updates upon account renaming'
		Fix bug #2406 'some part of accountrc not updated upon
		account rename'
		Renaming account cause changing of it's root folder prefix
		from #<type>/<old_name> to #<type>/<new_name> so every
		path directing to it must be altered. Fix paths in account
		preferences, global processing and filtering rules, folder
		processing rules upon rename

2011-11-20 [pawel]	3.7.10cvs96

	* src/filtering.c
	* src/filtering.h
	* src/prefs_actions.c
		Fix bug #1489 'Filter action mark_as_read inoperative
		following move action'
		Sort actions lists to have proper order of execution

2011-11-20 [pawel]	3.7.10cvs95

	* src/prefs_actions.c
	* src/prefs_filtering.c
	* src/prefs_template.c
		Fix bug #1870 'arrow scrolling in filters'
		Allow arrow scrolling in dialogs with list view widgets
		plus couple fixes of issues I found along the way

2011-11-19 [pawel]	3.7.10cvs94

	* src/mimeview.c
		Don't highlight icons on right-click, they are not
		selected and other part is shown which is confusing

2011-11-19 [mones]	3.7.10cvs93

	* manual/advanced.xml
		Fix manual build

2011-11-19 [mones]	3.7.10cvs92

	* manual/advanced.xml
	* manual/es/advanced.xml
		Document undocumented hidden option 'zero_replacement_char'
		Synchronize Spanish manual with English version

2011-11-19 [pawel]	3.7.10cvs91

	* src/mainwindow.c
	* src/messageview.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/summaryview.c
	* src/textview.c
	* src/textview.h
		Fix bug #2377 'Show All Headers - make change persistent
		between sessions'

2011-11-19 [pawel]	3.7.10cvs90

	* src/folder.c
	* src/folder.h
	* src/folder_item_prefs.c
	* src/folderview.c
	* src/mainwindow.c
	* src/mainwindow.h
	* src/summaryview.c
	* src/summaryview.h
	* src/gtk/authors.h
		Fix bug #1563 'Folder view: show complete threads if they
		contain unread messages'
		Add option to show only threads with unread messages
		initial patch by Paul Ollis, my small additions:
		- when checking thread for unread finish on first unread
		- make thread options unavailable when threading is off
		- hide_unread_msgs and hide_unread_threads are mutually
		  exclusive options, set menus sensitivity accordingly
		- set folder item icon type similiar to hide_unread_msgs

2011-11-19 [colin]	3.7.10cvs89

	* src/procheader.c
		Constness fix

2011-11-18 [pawel]	3.7.10cvs88

	* src/compose.c
	* src/mainwindow.c
	* src/mimeview.c
	* src/mimeview.h
	* src/prefs_common.c
	* src/prefs_common.h
		Fix bug #2408 'Some UI elements are not persistent
		between sessions'
		Remember size of main window, compose notebook, mimeview
		tree widgets between claws-mail runs. Compose window
		size saving was already done in cvs74

2011-11-18 [mones]	3.7.10cvs87

	* src/compose.c
	* src/procheader.c
	* src/procheader.h
		Fixes bug #2509, "manually added headers are lost unless
		mail is sent inmediately"

2011-11-17 [pawel]	3.7.10cvs86

	* src/mimeview.c
		Fix crasher reported in bug #2543

2011-11-13 [colin]	3.7.10cvs85

	* src/compose.c
		Make compose windows printable

2011-11-11 [colin]	3.7.10cvs84

	* configure.ac
		Fix build on Fedora 16. -lm was probably pulled by something
		else previously.

2011-11-11 [pawel]	3.7.10cvs83

	* src/mainwindow.c
	* src/mimeview.c
	* src/mimeview.h
	* src/summaryview.c
		Port MimeView to GtkTreeView

2011-11-11 [colin]	3.7.10cvs82

	* src/prefs_common.c
		Use %x (The preferred date representation for the current locale
		without the time)

2011-11-10 [paul]	3.7.10cvs81

	* src/prefs_common.c
		use european date format as default

2011-11-08 [pawel]	3.7.10cvs80

	* src/summaryview.c
		Fix bug #2422 'Toggle Message View w/ V crashes Claws'
		Fix race condition - don't try to hide messageview while
		being in the middle of message displaying routine.

2011-11-08 [colin]	3.7.10cvs79

	* src/codeconv.c
		Make sure we break line when we need to. Very probably
		fixes bug #2310 "Crash when hitting Ctrl+R to reply to a 
		particular mail"

2011-11-07 [pawel]	3.7.10cvs78

	* src/imap_gtk.c
		Fix bug #2493 'Subscription pull down should be alphabetized'

2011-11-07 [pawel]	3.7.10cvs77

	* src/mimeview.c
	* src/textview.c
	* src/textview.h
		Make Home & End keys work in textview

2011-11-06 [colin]	3.7.10cvs76

	* src/mainwindow.c
		Oops, some unwanted undo got commited.

2011-11-06 [colin]	3.7.10cvs75

	* src/mainwindow.c
		Don't iconify/deiconify. Instead, just show nothing
		before asked to.

2011-11-06 [pawel]	3.7.10cvs74

	* src/compose.c
		Fix compose window size saving / restoring

2011-11-06 [pawel]	3.7.10cvs73

	* src/mimeview.c
	* src/messageview.c
		Optimize message displaying, in some conditions parts were
		displayed twice causing flickering. For example first html
		source and then rendering output from html plugin of the
		same part.

2011-11-05 [wwp]	3.7.10cvs72

	* src/gtk/gtkaspell.c
		Fix compilation where 'null' is undefined (use NULL instead).

2011-11-05 [colin]	3.7.10cvs71

	* src/gtk/gtkaspell.c
		No need to show a backtrace if gtkaspell is null

2011-11-05 [pawel]	3.7.10cvs70

	* src/gtk/gtkaspell.c
		Fix crasher when spellchecking is not enabled

2011-11-02 [mones]	3.7.10cvs69

	* doc/man/claws-mail.1
		fixed hyphens (patch from Debian packaging)
		fixed header to follow man style closely 
		documented new option --compose-from-file
		removed INSTALLATION section, doesn't belong to manpage
		added ENVIRONMENT, COPYRIGHT and BUGS sections
		expanded FILES section to include certs and autofaces dirs
		expanded SEE ALSO section to include manual and plugins

2011-11-01 [colin]	3.7.10cvs68

	* src/common/utils.c
		Fix wrong debug stuff commited.

2011-11-01 [colin]	3.7.10cvs67

	* src/compose.c
	* src/main.c
	* src/common/utils.c
	* src/gtk/gtkaspell.c
	* src/gtk/gtkaspell.h
		Fix huge slowness induced by spellcheck "while typing"
		during initial quote rewraps.

2011-10-31 [pawel]	3.7.10cvs66

	* src/messageview.c
	* src/mimeview.c
	* src/mimeview.h
	* src/summaryview.c
		Fix bug #2526 'When reading message in separate window,
		n and p keys do not work'
		- fix key event handling in messageview
		- remove bindings for 'n' and 'p' keys in mimeview (next-part
		  and prev-part actions)
		- instead add 'z' key for prev-part, we have 'a' key 
		  for next-part already

2011-10-31 [colin]	3.7.10cvs65

	* src/common/defs.h
		Fix build with GLib 2.31. Thanks to Charles A. Edwards

2011-10-31 [pawel]	3.7.10cvs64

	* src/summaryview.c
	* src/gtk/gtkutils.c
		Fix bug #2303 'Next unread message enables message view'
		Don't show previously hidden message view in main window
		when user reads messages in external window

2011-10-31 [paul]	3.7.10cvs63

	* src/prefs_template.c
		revert part of 3.7.10cvs60 - it was a subjective change, all widgets
		fit at 540 here, for those where they don't the dialogue can be made
		larger by the user

2011-10-31 [paul]	3.7.10cvs62

	* src/compose.c
		revert 3.7.10cvs61, these entries _should_ be editable

2011-10-30 [pawel]	3.7.10cvs61

	* src/compose.c
		Those entries should not be editable

2011-10-30 [pawel]	3.7.10cvs60

	* src/prefs_template.c
		- Dialog needs more height to fit all widgets
		- Clear template contents on delete

2011-10-30 [pawel]	3.7.10cvs59

	* src/prefs_folder_item.c
		Update summaryview after changing folder prefs when needed

2011-10-30 [pawel]	3.7.10cvs58

	* src/mimeview.c
		Remove key-press-event blocking, it only
		emits GLib-GObject warnings

2011-10-29 [colin]	3.7.10cvs57

	* src/addr_compl.c
		Fix focus of completion window with gnome shell
		Fixes bug #2525, "Address completion window does not get
		keyboard focus"

2011-10-29 [colin]	3.7.10cvs56

	* src/folderview.c
		Fix flicker on recursive quicksearch

2011-10-28 [colin]	3.7.10cvs55

	* src/alertpanel.c
	* src/mainwindow.c
		Fix a bit the focus problem on Gnome shell

2011-10-26 [mones]	3.7.10cvs54

	* src/compose.c
		Add missing accelerator

2011-10-25 [colin]	3.7.10cvs53

	* src/gtk/gtkcmclist.c
	* src/gtk/gtkcmctree.c
		Fix colors, fix warnings

2011-10-25 [colin]	3.7.10cvs52

	* src/gtk/gtkcmclist.c
	* src/gtk/gtkcmctree.c
		Fix focus things.

2011-10-25 [colin]	3.7.10cvs51

	* src/stock_pixmap.c
		Fix build with gtk + 2.20

2011-10-25 [colin]	3.7.10cvs50

	* src/compose.c
	* src/messageview.c
	* src/procmsg.c
	* src/procmsg.h
		Fix locking when sending a single message

2011-10-25 [colin]	3.7.10cvs49

	* src/gtk/colorlabel.c
		GDK_ => GDK_KEY
	* src/gtk/gtkcmclist.c
		Make row height closer to what it was

2011-10-25 [colin]	3.7.10cvs48

	* src/stock_pixmap.c
		Always use cairo to draw

2011-10-25 [colin]	3.7.10cvs47

	* src/mimeview.c
		Fix bug #2529, 'crash in mimeview_start_drag after
		deleting message'. Patch by Ricardo

2011-10-23 [colin]	3.7.10cvs46

	* src/gtk/gtkcmclist.c
	* src/gtk/gtkcmclist.h
	* src/gtk/gtkcmctree.c
		Draw CMClist with cairo too.

2011-10-23 [colin]	3.7.10cvs45

	* src/gtk/gtkcmclist.h
		Fix build (this was not meant to be commited)

2011-10-23 [colin]	3.7.10cvs44

	* src/addressadd.c
	* src/addressbook.c
	* src/addressbook_foldersel.c
	* src/editgroup.c
	* src/foldersel.c
	* src/folderview.c
	* src/grouplistdialog.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/summaryview.c
	* src/gtk/gtkcmclist.c
	* src/gtk/gtkcmclist.h
	* src/gtk/gtkcmctree.c
	* src/gtk/gtkcmctree.h
	* src/gtk/gtksctree.c
		Refactor some tree stuff (lots of code duplication there)
		and switch to cairo for tree rendering.

2011-10-23 [holger]	3.7.10cvs43

	* src/filtering.c
		Don't issue a warning for designed behaviour of the stop rule.
		Fixes bug #2520, 'Please remove verbose "No further processing after rule %s" message.'

2011-10-22 [colin]	3.7.10cvs42

	* src/printing.c
	* src/gtk/gtkshruler.c
	* src/gtk/gtkutils.h
		Fix GTK+2.16 build

2011-10-22 [colin]	3.7.10cvs41

	* src/account.c
	* src/addr_compl.c
	* src/addrgather.c
	* src/compose.c
	* src/editldap.c
	* src/expldifdlg.c
	* src/folderview.c
	* src/grouplistdialog.c
	* src/headerview.c
	* src/importldif.c
	* src/main.c
	* src/mainwindow.c
	* src/mimeview.c
	* src/noticeview.c
	* src/prefs_account.c
	* src/prefs_actions.c
	* src/prefs_ext_prog.c
	* src/prefs_filtering.c
	* src/prefs_folder_item.c
	* src/prefs_image_viewer.c
	* src/prefs_logging.c
	* src/prefs_msg_colors.c
	* src/prefs_other.c
	* src/prefs_send.c
	* src/prefs_spelling.c
	* src/prefs_summaries.c
	* src/prefs_template.c
	* src/printing.c
	* src/quote_fmt.c
	* src/send_message.c
	* src/statusbar.c
	* src/summary_search.c
	* src/summaryview.c
	* src/wizard.c
	* src/gtk/gtkcmclist.c
	* src/gtk/gtkcmctree.c
	* src/gtk/gtkcmoptionmenu.c
	* src/gtk/gtksctree.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/gtk/gtkvscrollbutton.c
	* src/gtk/inputdialog.c
	* src/gtk/pluginwindow.c
	* src/gtk/quicksearch.c
	* src/gtk/spell_entry.c
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/dillo_viewer/dillo_prefs.c
	* src/plugins/pgpcore/prefs_gpg.c
	* src/plugins/spamassassin/spamassassin_gtk.c
	* src/plugins/trayicon/trayicon.c
	* src/plugins/trayicon/trayicon_prefs.c
		Remove all possible #if GTK_CHECK_VERSION() checks,
		and make Claws build with GTK+2.16 (untested right
		now), as the Gpg4Win project uses GTK+2.16 currently.

2011-10-22 [colin]	3.7.10cvs40

	* src/gtk/gtkutils.h
	* configure.ac
		Fix (hopefully) build with GTK+ 2.18.

2011-10-20 [paul]	3.7.10cvs39

	* AUTHORS
	* src/ldif.c
	* src/gtk/authors.h
		fix bug 2479, 'LDIF address book import matches tags case sensitive'
		Patch by Bodo Graumann <mail@bodograumann.de>

2011-10-20 [mones]	3.7.10cvs38

	* po/fr.po
	* src/common/defs.h
		Fix references to old dotsrc mailing lists

2011-10-19 [mones]	3.7.10cvs37

	* src/prefs_msg_colors.c
		Fix Ok/Cancel buttons in color selector of preferences

2011-10-17 [colin]	3.7.10cvs36

	* src/gtk/gtkshruler.c
		(Probably) fix GTK+ <= 2.22

2011-10-17 [colin]	3.7.10cvs35

	* src/gtk/gtkshruler.c
		Fix GTK+2.22 build

2011-10-17 [mones]	3.7.10cvs34

	* src/addrbook.c
	* src/exportldif.c
	* src/jpilot.c
	* src/mutt.c
	* src/pine.c
	* src/procmsg.c
	* src/vcard.c
		Fix potential out-of-buffer writes

2011-10-17 [mones]	3.7.10cvs33

	* src/main.c
		Use just one g_print call per option; correct indentation

2011-10-17 [colin]	3.7.10cvs32

	* src/compose.c
	* src/compose.h
	* src/gtk/Makefile.am
	* src/gtk/gtkshruler.c
	* src/gtk/gtkshruler.h
	* src/gtk/gtkunit.c
	* src/gtk/gtkunit.h
		Reimplement ruler using the GTK widgets. Thanks
		to Hanno for the initial patch.

2011-10-17 [colin]	3.7.10cvs31

	* src/action.c
	* src/main.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
		Undeprecate GIO/GdkCondition

2011-10-16 [mones]	3.7.10cvs30

	* src/main.c
		Add --compose-from-file option to open composition
		window with the headers and body from a file; based
		on Debian patch to fix http://bugs.debian.org/544868

2011-10-15 [mones]	3.7.10cvs29

	* manual/advanced.xml
		Document new summary_from_show hidden preference

2011-10-15 [paul]	3.7.10cvs28

	* src/compose.c
		compose_create_tags() - fix misplaced 'int i'
		compose_entry_mark_default_to() - fix To field highlighting

2011-10-09 [colin]	3.7.10cvs27

	* src/addr_compl.c
		Fix address completion

2011-10-07 [colin]	3.7.10cvs26

	* src/prefs_filtering_action.c
	* src/gtk/gtkutils.h
		Fix build with GTK+2.20

2011-10-07 [colin]	3.7.10cvs25

	* src/gtk/Makefile.am
	* src/gtk/gdkkeysyms-new.h
	* src/gtk/gtkutils.h
		Copy the new GDK_KEY_* definitions for older GTKs

2011-10-07 [colin]	3.7.10cvs24

	* configure.ac
		Fix typos (thanks to Hanno)

2011-10-07 [colin]	3.7.10cvs23

	* src/compose.c
	* src/gtk/gtkshruler.c
	* src/gtk/gtkshruler.h
		Disable ruler starting from 2.24.

2011-10-07 [colin]	3.7.10cvs22

	* configure.ac
	* src/messageview.c
	* src/gtk/Makefile.am
		GTK2 build fix

2011-10-07 [colin]	3.7.10cvs21

	* configure.ac
	* src/action.c
	* src/addr_compl.c
	* src/addrgather.c
	* src/compose.c
	* src/compose.h
	* src/editldap.c
	* src/mainwindow.c
	* src/message_search.c
	* src/mimeview.c
	* src/mimeview.h
	* src/prefs_account.c
	* src/prefs_compose_writing.c
	* src/prefs_filtering_action.c
	* src/prefs_folder_item.c
	* src/prefs_logging.c
	* src/prefs_matcher.c
	* src/prefs_message.c
	* src/prefs_other.c
	* src/prefs_receive.c
	* src/prefs_summaries.c
	* src/prefs_wrapping.c
	* src/printing.c
	* src/ssl_manager.c
	* src/statusbar.c
	* src/stock_pixmap.c
	* src/summary_search.c
	* src/textview.c
	* src/gtk/Makefile.am
	* src/gtk/colorlabel.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/gtk/logwindow.c
	* src/gtk/menu.c
	* src/gtk/menu.h
	* src/gtk/quicksearch.c
	* src/gtk/spell_entry.c
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/dillo_viewer/dillo_viewer.c
	* src/plugins/pgpcore/prefs_gpg.c
	* src/plugins/spamassassin/spamassassin_gtk.c
		Bug #2371, "Port to GTK+ 3.0". Third patch from Hanno, starting
		the real job. GtkCMOptionMenu and GTKHSRuler disabled, should be
		ported (especially GtkCMOptionMenu)

2011-10-07 [colin]	3.7.10cvs20

	* src/account.c
	* src/action.c
	* src/addr_compl.c
	* src/addrcustomattr.c
	* src/addrduplicates.c
	* src/addressadd.c
	* src/addressbook.c
	* src/addressbook_foldersel.c
	* src/addrgather.c
	* src/alertpanel.c
	* src/browseldap.c
	* src/compose.c
	* src/editaddress.c
	* src/editaddress_other_attributes_ldap.c
	* src/editbook.c
	* src/editgroup.c
	* src/editjpilot.c
	* src/editldap.c
	* src/editldap_basedn.c
	* src/edittags.c
	* src/editvcard.c
	* src/exphtmldlg.c
	* src/expldifdlg.c
	* src/export.c
	* src/foldersel.c
	* src/folderview.c
	* src/grouplistdialog.c
	* src/import.c
	* src/importldif.c
	* src/importmutt.c
	* src/importpine.c
	* src/mainwindow.c
	* src/message_search.c
	* src/messageview.c
	* src/mimeview.c
	* src/prefs_actions.c
	* src/prefs_customheader.c
	* src/prefs_display_header.c
	* src/prefs_filtering.c
	* src/prefs_filtering_action.c
	* src/prefs_folder_column.c
	* src/prefs_matcher.c
	* src/prefs_msg_colors.c
	* src/prefs_other.c
	* src/prefs_summaries.c
	* src/prefs_summary_column.c
	* src/prefs_summary_open.c
	* src/prefs_template.c
	* src/prefs_toolbar.c
	* src/printing.c
	* src/sourcewindow.c
	* src/ssl_manager.c
	* src/summary_search.c
	* src/summaryview.c
	* src/textview.c
	* src/uri_opener.c
	* src/gtk/about.c
	* src/gtk/colorsel.c
	* src/gtk/combobox.c
	* src/gtk/description_window.c
	* src/gtk/foldersort.c
	* src/gtk/gtkaspell.c
	* src/gtk/gtkcmclist.c
	* src/gtk/gtkcmctree.c
	* src/gtk/gtkcmoptionmenu.c
	* src/gtk/gtkutils.c
	* src/gtk/icon_legend.c
	* src/gtk/inputdialog.c
	* src/gtk/logwindow.c
	* src/gtk/pluginwindow.c
	* src/gtk/prefswindow.c
	* src/gtk/quicksearch.c
	* src/plugins/pgpcore/passphrase.c
	* src/plugins/pgpcore/select-keys.c
		Bug #2371, "Port to GTK+ 3.0". Monster-patch by Hanno Meyer-Thurow
		to replace GDK_* by GDK_KEY_*.

2011-10-07 [colin]	3.7.10cvs19

	* AUTHORS
	* src/account.c
	* src/action.c
	* src/addr_compl.c
	* src/addressbook.c
	* src/alertpanel.c
	* src/compose.c
	* src/edittags.c
	* src/folderview.c
	* src/grouplistdialog.c
	* src/image_viewer.c
	* src/mainwindow.c
	* src/mimeview.c
	* src/noticeview.c
	* src/prefs_filtering_action.c
	* src/prefs_folder_column.c
	* src/prefs_msg_colors.c
	* src/prefs_summary_column.c
	* src/prefs_toolbar.c
	* src/printing.c
	* src/stock_pixmap.c
	* src/summaryview.c
	* src/textview.c
	* src/undo.c
	* src/wizard.c
	* src/gtk/about.c
	* src/gtk/authors.h
	* src/gtk/colorlabel.c
	* src/gtk/colorsel.c
	* src/gtk/gtkcmclist.c
	* src/gtk/gtkcmctree.c
	* src/gtk/gtkcmoptionmenu.c
	* src/gtk/gtksctree.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkvscrollbutton.c
	* src/gtk/inputdialog.c
	* src/gtk/logwindow.c
	* src/gtk/menu.c
	* src/gtk/prefswindow.c
	* src/gtk/progressdialog.c
	* src/plugins/pgpcore/passphrase.c
	* src/plugins/trayicon/trayicon.c
		Bug #2371, "Port to GTK+ 3.0": Use accessor functions.
		Patch by Hanno Thurow-Meyer, many thanks to him !

2011-09-20 [colin]	3.7.10cvs18

	* src/common/ssl.c
		Fix bug #2502, 'gnutls_transport_set_lowat removed in
		gnutls 3.0.3'

2011-09-18 [colin]	3.7.10cvs17

	* src/news.c
		Fix segfault when connection fails

2011-09-03 [colin]	3.7.10cvs16

	* src/common/ssl.c
		Use NORMAL instead of EXPORT priorities.

2011-09-02 [colin]	3.7.10cvs15

	* configure.ac
	* src/common/ssl.c
		Linking against gcrypt explicitely in order to call
		gcry_control() for mutex setup isn't necessary anymore
		starting from gnuTLS 2.11.

2011-08-31 [colin]	3.7.10cvs14

	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpmime/pgpmime.c
		Fix bug #2431, "Major memory leak in PGP message handling".

2011-08-31 [colin]	3.7.10cvs13

	* AUTHORS
	* src/gtk/authors.h
	* src/mainwindow.c
	* src/messageview.c
	* src/gtk/authors.h
		Apply Steve Rader's patch from bug #2388, "Add 
		message view scrolling menu items"

2011-08-30 [colin]	3.7.10cvs12

	* src/gtk/prefswindow.c
		Fix layout issues (i.e. on SSL page if changing account
		type prior to visiting it).

2011-08-30 [colin]	3.7.10cvs11

	* configure.ac
	* src/common/ssl.c
		Don't use deprecated functions for GnuTLS priorities.
		Require GnuTLS 2.2 that is the first version with the
		new function.

2011-08-30 [colin]	3.7.10cvs10

	* src/common/socket.c
	* src/common/ssl.c
		Long-term fix for bug #2402, "GnuTLS change breaks socket
		communication", as per http://savannah.gnu.org/support/?107660

2011-08-30 [colin]	3.7.10cvs9

	* src/etpan/imap-thread.c
	* src/etpan/nntp-thread.c
		Remove dead openSSL code

2011-08-30 [colin]	3.7.10cvs8

	* src/ssl_manager.c
	* src/common/ssl.c
	* src/common/ssl_certificate.c
	* src/common/ssl_certificate.h
	* src/etpan/imap-thread.c
	* src/etpan/nntp-thread.c
		Fix bug #2127, "SSL cert check uses canonical name instead of
		specified name"

2011-08-29 [colin]	3.7.10cvs7

	* src/prefs_account.c
		Fix X-Mailer option not appearing on IMAP

2011-08-29 [colin]	3.7.10cvs6

	* src/plugins/pgpcore/Makefile.am
	* src/plugins/pgpinline/Makefile.am
	* src/plugins/pgpmime/Makefile.am
	* src/plugins/smime/Makefile.am
		Windows build fix:
		libtool: link: require no space between `-L' and `.'

2011-08-29 [colin]	3.7.10cvs5

	* src/account.c
	* src/compose.c
	* src/prefs_account.c
	* src/prefs_account.h
		Revert cvs4 which is rather illogical and instead
		use Fabian's patch from bug #2471

2011-08-29 [colin]	3.7.10cvs4

	* src/compose.c
		Don't insert custom headers that have empty values.
		Allows not inserting X-Mailer if it's set to nothing.
		Fixes bug #2471, "Make setting an X-Mailer header optional".

2011-08-29 [colin]	3.7.10cvs3

	* src/image_viewer.c
	* src/textview.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
		Handle EXIF orientation in images (both in textview's
		preview and image viewer)

2011-08-28 [paul]	3.7.10cvs2

	* src/prefs_common.c
	* src/prefs_common.h
	* src/summaryview.c
		add new hidden option to control the display in the From
		column in the Message List: 0 (default): show name,
		1: show address, 2: show name + address

2011-08-27 [paul]	3.7.10cvs1

	* po/POTFILES.in
	* src/common/ssl_certificate.c
	* src/etpan/imap-thread.c
	* src/etpan/nntp-thread.c
		offer up some missing log_error() strings to translators

2011-08-27 [paul]	3.7.10
	* NEWS
	* README
	* RELEASE_NOTES	
		3.7.10 unleashed!		

2011-08-27 [paul]	3.7.9cvs52

	* po/cs.po
	* po/fr.po
	* po/hu.po
	* po/lt.po
	* po/pt_BR.po
	* po/sk.po
		updated by David Vachulka, wwp, Pader Rezso, Mindaugas
		Baranauskas, Frederico Goncalves Guimaraes, and Slavko

2011-08-27 [mones]	3.7.9cvs51

	* claws-mail.desktop
		Include generic name and comment translations
		Thanks to all the people on the translators ML!

2011-08-23 [paul]	3.7.9cvs50

	* src/common/ssl.c
		probable/possible fix/workaround for bug 2402,
		'can't download message from pop3 server'

2011-08-18 [paul]	3.7.9cvs49

	* manual/handling.xml
		fix typos. thanks to vilpan

2011-08-17 [paul]	3.7.9cvs48

	* tools/claws.i18n.status.pl
		add Mindaugas Baranauskas (Lithuanian)

2011-08-14 [mir]	3.7.9cvs47

	* src/news.c
	* src/etpan/nntp-thread.c
		Fix bug 2418. Patch provided by Sébastien Bigaret with
		some minor contribution by me.

2011-08-13 [mir]	3.7.9cvs46

	* src/etpan/nntp-thread.c
		Fix bug when NNTP server sends authentication warning
		as part of the connection session. Privously etpan would
		bail out for any return code other than NEWSNNTP_NO_ERROR
		but as early as the connection session a return code like
		NEWSNNTP_WARNING_REQUEST_AUTHORIZATION_USERNAME and
		NEWSNNTP_WARNING_REQUEST_AUTHORIZATION_PASSWORD should not
		be considered as an error.

2011-08-12 [paul]	3.7.9cvs45

	* src/mimeview.c
		3.7.9cvs43 mistakenly dropped off the info
		about the mime part from the tooltip

2011-08-12 [wwp]	3.7.9cvs44

	* src/gtk/quicksearch.c
	 Fix duplicate key accel (thanks to Ra-Mones-Mones II).

2011-08-09 [paul]	3.7.9cvs43

	* src/mimeview.c
		fix bug 2420, 'Invalid markup in icon tooltip text after signature check'

2011-08-06 [paul]	3.7.9cvs42

	* src/compose.c
		fix cursor placement in Forward template

2011-08-06 [paul]	3.7.9cvs41

	* src/gtk/description_window.c
		fix bug 1963, 'Preferences Templates Information Window Focus loss'

2011-08-05 [holger]	3.7.9cvs40

	* claws-mail.desktop
		Revert 3.7.9cvs35 for now, it may be problematic
		(see bug #2450)

2011-08-05 [paul]	3.7.9cvs39

	* src/mainwindow.c
	* src/messageview.c
		use 'Collapse quotes' rather than 'Fold quotes' on
		labels, for consistency
	* src/toolbar.c
		use 'Receive mail from account' rather than 'on account'

2011-07-30 [mir]	3.7.9cvs38

	* src/etpan/Makefile.am
	* src/plugins/pgpcore/Makefile.am
	* src/plugins/pgpmime/Makefile.am
	* src/plugins/smime/Makefile.am
		Fix broken build on Debian Sid. enchant.h cannot be
		found unless $(ENCHANT_CFLAGS) and $(ENCHANT_LIBS) are
		present in Makefile.am. Apparently enchant.h in older
		versions were placed in /usr/include which is always
		scanned be default.

2011-07-21 [mones]	3.7.9cvs37

	* src/common/plugin.c
	* src/common/plugin.h
		Make licences allowed for plugins more explicit and also
		accept dual (or more) licences when properly formatted.
		Doesn't require any change on current plugins.

2011-07-18 [mones]	3.7.9cvs36

	* manual/advanced.xml
		Document briefly tags feature.
	* manual/glossary.xml
		Fix definition to avoid confussion with tags.
	* manual/es/advanced.xml
	* manual/es/glossary.xml
		Synchronize Spanish translation with the above.

2011-07-07 [holger]	3.7.9cvs35

	* claws-mail.desktop
		Add indicator stuff to the desktop file
		Taken from bug #2450

2011-07-06 [paul]	3.7.9cvs34

	* src/edittags.c
		fix English usage

2011-07-06 [mones]	3.7.9cvs33

	* src/edittags.c
		Do not create an empty tag name row in panel and
		warn user about using a non-reserved tag instead

2011-07-05 [mones]	3.7.9cvs32

	* src/imap.c
	* src/common/tags.c
	* src/common/tags.h
	* src/etpan/imap-thread.c
		Make constants for reserved tags and use them
		Removed also duplicate comparison while at it

2011-07-05 [paul]	3.7.9cvs31

	* src/compose.c
		when using a Compose template, only place the cursor
		in the body when the cursor symbol, %cursor (%X), is used

2011-07-03 [paul]	3.7.9cvs30

	* src/main.c
		do main_window_popup(mainwin); on plugin load error, or
		else the warning dialogue and mainwindow stays minimised
		and hidden

2011-07-03 [paul]	3.7.9cvs29

	* src/wizard.c
		fix bug 2462, 'Building without GnuTLS support leads to a
		failure in wizard.c'

2011-07-03 [paul]	3.7.9cvs28

	* src/mainwindow.c
	* src/mainwindow.h
	* src/summaryview.c
		fix bug #2461, 'popup menu in message list displays
		'move to trash' and 'delete''.
		Add a new sensitivity condition 'M_NOT_TRASH' and
		remove the broken workaround for right-click in summaryview.c.
		Fix broken main menu sensitivity for "Menu/Message/Move" in
		News folder.

2011-06-21 [paul]	3.7.9cvs27

	* src/mainwindow.c
		revert 3.7.9cvs2, it does no good

2011-06-18 [mir]	3.7.9cvs26

	* configure.ac
		Fix autoconf warnings introduced in autoconf >= 2.64

2011-06-05 [paul]	3.7.9cvs25

	* po/ca.po
	* po/cs.po
	* po/de.po
	* po/it.po
	* po/ja.po
	* po/pt_PT.po
	* po/sk.po
	* po/uk.po
		fix strings where an informational message has been
		wrongly entered into the translated string
	* src/toolbar.c
		enable 'Trash' and 'Sender' to be translated based on
		the context, e.g. as button text and as mail header
	* src/gtk/about.c
		fix english in Info tab

2011-05-25 [colin]	3.7.9cvs24

	* src/action.c
		Fix bug #2439, "use bitwise operator for bitmask instead of
		logical operator". Thanks to Nicolas Kaiser for the patch.

2011-05-18 [colin]	3.7.9cvs23

	* src/news.c
		Fix missing group selection before xover if the
		connection was reset before.

2011-05-12 [colin]	3.7.9cvs22

	* src/common/utils.c
		Fix bug #2412, "Send account mail address in Message-ID
		wrongly implemented". Patch by Fabian Keil.

2011-05-12 [mones]	3.7.9cvs21

	* src/etpan/nntp-thread.c
		Fix bug #2418 "NNTP authentication is broken"

2011-05-09 [pawel]	3.7.9cvs20

	* src/mainwindow.c
	* src/prefs_folder_item.c
		Small UI fixes

2011-05-05 [colin]	3.7.9cvs19

	* src/imap.c
	* src/inc.c
	* src/news.c
	* src/send_message.c
		Fix bug #2184, "Add account name information inside network log".
                Initial patch by MSulchan Darmawan, expanded to other protocols.
		This stuff is too much copy-pasted.


2011-04-30 [colin]	3.7.9cvs18

	* src/main.c
		Fix bug #2414, 'Claws segfaults on startup with
		notification plugin enabled". Thanks Christian
		Faulhammer for the patch.

2011-04-27 [colin]	3.7.9cvs17

	* src/codeconv.c
		Make Windows' encoding CP1251 for ru_RU locale
		Part of bug #2397, "Gtkhtml2 viewer ignores message encoding"

2011-04-24 [paul]	3.7.9cvs16

	* manual/claws-mail-manual.xml
	* manual/de/claws-mail-manual.xml
	* manual/es/claws-mail-manual.xml
	* manual/fr/claws-mail-manual.xml
	* manual/it/claws-mail-manual.xml
		update copyright year

2011-04-24 [paul]	3.7.9cvs15

	* src/summaryview.c
		fix bug #2353, 'Right-clicking on spam in order to delete
		it causes it to show in message window'

2011-04-24 [paul]	3.7.9cvs14

	* src/mainwindow.c
	* src/gtk/foldersort.c
	* src/gtk/foldersort.h
		fix labelling, 'change folder order' to 'change mailbox order'

2011-04-23 [paul]	3.7.9cvs13

	* configure.ac
		fix bug #2409, 'Failed to compile under GCC 3.x : option
		 -Wno-pointer-sign badly set in configure.ac'. mistakenly
		committed in 3.7.8cvs19 

2011-04-11 [paul]	3.7.9cvs12

	* src/plugins/trayicon/trayicon.c
		fix build bug: gtk_status_icon_set_title() is available
		since gtk 2.18.x not 2.14.x

2011-04-11 [paul]	3.7.9cvs11

	* po/hu.po
		updated by PÃ¡der RezsÅ‘

2011-04-10 [colin]	3.7.9cvs10

	* src/addr_compl.c
	* src/addressbook.c
	* src/compose.c
	* src/editaddress.c
	* src/editaddress_other_attributes_ldap.c
	* src/main.c
	* src/message_search.c
	* src/prefs_display_header.c
	* src/prefs_filtering_action.c
	* src/prefs_matcher.c
	* src/prefs_other.c
	* src/prefs_toolbar.c
	* src/summary_search.c
	* src/gtk/colorlabel.c
	* src/gtk/combobox.c
	* src/gtk/gtkcmoptionmenu.c
	* src/gtk/gtkshruler.c
	* src/gtk/gtkshruler.h
	* src/gtk/gtkutils.h
	* src/gtk/inputdialog.c
	* src/gtk/quicksearch.c
		Revert the whole pile of crap introduced in
		cvs9,8,7,4.

2011-04-10 [colin]	3.7.9cvs9

	* src/compose.c
	* src/editaddress.c
	* src/editaddress_other_attributes_ldap.c
	* src/main.c
	* src/message_search.c
	* src/prefs_display_header.c
	* src/prefs_matcher.c
	* src/prefs_toolbar.c
	* src/summary_search.c
	* src/gtk/combobox.c
	* src/gtk/gtkutils.h
	* src/gtk/inputdialog.c
	* src/gtk/quicksearch.c
		Finish fun with combo boxes. (hopefully)

2011-04-10 [colin]	3.7.9cvs8

	* src/compose.c
	* src/prefs_filtering_action.c
	* src/gtk/combobox.c
	* src/gtk/gtkshruler.c
	* src/gtk/gtkshruler.h
		More undeprecation. GTKSHRuler is #if'ed out. We can
		still decide to maintain the old GtkRuler widget in-tree
		if the lack of ruler in Compose window is too
		annoying.

2011-04-10 [colin]	3.7.9cvs7

	* src/addr_compl.c
	* src/addressbook.c
	* src/compose.c
	* src/editaddress_other_attributes_ldap.c
	* src/message_search.c
	* src/prefs_display_header.c
	* src/prefs_filtering_action.c
	* src/prefs_other.c
	* src/prefs_toolbar.c
	* src/summary_search.c
	* src/gtk/colorlabel.c
	* src/gtk/combobox.c
	* src/gtk/gtkcmoptionmenu.c
	* src/gtk/gtkutils.h
		More comboboxtext undeprecation

2011-04-10 [colin]	3.7.9cvs6

	* src/messageview.c
		Fix it better.

2011-04-10 [colin]	3.7.9cvs5

	* src/messageview.c
		Fix age-old typo.

2011-04-10 [colin]	3.7.9cvs4

	* src/compose.c
	* src/editaddress_other_attributes_ldap.c
	* src/message_search.c
	* src/prefs_display_header.c
	* src/prefs_filtering_action.c
	* src/prefs_other.c
	* src/prefs_toolbar.c
	* src/summary_search.c
	* src/gtk/combobox.c
	* src/gtk/gtkutils.h
		gtk_combo_box_*_text() is deprecated, and
		gtk_combo_box_text_*() is the new hotness.

2011-04-10 [colin]	3.7.9cvs3

	* src/addr_compl.c
	* src/addressbook.c
	* src/browseldap.c
	* src/compose.c
	* src/folder.c
	* src/folderview.c
	* src/gtk/gtkvscrollbutton.c
	* src/gtk/gtkvscrollbutton.h
		s/GtkFunction/GSourceFunc

2011-04-10 [colin]	3.7.9cvs2

	* src/mainwindow.c
		Use gtkut_window_popup() to work around a bug in Gnome Shell.
		This is the patch from bug #2396, it should be innocuous even
		if that's useless to do deiconify + present window...

2011-04-09 [paul]	3.7.9cvs1

	* src/prefs_summaries.c
		fix typo in string. (thanks, Brad!)

2011-04-09 [paul]	3.7.9
	* NEWS
	* README
	* RELEASE_NOTES	
		3.7.9 unleashed!	

2011-04-09 [paul]	3.7.8cvs78

	* po/cs.po
	* po/es.po
	* po/fi.po
	* po/fr.po
	* po/lt.po
	* po/pt_BR.po
	* po/sk.po
	* po/uk.po
		updated by David Vachulka, Ricardo Mones, Flammie Pirinen,
		wwp, Mindaugas Baranauskas, Frederico Goncalves Guimaraes,
		Slavko, and Yarema

2011-04-09 [colin]	3.7.8cvs77

	* src/gtk/filesel.c
		Revert part of yesterday's patch. While gtk_file_chooser_set_current_name()
		wants an UTF-8 string, gtk_file_chooser_set_current_folder() wants a glib-
		encoding filename. Hooray for stupid.

2011-04-08 [colin]	3.7.8cvs76

	* src/action.c
		Fix action Stop: if child does not react to SIGTERM, it'll
		probably start behaving when it'll get a SIGKILL on the user's
		second press on Stop.
		Fixes bug #2237, "User action makes Claws unresponsive".

2011-04-08 [colin]	3.7.8cvs75

	* src/account.c
	* src/folder.c
	* src/folder.h
	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/prefs_account.c
		Fix bug #2382, "folderitemrc not updated when account
		name is changed". Indeed, this wasn't done.

2011-04-08 [wwp]	3.7.8cvs74

	* src/procmime.c
	Add support for quoted values (*="value").
	This commonly fixes a trailing quote appearing to filenames
	sent by iphone Mail (not sure if it's culprit at all, though).

2011-04-08 [colin]	3.7.8cvs73

	* src/gtk/filesel.c
		Fix bug #2393, "Crashes and rendering problems in the "Save as" menu 
		caused by attachments with extended chars in the file name". Patch
		derived from a patch bt Fabien Keil

2011-04-05 [wwp]	3.7.8cvs72

	* src/compose.c
		A debug string not to translate.

2011-04-03 [colin]	3.7.8cvs71

	* src/common/utils.h
		Fix bug #2394, "backtrace() crashes on FreeBSD"
		That's not the first bug-report where internal
		debug-only backtrace() crashes on FreeBSD.

2011-04-03 [colin]	3.7.8cvs70

	* src/compose.c
		Fix bug #2365 again, "Crash when auto-scrolling headers in
		compose window".
		Batch-mode compose windows (from filtering actions) shouldn't
		try to access stuff after flushing events...

2011-03-31 [paul]	3.7.8cvs69

	* INSTALL
		update as gtk >= 2.10 now required
		(because I'll never remember to do this later)

2011-03-26 [paul]	3.7.8cvs68

	* src/messageview.c
		fix separators in Go To menu

2011-03-20 [colin]	3.7.8cvs67

	* configure.ac
		Drop the *_DISABLE_DEPRECATED. We'll put them back
		when we'll have time to handle them

2011-03-18 [paul]	3.7.8cvs66

	* src/textview.c
		make user-facing message more accurate -
		'Network Log' not 'View Log'

2011-03-17 [wwp]	3.7.8cvs65

	* po/fr.po
		Fix a typo around plural form, as reported by
		Yannick Palanque.

2011-03-15 [colin]	3.7.8cvs64

	* AUTHORS
	* src/gtk/authors.h
	* src/main.c
		Fix bug #2381, "Support for NetworkManager 0.9".
		Patch by Mikhail Efremov

2011-03-04 [colin]	3.7.8cvs63

	* src/mimeview.c
	* src/mimeview.h
		Fix segfault on Windows
	* src/exporthtml.c
	* src/common/utils.c
	* src/common/w32_unistd.c
	* src/common/w32lib.h
		Rationalize use of time_r() funcs (pthread do define them)

2011-03-02 [pawel]	3.7.8cvs62

	* src/wizard.c
		Re-implement widgets aligning, switch from GtkSizeGroup
		to GtkTable - this should fix disappearing labels

2011-03-01 [pawel]	3.7.8cvs61

	* src/wizard.c
		Wizard GUI cleanups. Make it look and behave more
		like account preferences.

2011-02-23 [colin]	3.7.8cvs60

	* src/common/Makefile.am
		Fix make dist

2011-02-23 [colin]	3.7.8cvs59

	* src/Makefile.am
	* src/main.c
	* src/common/Makefile.am
	* src/common/plugin.c
	* src/common/valgrind.h
		Fix bug #2369, "valgrind.h should NOT be part of claws-mail"
		Use valgrind's own header.

2011-02-22 [colin]	3.7.8cvs58

	* src/prefs_account.c
		Fix bug #2367 (Win32): Disable "Always sign messages when replying to a
		signed message" upon new installation. This is disturbing when PGP
		plugins are loaded by default.

2011-02-16 [paul]	3.7.8cvs57

	* src/*
		update copyright headers throughout

2011-02-16 [paul]	3.7.8cvs56

	* src/summaryview.c
		use gettext plural form for "item selected"/"items selected"

2011-02-13 [colin]	3.7.8cvs55

	* src/mimeview.c
	* src/mimeview.h
		Fix bug #2361, "Claws crashes after PGP Check in separate
		msg view". Don't let the cancel thread lie around after
		the verification ended.

2011-02-13 [paul]	3.7.8cvs54

	* po/lt.po
		updated by Mindaugas Baranauskas

2011-02-11 [mones]	3.7.8cvs53

	* manual/es/advanced.xml
		Sync with English manual
	* src/imap.c
		Fix remaining mismatched alloc/free from cppcheck

2011-02-10 [pawel]	3.7.8cvs52

	* src/ldapupdate.c
		Fix memleaks

2011-02-10 [pawel]	3.7.8cvs51

	* src/prefs_toolbar.c
		- set menus sensitivity in item type combo depending on
		  availability of actions / plugin hooks
		- style fixes, spaces instead of tabs mostly

2011-02-10 [paul]	3.7.8cvs50

	* src/prefs_account.c
		move the 'send acc mail addr in msg-id" option to
		the send page

2011-02-10 [paul]	3.7.8cvs49

	* src/prefs_account.c
		move the 'expunge immediately' option to a more
		suitable page

2011-02-05 [pawel]	3.7.8cvs48

	* manual/advanced.xml
		Document new hidden pref
	* src/folder.c
		Dont treat mimeparts referenced by others as
		real attachments
	* src/mimeview.c
	* src/prefs_common.c
	* src/prefs_common.h
		Add ability to hide inline attachments referenced
		by other mimeparts in MimeView. To enable this
		feature set show_inline_attachments=0 in your clawsrc

2011-01-25 [colin]	3.7.8cvs47

	* src/matcher.c
		Fix matcher body parsing: decode mails with our
		MIME parser. This speeds up body search a bit as
		binary attachments are not searched anymore, slows
		down a bit full message searches, but not awfully.
	* src/summary_search.c
		Use matcher API to search, in all cases (advanced search or
		not). Also, fix little logic bugs related to combos history
	* src/common/utils.c
	* src/common/utils.h
	* src/procmime.c
	* src/procmime.h
		Remove dead code, export functions needed by matcher.c

2011-01-25 [colin]	3.7.8cvs46

	* src/compose.c
	* src/prefs_common.c
	* src/common/md5.c
	* src/common/ssl_certificate.c
		Fix mismatched alloc/free (thanks to cppcheck)

2011-01-25 [colin]	3.7.8cvs45

	* src/pop.c
		Fix leak on error path

2011-01-23 [mones]	3.7.8cvs44

	* manual/es/advanced.xml
		Sync with English manual

2011-01-23 [paul]	3.7.8cvs43

	* src/gtk/about.c
		it's 2011, update copyright line

2011-01-23 [paul]	3.7.8cvs42

	* manual/advanced.xml
	* src/prefs_common.c
	* src/prefs_common.h
	* src/textview.c
		fix bug #2350, 'Make displaying localized date/time in
		message view optional'.
		This introduces a new hidden option (why do more?),
		'msgview_date_format', which defaults to OFF, maintaining
		the current and expected behaviour.

2011-01-21 [colin]	3.7.8cvs41

	* src/procmime.c
		Fix bug #2050, Clawsmail sends return receipt every seconds
		We forgot to close the file when parsing 
		disposition-notification fields, which made unlinking of the
		corresponding emails in tempfolder/processing impossible in
		Windows. Causing them to be re-fetched every time.

2011-01-21 [colin]	3.7.8cvs40

	* claws-mail.desktop
		Fix again bug #2346: We should have a %u parameter.

2011-01-21 [colin]	3.7.8cvs39

	* src/plugins/spamassassin/spamassassin.c
		Fix sa-learn when offline (its command line parsing is
		space-dependant). Patch by Wolfgang Lorenz

2011-01-19 [pawel]	3.7.8cvs38

	* claws-mail.desktop
		Fix Bug 2346 'Please register x-handler-scheme
		 in .desktop file' patch by Laurent Bigonville
		While I'm here update things to current
		standards, fix desktop-file-validate warnings/errors

2011-01-18 [colin]	3.7.8cvs37

	* src/common/smtp.c
		Fix logic on SMTP AUTH: If the selected method isn't
		available, say so instead of supposing it'll work.
		Fixes bug #2039, 'SMTP AUTHENTICATION'

2011-01-15 [pawel]	3.7.8cvs36

	* src/prefs_folder_item.c
		Rework subject regexp simplify gui a bit, this give us better
		options page layout (window with min width was too short to 
		show all contents and thigs were unwieldy) and better preview
		of regexp working/not working

2011-01-14 [pawel]	3.7.8cvs35

	* src/textview.c
		strncpy2() NULLify strings just fine, no need to be
		extra "clever"

2011-01-14 [pawel]	3.7.8cvs34

	* src/textview.c
		Fix Bug #2165 'The date not localized in the message view'
		Display Date header in messageview in the same way as in
		summaryview by respecting date format set in preferences.

2011-01-06 [pawel]	3.7.8cvs33

	* src/prefs_account.c
	* src/prefs_folder_item.c
	* src/prefs_quote.c
	* src/quote_fmt.c
		Make quote templates widgets more compact

2011-01-06 [pawel]	3.7.8cvs32

	* src/plugins/trayicon/trayicon.c
		- fix logic bug which caused icon to be
		  always set no-mail status on plugin load
		- force icon hide on plugin_done(), without
		  it empty space(?!) is left in tray under KDE3 and KDE4

2011-01-06 [colin]	3.7.8cvs31

	* src/addrharvest.c
	* src/codeconv.c
	* src/codeconv.h
	* src/compose.c
	* src/news.c
	* src/procheader.c
	* src/procmime.c
	* src/unmime.c
	* src/unmime.h
		Unmime headers differently whether they're addresses or not:
		It's useless to quote things containing commas if it's in
		subject, for example. (introduced in 3.7.8cvs26)

2011-01-06 [colin]	3.7.8cvs30

	* src/gtk/gtkaspell.c
		Complete previous patch
	* src/messageview.c
	* src/plugins/pgpinline/pgpinline.c
		Coding style

2011-01-06 [paul]	3.7.8cvs29

	* AUTHORS
	* configure.ac
	* po/lt.po
	* src/gtk/authors.h
		add Lithuanian translation (approx. 65% complete)
		submitted by Mindaugas Baranauskas

2011-01-06 [pawel]	3.7.8cvs28

	* src/export.c
	* src/import.c
	* src/messageview.c
	* src/prefs_actions.c
	* src/procmime.c
	* src/gtk/gtkaspell.c
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/smime/smime.c
		Fix memory/file descriptors leaks

2011-01-06 [paul]	3.7.8cvs27

	* src/plugins/pgpcore/sgpgme.c
		fix bug #2322, 'GPG Full info: showing subkey
		ID instead of primary key fingerprint'
		Patch by SÃ©bastien Bigaret.

2011-01-03 [colin]	3.7.8cvs26

	* src/unmime.c
		Better quote-checking when unmim-ing headers
		that may have comas.

2011-01-03 [colin]	3.7.8cvs25

	* src/unmime.c
		Fix bug #2299, "Incorrect handling of quoted printable coma
		in headers". As this is really painful to fix by switching
		the whole stuff to a list of headers tokens, we workaround
		the problem by adding quotes around the encoded-word (making
		it a quoted-string which continuity is already handled).

2011-01-03 [colin]	3.7.8cvs24

	* src/procheader.c
		Remove dead code

2010-12-23 [colin]	3.7.8cvs23

	* src/compose.c
		Finish fixing bug #2203: When forwarding (inline) and there
		are some text/* parts with no name, set them a name and
		set their disposition to attachment, so that recipients with
		MUAs preferring HTML parts don't show them by default.

2010-12-22 [paul]	3.7.8cvs22

	* src/compose.h
		fix missing file in 3.7.8cvs20

2010-12-22 [colin]	3.7.8cvs21

	* src/folderview.c
	* src/folderview.h
		Implement a nicer scroll when drag and dropping

2010-12-22 [colin]	3.7.8cvs20

	* src/compose.c
		Store charset if available when attaching text/* parts
		Fixes bug #2203, 'Problems in forwarding multipart/
		alternative messages with HTML part'

2010-12-22 [colin]	3.7.8cvs19

	* src/textview.c
		Fix wrong free

2010-12-21 [colin]	3.7.8cvs18

	* src/inc.c
	* src/send_message.c
	* src/common/session.c
	* src/common/session.h
		Differentiate between running sessions and connected
		sessions. Fixes bug #2332, "Crash when hitting cancel
		on the SMTP status window"

2010-12-21 [colin]	3.7.8cvs17

	* src/etpan/etpan-thread-manager.c
		Dead code removal

2010-12-21 [colin]	3.7.8cvs16

	* src/textview.c
		Check whether we should continue loading the
		current textview after inserting a possibly
		big image.

2010-12-20 [colin]	3.7.8cvs15

	* src/addrcindex.c
	* src/addrcindex.h
		Removed. Dead code since ages!
	* src/addr_compl.c
	* src/gtk/gtkcmclist.c
	* src/gtk/gtkcmctree.c
	* src/gtk/gtksctree.c
		undefine *_DISABLE_DEPRECATED in the files that
		use deprecated interfaces. Implicit declarations
		can lead to crashes as prototypes are unknown, as
		evidenced by bug #2315.

2010-12-20 [colin]	3.7.8cvs14

	* src/compose.c
		Don't flush events when adding an header entry. This
		can mess up the keypresses in the previous header.
		Instead, make the scroll happen later (doing it on the
		spot without flushing events doesn't work as the new
		requisitions aren't set yet).

2010-12-20 [colin]	3.7.8cvs13

	* src/mainwindow.c
		Don't iconify at start on w32. This un-iconifies in the
		background.

2010-12-20 [colin]	3.7.8cvs12

	* src/common/base64.c
		Fix bug #2331, "Base64 is broken in 3.7.7 and 3.7.8"
		Patch by pochini at shiny.it

2010-12-19 [colin]	3.7.8cvs11

	* src/ldapserver.c
		Better debug.

2010-12-18 [colin]	3.7.8cvs10

	* src/compose.c
		Fix bug #2148, "Attachment content-transfer-encoding 
		incorrectly set when signing emails". The RFC 2045
		states that message/* and multipart/* encoding must
		be either 7-bit, 8-bit or binary.

2010-12-18 [mones]	3.7.8cvs9

	* src/ldaputil.c
		Fix crash when searching or adding a LDAP server

2010-12-17 [colin]	3.7.8cvs8

	* configure.ac
	* src/editldap.c
	* src/ldapquery.c
	* src/ldapserver.c
	* src/ldapupdate.c
	* src/ldaputil.c
	* src/ldaputil.h
		Better error logging. Disable LDAP SSL/TLS on
		Windows, it's crashy/non-worky.

2010-12-17 [colin]	3.7.8cvs7

	* src/folder.c
		Fix bug #2325, "messages remains in folder cache after moving
		from MH to IMAP boxes". Bug introduced in 3.7.6cvs53.

2010-12-17 [colin]	3.7.8cvs6

	* src/addressadd.c
	* src/addressbook.c
	* src/addrindex.c
	* src/ldapquery.c
	* src/ldapquery.h
	* src/ldapserver.c
	* src/ldapserver.h
	* src/ldapupdate.c
	* src/ldaputil.c
	* src/ldaputil.h
		Windows build fixes (w32 LDAP completely untested!)

2010-12-16 [colin]	3.7.8cvs5

	* src/addrindex.c
	* src/editldap.c
	* src/ldapctrl.c
	* src/ldapquery.c
	* src/ldapserver.c
	* src/ldapserver.h
	* src/ldapupdate.c
	* src/ldaputil.c
		Try to rationalize a bit LDAP connections

2010-12-16 [colin]	3.7.8cvs4

	* src/prefs_spelling.c
	* src/common/defs.h
		Add a button to get dictionaries (win32)

2010-12-16 [colin]	3.7.8cvs3

	* src/prefs_matcher.c
		Fix bug #2279, "crash when clicking 'define' in filter
		configuring". Thanks to Theodor Ciobanu for the hint at
		the problem.

2010-12-14 [colin]	3.7.8cvs2

	* src/gtk/gtkaspell.c
		Add missing guard for sys/wait.h

2010-12-05 [colin]	3.7.8cvs1

	* tools/make.themes.project
		Seems wget has changed naming of targets downloaded.
		Fix it by always providing our own name.
		[Pushing mones' patch again after messing with CVSROOT]

2010-12-04 [paul]	3.7.8
	* NEWS
	* README
	* RELEASE_NOTES	
		3.7.8 unleashed!

2010-12-03 [paul]	3.7.7cvs11

	* configure.ac
	* manual/xml2pdf ** REMOVED **
	* manual/dist/pdf/Makefile.am
	* manual/es/dist/pdf/Makefile.am
	* manual/fr/dist/pdf/Makefile.am
	* manual/pl/dist/pdf/Makefile.am
		simplify check for tools needed for manual building,
		remove xml2pdf and use docbook2pdf instead

2010-12-03 [mir]	3.7.7cvs10

	* configure.ac
		Fix bug so that configure option --disable-manual
		actually disable building the manuals

2010-12-01 [pawel]	3.7.7cvs9

	* src/crash.c
		One more GTK+ 2.22 build fix

2010-11-30 [colin]	3.7.7cvs8

	* src/action.c
		Fix bug #2317, 'Action results in "Bad file descriptor"'
		Introduced in 3.7.6cvs57. In fact the error has been there
		since ages, and only new thing is the verification of the
		various functions return code. Let the stuff work as it
		does, as it seems to do the right thing since ages.

2010-11-28 [colin]	3.7.7cvs7

	* src/gtk/quicksearch.c
		Fix bug #2313, 'CLI quicksearch sometimes returns 
		the same messages twice'. Patch by Sebastien Bigaret

2010-11-25 [paul]	3.7.7cvs6

	* src/prefs_common.c
		make "gtk_can_change_accels" FALSE by default.
		fixes bug #2309, 'Shortcuts should not be modifiable
		by default' (RFE)

2010-11-24 [mones]	3.7.7cvs5

	* src/mainwindow.c
		Add missing shortcuts for marking as spam and ham
		Fixes Debian bug #599547

2010-11-22 [colin]	3.7.7cvs4

	* src/compose.c
		Revert 3.7.6cvs{39,38,37,35,34}. The fact that
		five patches were needed to fix a corner case
		is a good indicator that is was bound to break
		something.

2010-11-21 [colin]	3.7.7cvs3

	* src/plugins/pgpcore/claws.def
		Win32 build fix

2010-11-20 [wwp]	3.7.7cvs2

	* src/main.c
	  Fix either a typo or an irrelevant iff word there.
	  IMO type and recursive possible values should be changed to
	  smth simple and neat here, and help strings be really
	  translatable.

2010-11-20 [colin]	3.7.7cvs1

	* AUTHORS
		Damn, forgot to commit this file twice.

2010-11-19 [paul]	3.7.7
	* NEWS
	* README
	* RELEASE_NOTES	
		3.7.7 unleashed!

2010-11-19 [paul]	3.7.6cvs66

	* po/ca.po
	* po/cs.po
	* po/de.po
	* po/es.po
	* po/fi.po
	* po/fr.po
	* po/hu.po
	* po/id.po
	* po/pt_BR.po
	* po/sk.po
	* po/uk.po
		updated by Miquel Oliete, David Vachulka, Stephan Sachse,
		Ricardo Mones, Flammie Pirinen, wwp, Pader Rezso, MSulchan
		Darmawan, Frederico Goncalves Guimaraes, Slavko, Yarema

2010-11-17 [colin]	3.7.6cvs65

	* src/common/utils.c
		Separate email address from timestamp with a dot.
		Fix coding style.

2010-11-17 [colin]	3.7.6cvs64

	* src/common/utils.c
		Fix multiple @ in generated message-ids.
		That's not allowed in RFC 2822.

2010-11-16 [mones]	3.7.6cvs63

	* manual/es/advanced.xml
		Synchronise with English version

2010-11-04 [wwp]	3.7.6cvs62

	* src/filtering.c
		Fix bug 2293, "filtering: simplify expression", as simplifying
		this expression doesn't make it less easy to understand and we
		gain few cycles by making the logical expression more simple
		by applying. Patch by Nicolas Kaiser.

2010-11-03 [colin]	3.7.6cvs61

	* src/addrindex.c
		Fix bug 2294, "addrindex.c: address index conversion always
		fails". Clearly a copy-paste-bug. Patch by Nicolas Kaiser.

2010-11-02 [wwp]	3.7.6cvs60

	* src/action.c
	* src/statusbar.c
	* src/toolbar.c
		Enlarge the progress bar (main window) a bit when compiling
		for UMPCs like maemo: this solves truncated text that might
		appear in the progress bar while processing messages.
		Also use a more compact string format when displaying
		progress like 'number/total', still for UMPCs, this fixes
		a previous inconsistency with these format strings where
		no space around the / were used sometimes.

2010-10-26 [ticho]	3.7.6cvs59

	* src/news.c
		Recreate NNTP session if server port setting has changed. Fixes
		bug #2092.

2010-10-26 [colin]	3.7.6cvs58

	* src/imap_gtk.c
	* src/mh_gtk.c
		Fix copy-paste error, thanks to David Relson
		for spotting it.

2010-10-18 [colin]	3.7.6cvs57

	* src/action.c
	* src/addrharvest.c
	* src/alertpanel.c
	* src/filtering.c
	* src/jpilot.c
	* src/prefs_themes.c
	* src/procmime.c
	* src/textview.c
	* src/gtk/gtkutils.c
	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
	* src/plugins/pgpcore/passphrase.c
	* src/plugins/spamassassin/libspamc.c
		Fix warnings

2010-10-17 [colin]	3.7.6cvs56

	* src/prefs_themes.c
	* src/gtk/gtkaspell.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/gtk/inputdialog.c
	* src/gtk/progressdialog.c
		Undeprecate a few things

2010-10-17 [colin]	3.7.6cvs55

	* src/main.c
	* src/gtk/authors.h
	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
		Add ability to search from the command-line.
		Closes bug 2249, ' Making QuickSearch independent from the GUI'
		Patch by Sebastien Bigarret.

2010-10-04 [mones]	3.7.6cvs54

	* manual/dist/pdf/Makefile.am
		Fix build of English PDF manual
		(sh: Can't open ../../../xml2pdf)

2010-10-03 [colin]	3.7.6cvs53

	* src/folder.c
	* src/folder.h
	* src/imap.c
	* src/mh.c
	* src/procmsg.c
		Get rid of GRelation which were, mostly, used as
		GHashTables. Probably fixes bug #2277, 'Segfault when
		loading inbox for the first time'

2010-10-03 [mir]	3.7.6cvs52

	* manual/de/dist/html/Makefile.am
	* manual/de/dist/pdf/Makefile.am
	* manual/de/dist/ps/Makefile.am
	* manual/de/dist/txt/Makefile.am
	* manual/dist/html/Makefile.am
	* manual/dist/pdf/Makefile.am
	* manual/dist/ps/Makefile.am
	* manual/dist/txt/Makefile.am
	* manual/es/dist/html/Makefile.am
	* manual/es/dist/pdf/Makefile.am
	* manual/es/dist/ps/Makefile.am
	* manual/es/dist/txt/Makefile.am
	* manual/fr/dist/html/Makefile.am
	* manual/fr/dist/pdf/Makefile.am
	* manual/fr/dist/ps/Makefile.am
	* manual/fr/dist/txt/Makefile.am
	* manual/pl/dist/html/Makefile.am
	* manual/pl/dist/pdf/Makefile.am
	* manual/pl/dist/ps/Makefile.am
	* manual/pl/dist/txt/Makefile.am
	    Missing Makefile.am's for 3.7.6cvs49


2010-10-03 [colin]	3.7.6cvs51

	* po/POTFILES.in
		Fix build

2010-10-02 [mir]	3.7.6cvs50

	* manual/de/dist/html/Makefile.am
	* manual/de/dist/pdf/Makefile.am
	* manual/de/dist/ps/Makefile.am
	* manual/de/dist/txt/Makefile.am
	* manual/dist/html/Makefile.am
	* manual/dist/pdf/Makefile.am
	* manual/dist/ps/Makefile.am
	* manual/dist/txt/Makefile.am
	* manual/es/dist/html/Makefile.am
	* manual/es/dist/pdf/Makefile.am
	* manual/es/dist/ps/Makefile.am
	* manual/es/dist/txt/Makefile.am
	* manual/fr/dist/html/Makefile.am
	* manual/fr/dist/pdf/Makefile.am
	* manual/fr/dist/ps/Makefile.am
	* manual/fr/dist/txt/Makefile.am
	* manual/pl/dist/html/Makefile.am
	* manual/pl/dist/pdf/Makefile.am
	* manual/pl/dist/ps/Makefile.am
	* manual/pl/dist/txt/Makefile.am
	    Part 2 of last commit which broke due to a permission error
	    Avoid claws trying to build manuals if the required
	    tools are not present.

2010-10-02 [mir]	3.7.6cvs49

	* configure.ac
	* manual/de/dist/html/Makefile.am
	* manual/de/dist/pdf/Makefile.am
	* manual/de/dist/ps/Makefile.am
	* manual/de/dist/txt/Makefile.am
	* manual/dist/html/Makefile.am
	* manual/dist/pdf/Makefile.am
	* manual/dist/ps/Makefile.am
	* manual/dist/txt/Makefile.am
	* manual/es/dist/html/Makefile.am
	* manual/es/dist/pdf/Makefile.am
	* manual/es/dist/ps/Makefile.am
	* manual/es/dist/txt/Makefile.am
	* manual/fr/dist/html/Makefile.am
	* manual/fr/dist/pdf/Makefile.am
	* manual/fr/dist/ps/Makefile.am
	* manual/fr/dist/txt/Makefile.am
	* manual/pl/dist/html/Makefile.am
	* manual/pl/dist/pdf/Makefile.am
	* manual/pl/dist/ps/Makefile.am
	* manual/pl/dist/txt/Makefile.am
	    1) Downgrade autoconf requirements to 2.59 to allow
	    building on oldest supported Linux distributions.
	    2) Only try to build manuals if the needed software
	    is present.

2010-10-02 [colin]	3.7.6cvs48

	* src/plugins/trayicon/trayicon.c
		And fix theme updating.

2010-10-02 [colin]	3.7.6cvs47

	* src/plugins/trayicon/trayicon.c
		Got burnt by wrong indentation!

2010-10-02 [colin]	3.7.6cvs46

	* configure.ac
		Forgot to remove the directory from top-level

2010-10-02 [colin]	3.7.6cvs45

	* src/plugins/trayicon/Makefile.am
	* src/plugins/trayicon/trayicon.c
	* src/plugins/trayicon/libeggtrayicon/.cvsignore
	* src/plugins/trayicon/libeggtrayicon/Makefile.am
	* src/plugins/trayicon/libeggtrayicon/eggtrayicon.c
	* src/plugins/trayicon/libeggtrayicon/eggtrayicon.h
	* src/plugins/trayicon/libeggtrayicon/gtk2-funcs.c
	* src/plugins/trayicon/libeggtrayicon/gtk2-funcs.h
	* src/plugins/trayicon/libeggtrayicon/gtkplugxembed.c
	* src/plugins/trayicon/libeggtrayicon/gtkplugxembed.h
	* src/plugins/trayicon/libeggtrayicon/xembed.h
		Finally get rid of Eggtrayicon, use GtkStatusIcon
		instead (which can be done safely now that we 
		require GTK+ 2.10).

2010-10-02 [colin]	3.7.6cvs44

	* src/action.c
	* src/addr_compl.c
	* src/addressbook.c
	* src/addrgather.c
	* src/alertpanel.c
	* src/editaddress.c
	* src/editaddress_other_attributes_ldap.c
	* src/editgroup.c
	* src/folderview.c
	* src/grouplistdialog.c
	* src/headerview.c
	* src/image_viewer.c
	* src/importldif.c
	* src/main.c
	* src/mainwindow.c
	* src/message_search.c
	* src/mimeview.c
	* src/prefs_themes.c
	* src/summary_search.c
	* src/summaryview.c
	* src/toolbar.c
	* src/etpan/imap-thread.c
	* src/gtk/authors.h
	* src/gtk/gtkcmclist.c
	* src/gtk/gtkcmoptionmenu.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/gtk/gtkvscrollbutton.c
	* src/plugins/pgpcore/select-keys.c
	* src/plugins/trayicon/libeggtrayicon/eggtrayicon.c
		Undeprecate for GTK+2.22. Patch by Reed Loden.
		Fixes bug #2276, 'Compile in maintainer mode
		fails on GTK+ 2.22'.

2010-10-02 [colin]	3.7.6cvs43

	* configure.ac
		It's now time to remove the temporary enable-openssl
		option that was used when we removed OpenSSL. See 
		bug #2276 comment #14.

2010-09-30 [wwp]	3.7.6cvs42

	* src/prefs_account.c
	* src/prefs_filtering_action.c
	* src/prefs_matcher.c
			Fix bug #2274, wrong color label index range
			used w/ gtk_cmoption_menu (behaviour change
			has been introduced w/ 3.5.0cvs49 apparently),
			now it must be 1..N so let's use colorlabel value
			(0..N) + 1.
			

2010-09-20 [pawel]	3.7.6cvs41

	* src/compose.c
	* src/mainwindow.c
	* src/summaryview.c
		revert last patch

2010-09-19 [pawel]	3.7.6cvs40

	* src/compose.c
	* src/mainwindow.c
	* src/summaryview.c
		Set ML menus sensitivity accordingly to
		possibility of reply to ML

2010-09-19 [colin]	3.7.6cvs39

	* src/compose.c
		Fix cvs34 and cvs35. NNTP accounts are mandatory to post
		to newsgroups, and NNTP accounts *can* send email. We 
		should not force an email account when replying to_ml or
		anything...

2010-09-19 [colin]	3.7.6cvs38

	* src/compose.c
		Revert previous commit (which breaks Reply to newsgroups)

2010-09-17 [pawel]	3.7.6cvs37

	* src/compose.c
		Respect reply_account_autosel when changing compose
		account to email one while replying to NNTP post

2010-09-17 [wwp]	3.7.6cvs36

	* doc/man/claws-mail.1
	Update --compose documentation in `man claws-mail`.

2010-09-12 [pawel]	3.7.6cvs35

	* src/compose.c
		Add forgotten bit to previous commit,
		select email account when replying to ML

2010-09-12 [pawel]	3.7.6cvs34

	* src/compose.c
		Fix bug #2247 "nntp reply-to-all broken?"
		Make reply-to-all and reply-to-ml work as expected in
		mailing list through NNTP case

2010-09-11 [pawel]	3.7.6cvs33

	* src/mainwindow.c
	* src/summaryview.c
	* src/toolbar.c
		gtk_widget_set_can_focus() -> GTK_WIDGET_UNSET_FLAGS()
		fixes build with GTK+ < 2.18

2010-09-10 [pawel]	3.7.6cvs32

	* src/mainwindow.c
	* src/summaryview.c
	* src/toolbar.c
		Make Tab key switch between FolderView, MsgView and
		SummaryView only, other widgets have/can have their own
		keybindings anyway

2010-08-25 [colin]	3.7.6cvs31

	* src/procmime.c
	* AUTHORS
	* src/gtk/authors.h
	* src/common/base64.c
	* src/common/base64.h
		Fix bug #2245, "base64 decoding fails with line breaks"
		Patch by Yotam Medini

2010-08-25 [colin]	3.7.6cvs30

	* src/main.c
		Fix bug #2241, "Empty trash on exit fails on scripted exit"

2010-08-23 [pawel]	3.7.6cvs29

	* src/inc.c
	* src/send_message.c
	* src/statusbar.c
	* src/toolbar.c
		Hide progressbar on statusbar when not needed

2010-08-17 [colin]	3.7.6cvs28

	* src/main.c
		Fix previous patch (our own tmp dir is inside
		our rc dir)

2010-08-16 [colin]	3.7.6cvs27

	* src/main.c
		Use temp dir to store logs in Windows. Avoids doing
		get_rc_dir() early, which prevents set_rc_dir()
		working correctly.

2010-07-31 [holger]	3.7.6cvs26

	* src/gtk/gtkshruler.c
		Yet more GdkGC to Cairo porting

2010-07-30 [holger]	3.7.6cvs25

	* src/stock_pixmap.c
		More GdkGC to Cairo porting

2010-07-30 [holger]	3.7.6cvs24

	* src/gtk/colorlabel.c
		One GdkGC usage less

2010-07-29 [holger]	3.7.6cvs23

	* src/printing.c
		Replace some gdk drawing with cairo, as the former
		is going towards deprecation.

2010-07-25 [colin]	3.7.6cvs22

	* src/common/utils.c
		And now for a real fix. g_list_remove() doesn't, of
		course, free the data. But we have to have a solid
		pointer to it in order to free it ourselves instead
		of relying on the old freed list pointer.
		Maybe that's the last patch on the subject now ? :)

2010-07-25 [colin]	3.7.6cvs21

	* src/common/utils.c
		Remove stupid and extraneous g_free() of elements
		which have just been freed by g_list_remove(). (see
		GList documentation). I don't know how it worked before

2010-07-25 [colin]	3.7.6cvs20

	* src/common/utils.c
		Reverse free/use with more logical and safe
		use/free. Thanks to Michael Rasmussen !

2010-07-24 [colin]	3.7.6cvs19

	* src/gtk/quicksearch.c
		Finish 3.7.5cvs42 patch. Probably fixes bug 2232,
		'freeze when using quick search'

2010-07-11 [iwkse]	3.7.6cvs18

	* src/gtk/quicksearch.c
		Add SMALL_LAYOUT to quicksearch_relayout

2010-07-10 [iwkse]	3.7.6cvs17

	* src/mainwindow.h
			Remove forgotten variable from
			the last bugfix #2224

2010-07-10 [colin]	3.7.6cvs16

	* src/mainwindow.c
	* src/gtk/quicksearch.c
		Clean fix for bug #2224: don't mess with GTK settings when
		handling the layout ourselves is enough

2010-07-09 [iwkse]	3.7.6cvs15

	* src/mainwindow.h
	* src/mainwindow.c
			Better fix for Bug #2224

2010-07-09 [iwkse]	3.7.6cvs14

	* src/mainwindow.c
			Bug #2224
			Always use stock icons on buttons

2010-07-08 [colin]	3.7.6cvs13

	* src/gtk/filesel.c
		Fix bug 2223, 'Compilation fails with GTK+
		2.21.3'. Thanks to Jan Psota !

2010-06-29 [pawel]	3.7.6cvs12

	* src/compose.c
		Revert 3.7.5cvs41, it breaks templates that use %X

2010-06-23 [wwp]	3.7.6cvs11

	* src/gtk/colorlabel.c
		Silent up a warning by avoiding possible confusion
		in logical expression evaluation, thanks to TuxCM.

2010-06-21 [iwkse]	3.7.6cvs10

	* src/gtk/quicksearch.c
		Do not add into quicksearch history
		matching rules with bad syntax

2010-05-26 [holger]	3.7.6cvs9

	* src/summaryview.c
	* src/summaryview.h
		Add function to select rows given a list of messages,
		complementary to summary_get_selected_msg_list()

2010-05-22 [mir]	3.7.6cvs8

	* src/ldapctrl.c
		Fix bug 2208. Encode encrypted password to qouted
		printable to avoid making invalid XML. Encoding
		will be activated the first time the password is
		changed.

2010-05-22 [paul]	3.7.6cvs7

	* manual/advanced.xml
	* src/compose.c
	* src/prefs_common.c
	* src/prefs_common.h
		after using the compose margin for several days
		I wanted the old style back - add a new hidden
		pref 'show_compose_margin' to restore the old
		behaviour (defaults to FALSE)

2010-05-14 [paul]	3.7.6cvs6

	* src/compose.c
		add a margin to the compose window text that matches
		the margin in textview

2010-05-14 [colin]	3.7.6cvs5

	* src/gtk/sslcertwindow.c
		Fix dangling pointer. Thanks to Michael R!

2010-05-14 [colin]	3.7.6cvs4

	* src/gtk/sslcertwindow.c
		Fix bug 1993, 'Cannot send mail when SSL certificate is 
		expired but certificate check is skipped' and maybe
		bug 2200, 'SSL is not working with POP3'

2010-05-14 [colin]	3.7.6cvs3

	* src/plugins/pgpinline/pgpinline.c
		Fix bug 2205, 'PGPInline: segfault on malformed mails'

2010-05-04 [iwkse]	3.7.6cvs2

	* src/prefs_message.c
			Get a generic name as 'Quotation' for
			the frame

2010-05-04 [iwkse]	3.7.6cvs1

	* src/prefs_message.c
	* src/prefs_common.h
	* src/prefs_common.c
	* src/textview.c
			Fix #2188
			Option for collapsing via double-click

2010-05-01 [paul]	3.7.6
	* NEWS
	* README
	* RELEASE_NOTES	
		3.7.6 unleashed!

2010-05-01 [paul]	3.7.5cvs55

	* tools/claws.i18n.status.pl
		add Ukrainian stat

2010-05-01 [paul]	3.7.5cvs54

	* src/gtk/authors.h
		add YUP, new Ukrainian translator

2010-04-30 [paul]	3.7.5cvs53

	* configure.ac
	* po/uk.po
		add Ukrainian translation, submitted by YUP
	* po/cs.po
	* po/de.po
	* po/fi.po
	* po/hu.po
	* po/nl.po
	* po/pt_BR.po
	* po/pt_PT.po
	* po/sk.po
		updated by David Vachulka, Stephan Sachse, Flammie Pirinen,
		PÃ¡der RezsÅ‘, Marcel Pol, Frederico Goncalves Guimaraes,
		Tiago Faria, and Slavko

2010-04-26 [wwp]	3.7.5cvs52

	* po/fr.po
		Fix capitalization.

2010-04-26 [mones]	3.7.5cvs51

	* po/es.po
		Updated for release

2010-04-22 [pawel]	3.7.5cvs50

	* src/addressbook.c
		fix compile warning
	* src/vcard.c
		first NULL check pointer, then use it

2010-04-22 [colin]	3.7.5cvs49

	* src/imap.c
		Fix error message when session isn't established
	* po/fr.po
		Update translation and fix a typo in it

2010-04-15 [pawel]	3.7.5cvs48

	* src/prefs_account.c
		Fix Bug 2144 'When creating an account with IMAP4+SSL,
				the port isn't configured properly'
		When using SSL/TLS tunneling automatically use default
		ports for encrypted connections: smtps, pop3s, imaps, nntps

2010-04-15 [pawel]	3.7.5cvs47

	* src/action.c
		Fix crasher in actions using '%f' argument
		on multiple files with external scripts which
		don't return any output.

2010-04-14 [colin]	3.7.5cvs46

	* src/mainwindow.c
		Fix hand cursor after error symbol appears

2010-04-12 [colin]	3.7.5cvs45

	* configure.ac
		Fix bug 2162, 'configure check for libetpan 
		fails with libetpan 1.0'


2010-04-09 [mones]	3.7.5cvs44

	* manual/de/glossary.xml
		Fix encoding to match main document's
		Also fixes make dist with Debian's openjade

2010-03-29 [pawel]	3.7.5cvs43

	* src/matcher_parser.h
	* src/matcher_parser_parse.y
	* src/gtk/quicksearch.c
		Disable matcher warnings when populating quicksearch
		completion lists on startup

2010-03-27 [colin]	3.7.5cvs42

	* src/gtk/quicksearch.c
		Fix double-free later in code. Optimize
		list creation

2010-03-27 [pawel]	3.7.5cvs41

	* src/compose.c
		Make sure that quote ends with new line char

2010-03-26 [pawel]	3.7.5cvs40

	* src/compose.c
	* src/compose.h
	* src/textview.c
		Fix Bug 1928 Add "reply to this address" pop menu 
		             on Message View
		- Set composing account to email one when creating/replying
		  from NNTP folder by clicking link or choosing option
		  from popup menu
		- Factorize code

2010-03-25 [paul]	3.7.5cvs39

	* src/gtk/gtkcmclist.c
		Fix build with GTK+ 2.20

2010-03-24 [pawel]	3.7.5cvs38

	* src/addr_compl.c
	* src/compose.c
	* src/folderview.c
	* src/grouplistdialog.c
	* src/headerview.c
	* src/mainwindow.c
	* src/mimeview.c
	* src/prefs_account.c
	* src/gtk/gtkcmclist.c
	* src/gtk/gtkcmctree.c
	* src/gtk/gtkcmoptionmenu.c
	* src/gtk/gtksctree.c
	* src/gtk/gtkshruler.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
	* src/gtk/gtkvscrollbutton.c
	* src/gtk/inputdialog.c
	* src/gtk/spell_entry.c
	* src/plugins/trayicon/trayicon.c
	* src/plugins/trayicon/libeggtrayicon/Makefile.am
	* src/plugins/trayicon/libeggtrayicon/eggtrayicon.c
	* src/plugins/trayicon/libeggtrayicon/gtkplugxembed.c
		Fix build with GTK+ 2.19

2010-03-23 [pawel]	3.7.5cvs37

	* src/mainwindow.c
	* src/mimeview.c
		Respect view->show_col_headers option
	* src/gtk/gtkcmctree.c
		Fix GtkCmcTree column width calculation when it has
		auto_resize set and new node is added

2010-03-22 [pawel]	3.7.5cvs36

	* src/grouplistdialog.c
	* src/prefs_common.c
	* src/prefs_common.h
		- remember newsgroups list dialog size
		- respect use_dotted_lines hidden pref
		- respect use_stripes_everywhere hidden pref

2010-03-21 [pawel]	3.7.5cvs35

	* src/addrgather.c
		Remove superfluous gtk_widget_show_all()
	* src/mimeview.c
		Add forgotten colon
	* src/common/utils.c
		Return correct type

2010-03-21 [pawel]	3.7.5cvs34

	* src/main.c
	* src/gtk/quicksearch.c
	* src/gtk/quicksearch.h
		Implement separate search phrase completion for
		normal/extended quicksearch

2010-03-11 [paul]	3.7.5cvs33

	* po/zh_CN.po
		fix bug 2110, 'Patch to use GB18030 for GB2312 and GBK X-GBK'
		submitted by Yuwei Yu

2010-03-09 [colin]	3.7.5cvs32

	* manual/de/glossary.xml
		Fix build

2010-03-02 [colin]	3.7.5cvs31

	* manual/de/glossary.xml
		Sort alphabetically. Done by Volker Ribbert.

2010-03-02 [mones]	3.7.5cvs30

	* README
		Fix mailing list archives location
                Remove currently unavailable CVS webview

2010-03-01 [iwkse]	3.7.5cvs29

	* src/common/plugin.c
			Other indentation issues

2010-03-01 [iwkse]	3.7.5cvs28

	* src/common/plugin.c
			Fix indentation of the previous commit

2010-03-01 [iwkse]	3.7.5cvs27

	* src/common/plugin.h
	* src/common/plugin.c
			Add API for getting a loaded Plugin from the
			plugin's name, plugin_get_loaded_by_name (const gchar *name)
			Thanks to Colin, Michael

2010-02-27 [colin]	3.7.5cvs26

	* configure.ac
	* AUTHORS
	* src/gtk/authors.h
	* manual/Makefile.am
	* manual/de/Makefile.am
	* manual/de/account.xml
	* manual/de/ack.xml
	* manual/de/addrbook.xml
	* manual/de/advanced.xml
	* manual/de/claws-mail-manual.xml
	* manual/de/faq.xml
	* manual/de/glossary.xml
	* manual/de/gpl.xml
	* manual/de/handling.xml
	* manual/de/intro.xml
	* manual/de/keyboard.xml
	* manual/de/plugins.xml
	* manual/de/starting.xml
	* manual/de/dist/.cvsignore
	* manual/de/dist/Makefile.am
	* manual/de/dist/html/.cvsignore
	* manual/de/dist/html/Makefile.am
	* manual/de/dist/pdf/.cvsignore
	* manual/de/dist/pdf/Makefile.am
	* manual/de/dist/ps/.cvsignore
	* manual/de/dist/ps/Makefile.am
	* manual/de/dist/txt/.cvsignore
	* manual/de/dist/txt/Makefile.am
		Add the german translation of the manual, done by
		Volker Ribbert <thoraki@arcor.de>.

2010-02-27 [holger]	3.7.5cvs25

	* src/prefs_toolbar.c
		Don't make toolbar item description for
		plugin registered items editable

2010-02-26 [colin]	3.7.5cvs24

	* src/toolbar.c
		Don't translate empty description

2010-02-22 [colin]	3.7.5cvs23

	* src/compose.c
		Don't make In-Reply-To visible when reediting
		a draft or sent mail.

2010-02-20 [colin]	3.7.5cvs22

	* src/imap.c
	* src/imap.h
	* src/main.c
	* src/mainwindow.c
	* src/etpan/imap-thread.c
	* src/etpan/imap-thread.h
	* src/etpan/nntp-thread.c
	* src/etpan/nntp-thread.h
		When going offline from NetworkManager, just
		delete IMAP connections. That'll avoid timeouts
		when coming back online in certain cases when
		the TCP socket will have timed out.

2010-02-20 [holger]	3.7.5cvs21

	* .cvsignore
		More files to ignore

2010-02-17 [ticho]	3.7.5cvs20

	* src/summaryview.c
	* src/summaryview.h
	* src/toolbar.c
		Revert 3.7.5cvs19.

2010-02-16 [ticho]	3.7.5cvs19

	* src/summaryview.c
	* src/summaryview.h
	* src/toolbar.c
		Removed unused argument from summary_open_row().

2010-02-10 [pawel]	3.7.5cvs18

	* src/compose.c
		- fix headers filtering when prefs_common.trans_hdr is on
		- fix headers setting when changing composing account 
		- plug memleak
	* src/prefs_template.c
		Re-add template's name for translation

2010-02-10 [colin]	3.7.5cvs17

	* src/prefs_matcher.c
		Fix bug 2099, 'add List-Id in Configuration>Filtering>
		Condition>Define>Header>Name combo box'. Patch by
		Francois Cami

2010-02-10 [colin]	3.7.5cvs16

	* src/codeconv.c
	* src/codeconv.h
	* src/compose.c
	* src/mainwindow.c
	* src/messageview.c
	* src/prefs_send.c
	* src/procmime.c
	* src/textview.c
		Add the GB18030 Chinese charset, which is a superset
		of GB2312 and (X-)GBK. Patch mostly by Yuwei Yu.

2010-02-09 [holger]	3.7.5cvs15

	* configure.ac
		GTK+ 2.10 related cleanup

2010-02-09 [pawel]	3.7.5cvs14

	* src/prefs_account.c
	* src/prefs_folder_item.c
	* src/prefs_template.c
	* src/quote_fmt.c
		Respect prefs_common.trans_hdr in couple more places to avoid
		confusion with translated/non-translated header names

2010-02-09 [colin]	3.7.5cvs13

	* po/POTFILES.in
		Fix make dist

2010-02-09 [colin]	3.7.5cvs12

	* src/mimeview.c
		And fix 2.10 build :)

2010-02-09 [colin]	3.7.5cvs11

	* configure.ac
		Bump up GTK+ requirement to 2.10
	* src/Makefile.am
	* src/compose.c
	* src/crash.c
	* src/foldersel.c
	* src/main.c
	* src/mainwindow.c
	* src/messageview.c
	* src/messageview.h
	* src/prefs_actions.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_ext_prog.c
	* src/prefs_filtering_action.c
	* src/prefs_fonts.c
	* src/prefs_image_viewer.c
	* src/prefs_matcher.c
	* src/prefs_msg_colors.c
	* src/prefs_summaries.c
	* src/prefs_template.c
	* src/printing.c
	* src/printing.h
	* src/quote_fmt.c
	* src/summaryview.c
	* src/textview.c
	* src/gtk/Makefile.am
	* src/gtk/about.c
	* src/gtk/gtkcmclist.c
	* src/gtk/gtkcmctree.c
	* src/gtk/gtkutils.c
	* src/gtk/quicksearch.c
		Remove all compile-time conditionals depending on
		GTK+ < 2.10
	* src/gedit-print.c
	* src/gedit-print.h
	* src/gtk/gtksourceprintjob.c
	* src/gtk/gtksourceprintjob.h
		Remove libgnomeprint-based printing system (and
		command-line-based printing system) as GTK+ 2.10
		ships with print support.

2010-02-08 [mir]	3.7.5cvs10

	* src/compose.c
	    Avoid displaying Bcc headers in message sent
	    to NNTP servers. Thanks to Henning Mersch.


2010-02-08 [pawel]	3.7.5cvs9

	* src/mimeview.c
		Make tooltips less cryptic
	* src/gtk/description_window.c
		Improve window size calculation

2010-02-08 [pawel]	3.7.5cvs8

	* src/compose.c
	* src/compose.h
	* src/common/utils.c
	* src/common/utils.h
	* src/gtk/authors.h
		Fix Bug 2058 "use in-reply-to info passed in mailto: links"
		Patch by Laurent Bigonville with slight modifications

2010-02-03 [pawel]	3.7.5cvs7

	* m4/.cvsignore
		Add some libtool files to ignore

2010-02-03 [pawel]	3.7.5cvs6

	* src/plugins/trayicon/trayicon.c
		Save and then restore focus when closing/minimizing to tray

2010-02-03 [mir]	3.7.5cvs5

	* src/addrindex.c
	* src/editldap.c
	* src/ldapctrl.c
	* src/ldapctrl.h
	* src/ldapquery.c
	* src/ldapupdate.c
	    Save LDAP password encrypted. See bug 2113.


2010-02-03 [colin]	3.7.5cvs4

	* src/privacy.c
		Fix again decoding of encrypted parts. The
		reverting of the patch was wrong, as the
		double-decoding was fixed in smime itself.
		Thanks to Matthias Drochner again...

2010-02-02 [colin]	3.7.5cvs3

	* src/plugins/smime/smime.c
	* src/privacy.c
		Revert 3.7.4cvs2 and make a better patch for bug
		2059 and 2076. Patch by Matthias Drochner

2010-01-31 [pawel]	3.7.5cvs2

	* src/gtk/authors.h
		Fix hungarian translator's name

2010-01-31 [pawel]	3.7.5cvs1

	* src/messageview.c
	* src/mimeview.c
		Fix Bug 2107 - Arrow keys don't work in message view window

2010-01-31 [paul]	3.7.5

	* NEWS
	* README
	* RELEASE_NOTES	
		3.7.5 released!

2010-01-23 [pawel]	3.7.4cvs10

	* src/addressbook.c
		Fix button sensitivity in compose mode

2010-01-23 [pawel]	3.7.4cvs9

	* commitHelper
	* tools/kdeservicemenu/install.sh
	* tools/make.themes.project
	* tools/nautilus2claws-mail.sh
	* tools/popfile-link.sh
	* tools/textviewer.sh
		Not all systems have bash installed in /bin, use env(1) to find
		it`s location

2010-01-22 [pawel]	3.7.4cvs8

	* src/prefs_account.c
	* src/prefs_filtering.c
	* src/prefs_send.c
	* src/gtk/colorlabel.c
		Add some separators in combos

2010-01-22 [pawel]	3.7.4cvs7

	* autogen.sh
		--disable-aspell -> --disable-enchant
	* configure.ac
		Fix options spacing in configure --help
	* src/wizard.c
		Make wizard's window centered on the screen

2010-01-19 [holger]	3.7.4cvs6

	* src/folder.c
	* src/folder.h
		Introduce folder_get_item_from_identifier().
		In contrast to folder_find_item_from_identifier(), this
		function recursively creates the FolderItems in the id path.
		Useful for programmatically creating folders (e.g. by plugins)

2010-01-17 [pawel]	3.7.4cvs5

	* src/gtk/authors.h
		Fix my lastname

2010-01-16 [colin]	3.7.4cvs4

	* src/plugins/pgpcore/sgpgme.c
		Probably fix bug 2098, 'claws-mails crashes frequently 
		with pgpcore'. Fix double-free.

2010-01-16 [holger]	3.7.4cvs3

	* src/prefs_toolbar.h
		Forgotten header

2010-01-15 [colin]	3.7.4cvs2

	* src/privacy.c
		Decode mimeinfo before decrypting it. Probably
		fixes bug 2059 'gpgme >=1.1.8 not compatible 
		with S/MIME encryption' and bug 2076 'having 
		worked 2 times properly CLAWS ceased to 
		decrypt incoming PGP mails -displays base64 
		instead - sucks completely'
		Let's hope complete suckage ends here!
		Thanks to Matthias Drochner.

2010-01-08 [paul]	3.7.4cvs1

	* tools/claws.i18n.status.pl
		fix typos

2010-01-08 [paul]	3.7.4

	* NEWS
	* README
	* RELEASE_NOTES	
		3.7.4 released!

2010-01-08 [paul]	3.7.3cvs57

	* po/ca.po
	* po/cs.po
	* po/de.po
	* po/fi.po
	* po/hu.po
	* po/id.po
	* po/ja.po
	* po/nl.po
	* po/pt_BR.po
	* po/pt_PT.po
	* po/ru.po
	* po/sk.po
		updated translations by Miquel Oliete, David Vachulka, Stephan Sachse,
		Tommi Pirinen, Pader Rezso, MSulchan Darmawan, kazken3, Marcel Pol,
		Frederico Goncalves Guimaraes, Tiago Faria, Aleksei Miheev, and
		Slavko

2010-01-08 [paul]	3.7.3cvs56

	* src/common/utils.c
		fix bug 2089, 'URLs ending with an underscore ('_')
		are not correctly parsed'. thanks to Johan

2010-01-05 [colin]	3.7.3cvs55

	* po/fr.po
		Update french translation

2010-01-04 [mones]	3.7.3cvs54

	* po/es.po
		Update Spanish translation

2010-01-04 [mones]	3.7.3cvs53

	* manual/plugins.xml
		Some format
	* manual/es/claws-mail-manual.xml
	* manual/es/intro.xml
	* manual/es/plugins.xml
		Synchronise with English version

2010-01-03 [paul]	3.7.3cvs52

	* ChangeLog
		fix format
	* src/gtk/authors.h
		update TEAM_LIST, fix encoding

2010-01-03 [mir]	3.7.3cvs51

	* src/compose.c
		When composing to a NNTP list TO: will always be preset
		to the NNTP list unless user has chosen some other default
		in which case we will handle this the normal way. Therefore
		mfield will be set to TO_FIELD_PRESENT if mailto is NULL.

2010-01-01 [paul]	3.7.3cvs50

	* src/gtk/about.c
		bump copyright year whilst it's in mind

2009-12-31 [paul]	3.7.3cvs49

	* manual/claws-mail-manual.xml
	* manual/intro.xml
	* manual/plugins.xml
		fix links so that they make sense in the context of the
		text version of the manual

2009-12-31 [paul]	3.7.3cvs48

	* manual/intro.xml
	* manual/plugins.xml
		updates, improvements, corrections, additions

2009-12-29 [pawel]	3.7.3cvs47

	* src/prefs_filtering_action.c
		Fix Bug 2082 'Wrong color rectangle position when replacing
		"color" processing rule'

2009-12-29 [colin]	3.7.3cvs46

	* src/compose.c
		Fix bug 2074, 'Remember sending account 
		for sent messages'

2009-12-20 [holger]	3.7.3cvs45

	* src/compose.c
		Delay CREATED_HOOKLIST invokation until
		after the modifications to the compose window
		are done, to allow hooks to further modify the
		window without getting overridden again

2009-12-20 [holger]	3.7.3cvs44

	* src/prefs_toolbar.h
		Fix last commit

2009-12-20 [holger]	3.7.3cvs43

	* src/prefs_toolbar.c
	* src/prefs_toolbar.h
	* src/toolbar.c
		Pass window struct to caller

2009-12-20 [holger]	3.7.3cvs42

	* src/compose.c
	* src/compose.h
		Add hooklist after creation of a compose window

2009-12-19 [holger]	3.7.3cvs41

	* src/prefs_toolbar.c
	* src/prefs_toolbar.h
	* src/toolbar.c
		Allow plugins to choose to which toolbar they want
		to add actions (main window, compose window, or message view)

2009-12-19 [paul]	3.7.3cvs40

	* src/statusbar.c
		fix statusbar in GTK+ 2.19.1

2009-12-10 [pawel]	3.7.3cvs39

	* src/compose.c
		Better fix for cvs28 regression

2009-12-10 [iwkse]	3.7.3cvs38

	* src/compose.c
            Fix some indentation

2009-12-10 [iwkse]	3.7.3cvs37

	* src/compose.c
            Add missing checks for gtkaspell: avoid
            crashing in some cases when Enchant is 
            enabled but the spell checker is disabled 
            in preferences.

2009-12-09 [colin]	3.7.3cvs36

	* src/compose.c
		Fix leak and unchecked accesses.

2009-12-09 [mir]	3.7.3cvs35

	* src/compose.c
	Fix Bug 2072 "template at folder properties is not working"
	introduced in cvs24.

2009-12-08 [pawel]	3.7.3cvs34

	* src/compose.c
		When 'Reply All' remove current compose address from
		Cc/Bcc list - fix for regression introduced in cvs28

2009-12-05 [pawel]	3.7.3cvs33

	* src/messageview.c
		Fix memory management, duh!

2009-12-04 [pawel]	3.7.3cvs32

	* src/messageview.c
		Use case insensitive comparison in search for
		duplicate urls
	* src/uri_opener.c
		Refresh scrollbars on every window open

2009-12-04 [pawel]	3.7.3cvs31

	* src/compose.c
		Highlight misspelled words when applying template and
		check_while_typing option is on

2009-12-03 [pawel]	3.7.3cvs30

	* src/compose.c
		Highlight misspelled words in text inserted from file(s)
		or pasted to message body when check_while_typing
		options is on

2009-12-02 [pawel]	3.7.3cvs29

	* src/compose.c
		Revert first part of previous commit

2009-12-02 [pawel]	3.7.3cvs28

	* src/compose.c
		Fix Bug 2055 "duplicate mailing list reply if
		List-Post + Reply-To present"
		- Ignore Reply-To if answering to ML
		- Improve parsing of List-Post header

2009-12-02 [pawel]	3.7.3cvs27

	* src/compose.c
	* src/compose.h
		Fix Bug 1850 "Reply All" duplicates "To" user in "CC" if original
		email had user in "From" and "CC"
		Don't allow duplicate addresses in compose window headers

2009-12-02 [mones]	3.7.3cvs26

	* manual/intro.xml
	* manual/es/intro.xml
	* manual/fr/intro.xml
	* manual/it/intro.xml
	* manual/pl/intro.xml
		Make URL to point current site

2009-12-01 [holger]	3.7.3cvs25

	* src/summaryview.c
	* src/summaryview.h
		Introduce new drag type "claws-mail/msg-path-list" for
		drag'n'drop of a message selection from the summaryview
		into other applications. The drag data gets set to the
		folder-item-id followed by message ids, separated by newlines.
		This enables other applications to back-link to Claws Mail
		via a "claws-mail --select" call after they received a drop.

2009-11-30 [mir]	3.7.3cvs24

	* src/compose.c
           Place cursor in compose window according to provided input
           If to: is present place cursor in subject field and if both
           to: and subject: is present place cursor in body. If body: is
           present insert a new line after text and place cursor there.

2009-11-27 [mones]	3.7.3cvs23

	* src/gtk/quicksearch.c
		Allow viewing longer expressions if there's space

2009-11-25 [holger]	3.7.3cvs22

	* Makefile.am
	* src/common/Makefile.am
	* src/common/utils.c
	* src/common/utils.h
		Add a function to query the
		filepath of the .desktop file

2009-11-25 [colin]	3.7.3cvs21

	* src/imap.c
		Fix bug 2063, 'glib assertion in GRelation use in 
		imap.c'

2009-11-24 [pawel]	3.7.3cvs20

	* src/common/utils.c
		Fix Bug 2053 'Inconsistent application of Coloration 
		of Message text'
		Don't allow '<' character between quotation marks

2009-11-21 [holger]	3.7.3cvs19

	* src/printing.c
		Modify cairo clip handling in preview windows,
		to prevent print preview windows from being blank
		with GTK+ 2.18. Follow recommendation of the GTK+
		documentation (section "Migrating to client side windows")
		and create a new cairo context for each expose event.

2009-11-19 [pawel]	3.7.3cvs18

	* Makefile.am
		complete 3.7.3cvs15 so install is DESTDIR safe
		remove icons with changed names on uninstall

2009-11-18 [pawel]	3.7.3cvs17

	* src/news_gtk.c
		remove unneeded and code-duplicating function

2009-11-18 [pawel]	3.7.3cvs16

	* src/news_gtk.c
		Fix Bug 2057 'Claws mail does not keep renamed names
		of nntp-subscribed groups'
		Check for already subscribed group using item->path for group
		comparision as folders item->path != item->name may be truth 
		since we allowed renaming of newsgroups folders -> 3.5.0cvs11

2009-11-17 [pawel]	3.7.3cvs15

	* Makefile.am
		Fix Bug 2049 'some icons not copied?'
		Install additional 64x64 and 128x128 icons

2009-11-17 [holger]	3.7.3cvs14

	* src/prefs_toolbar.c
	* src/prefs_toolbar.h
	* src/toolbar.c
	* src/toolbar.h
		Allow plugins to register toolbar items

2009-11-11 [pawel]	3.7.3cvs13

	* src/addressbook.c
	* src/compose.c
	* src/compose.h
	* src/filtering.c
		Fix Bug 1867 Changing account does not change BCC address
		Set account specific headers when changing account
		in compose window.

2009-11-07 [colin]	3.7.3cvs12

	* src/gtk/prefswindow.c
		Fix bug 2041, "add autonomical scrolled windows to prefs pages"
		Patch by Pawel

2009-11-07 [colin]	3.7.3cvs11

	* src/gtk/spell_entry.c
		Fix bug 2040, 'numbers in subject entry marked as misspelled'
		Patch by Pawel Pekala

2009-10-27 [colin]	3.7.3cvs10

	* src/folder.c
		Fix bug 2028, 'Attempts to connect to all accounts on exit'
		Don't try to check whether the folder is up-to-date if
		the folder class doesn't implement set_mtime, as we don't
		care in this case. This code exists since a long time, but
		the bug was triggered by more scanning of queue folders 
		since recently (when we added \Deleted handling).

2009-10-27 [colin]	3.7.3cvs9

	* src/mainwindow.c
		Try to fix registering as default client
		on windows 7

2009-10-21 [wwp]	3.7.3cvs8

	* src/common/utils.c
		Fix 3.7.3cvs7 (accidentally committed a CVS conflict mark, say bravo).

2009-10-21 [wwp]	3.7.3cvs7

	* src/common/utils.c
		Don't core dump when attempting to insert a non-existing
		file using a mailto: uri (g_error does core dump).

2009-10-20 [colin]	3.7.3cvs6

	* src/common/utils.c
		Don't g_error on normal warnings...

2009-10-20 [colin]	3.7.3cvs5

	* src/plugins/pgpcore/sgpgme.c
		Fix bug 1996, 'S/MIME key not selected'
		Check for S/MIME certs too

2009-10-20 [colin]	3.7.3cvs4

	* src/common/w32lib.h
		Fix win32 build on latest mingw32

2009-10-20 [colin]	3.7.3cvs3

	* src/exportldif.c
	* src/ldif.c
	* src/ldif.h
		Fix LDIF export. Patch by Michael Rasmussen

2009-10-18 [paul]	3.7.3cvs2

	* tools/claws.i18n.status.pl
		increase the value of $transolddays since we're relasing less
		often now.
		rework the en_GB.po hack so that en_GB is always 100% translated
		and recently updated

2009-10-17 [paul]	3.7.3cvs1

	* src/prefs_account.c
	* src/prefs_compose_writing.c
	* src/prefs_receive.c
	* src/prefs_summaries.c
	* src/prefs_wrapping.c
		reword a few labels. (this incorporates everything
		that seemed worthwhile from bug 2020)
	* src/prefs_customheader.c
		use a 'Browse' button instead of button with
		label 'From file...'

2009-10-12 [colin]

	* CVS repository change

2009-10-09 [paul[	3.7.3

	version 3.7.3 unleashed!!

2009-10-07 [paul]	3.7.2cvs49

	* src/folderview.c
	* src/folderview.h
	* src/mainwindow.c
		fix  Bug 1994 -  Changing colors required restart.
		in the process rename folderview_reflect_prefs_pixmap_theme() to the
		more accurate folderview_reinit_fonts()

2009-10-07 [paul]	3.7.2cvs48

	* src/addrgather.c
	* src/prefs_common.c
	* src/prefs_common.h
		fix  Bug 2003 -  Address gathering dialog minor bugs/annoyances,
		patch by Pawel Pekala

2009-10-07 [paul]	3.7.2cvs47

	* po/cs.po
	* po/de.po
	* po/hu.po
	* po/id.po
	* po/ja.po
	* po/pt_BR.po
		updated by David Vachulka, Stephan Sachse and Marc Arens,
		Pader Rezso, MSulchan Darmawan, kazken3, and Frederico
		Goncalves Guimaraes

2009-10-06 [colin]	3.7.2cvs46

	* po/fr.po
		French translation update

2009-10-05 [paul]	3.7.2cvs45

	* src/printing.c
		enable Page Size and Orientation in the print dialog,
		GTK+ >= 2.18.x only. Patch by Mark__T

2009-10-05 [paul]	3.7.2cvs44

	* src/prefs_summaries.c
		fix label, startup --> start-up, to match other uses of the
		term

2009-10-05 [paul]	3.7.2cvs43

	* po/pl.po
		updated by Emilian Nowak

2009-10-03 [colin]	3.7.2cvs42

	* src/mimeview.c
	* src/noticeview.c
	* src/gtk/gtkcmclist.c
	* src/gtk/gtkvscrollbutton.c
	* src/gtk/logwindow.c
		GTK+ 2.18 fixes:
		Fix bug 2008, 'Claws-Mail doesn't refresh after deletion'
		Fix bug 2009, 'Incorrect pointer representation with GTK+2.18'
		Fix warning at start

2009-09-28 [colin]	3.7.2cvs41

	* src/matcher.c
	* src/mimeview.c
	* src/prefs_folder_item.c
		Fix bug 2007, 'Small memory leaks'. Patch by Pawel

2009-09-28 [colin]	3.7.2cvs40

	* src/prefs_summaries.c
	* src/gtk/sslcertwindow.c
		Fix bug 2006, 'Non-utf8 strftime(3) date strings 
		shows up garbled in GUI'. Patch by Pawel Pekala

2009-09-24 [iwkse]	3.7.2cvs39

	* configure.ac
            That's only for statistics, of course :)

2009-09-24 [iwkse]	3.7.2cvs38

	* configure.ac
            ...

2009-09-24 [iwkse]	3.7.2cvs37

	* configure.ac
            Revert unwanted change

2009-09-24 [iwkse]	3.7.2cvs36

	* src/action.c
            Fix issue with filtering actions and 
            parsed parameters

2009-09-20 [mones]	3.7.2cvs35

	* tools/convert_mbox.pl
		Add -R flag to support recursive conversions
		of arbitrary Evolution mail folders, based on
		bash script by Daniel Dickinson (fixes debian 
		bug #461435) 
	* tools/popfile-link.sh
		Set required shell for script (fixes debian 
		bug #530057)

2009-09-16 [colin]	3.7.2cvs34

	* src/main.c
		Go grab files in /etc/skel if they exist
		at first startup 

2009-09-15 [colin]	3.7.2cvs33

	* src/procmime.c
		Complete 3.7.1cvs42: only output directly to
		final file if we get NULL byes at the start.
		Still fixes saving UTF16 files, but also
		fixes displaying Base64 parts with decoding
		errors (parts without errors get displayed)

2009-09-14 [colin]	3.7.2cvs32

	* src/matcher.c
	* src/matcher.h
	* src/matcher_parser_parse.y
	* src/prefs_matcher.c
		Add 'has_attachment' and 'signed' matcher
		expressions. Patch by Aleksei Miheev, fixes
		bug 1997. 

2009-09-14 [colin]	3.7.2cvs31

	* src/common/utils.c
		Add "Re :" prefix from french Yahoo mail.
		Patch by Didier Barvaux, fixes bug 1999

2009-09-10 [mones]	3.7.2cvs30

	* manual/plugins.xml
		Fix sites supported by SpamReport
	* manual/es/plugins.xml
		Synchronise Spanish manual

2009-09-07 [holger]	3.7.2cvs29

	* Makefile.am
		Also update the icon cache on uninstall.
		This prevents possible problems when Claws Mail was
		uninstalled and installed again into a different location,
		see http://bugzilla.gnome.org/show_bug.cgi?id=362604
		and the blog post linked therein

2009-09-07 [paul]	3.7.2cvs28

	* src/prefs_toolbar.c
		when updating the main toolbar icons just update
		the main toolbar (and consequently fix a bug where
		folderview icons would disappear)

2009-08-30 [holger]	3.7.2cvs27

	* src/compose.c
		Do case-insensitive comparison against
		header names when extracting recipients
		from composed mails

2009-08-23 [colin]	3.7.2cvs26

	* src/mbox.c
		Probably fix RH bug 512024, " folder.c:3543 
		Condition msglist != NULL failed"

2009-08-23 [colin]	3.7.2cvs25

	* src/prefs_compose_writing.c
		Make the maximum size warning bigger. Patch
		by Didier Barvaux on bug 1986.

2009-08-21 [colin]	3.7.2cvs24

	* src/compose.c
		Previous commit: move the function into compose_insert_file
		so that it's also used on drag-n-drop

2009-08-21 [colin]	3.7.2cvs23

	* src/compose.c
		Fix scrolling when adding an header

2009-08-21 [colin]	3.7.2cvs22

	* src/compose.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_compose_writing.c
	* src/common/utils.c
		Fix bug 1986, "New feature: warn user when inserting 
		a large file in the message body". Patch by Didier
		Barvaux

2009-08-21 [colin]	3.7.2cvs21

	* AUTHORS
	* src/gtk/authors.h
	* src/common/utils.c
		Fix bug 1984: Add Rï¿½f. : reply prefix (french 
		Lotus Notes); patch by Didier Barvaux

2009-08-21 [colin]	3.7.2cvs20

	* src/codeconv.c
	* src/codeconv.h
		Fix bug 1969, 'Bad guess for outgoing encoding'
		Make sure the specific converters (japanese in
		this case) can return success/error in strict
		mode, instead of silently failing back to 
		strncpy

2009-08-20 [holger]	3.7.2cvs19

	* src/compose.c
	* src/compose.h
		Make it possible for code outside
		compose (e.g. plugins) to attach files

2009-08-20 [colin]	3.7.2cvs18

	* src/main.c
		Fix crash when accessing IMAP soon

2009-08-18 [colin]	3.7.2cvs17

	* src/ldapquery.c
		Maybe fix crash on non-existent LDAP server

2009-08-04 [colin]	3.7.2cvs16

	* src/toolbar.c
		Fix toolbar's spacing that breaks dark
		themes (patch from http://blogs.igalia.com/aperez/
		2009/07/making-claws-mail-look-better/)

2009-07-28 [colin]	3.7.2cvs15

	* src/account.c
	* src/addrcustomattr.c
	* src/addressadd.c
	* src/addressbook_foldersel.c
	* src/addrgather.c
	* src/browseldap.c
	* src/compose.c
	* src/editbook.c
	* src/editgroup.c
	* src/editjpilot.c
	* src/editldap.c
	* src/editldap_basedn.c
	* src/edittags.c
	* src/editvcard.c
	* src/exphtmldlg.c
	* src/expldifdlg.c
	* src/export.c
	* src/foldersel.c
	* src/import.c
	* src/importldif.c
	* src/importmutt.c
	* src/importpine.c
	* src/prefs_actions.c
	* src/prefs_customheader.c
	* src/prefs_display_header.c
	* src/prefs_filtering.c
	* src/prefs_folder_column.c
	* src/prefs_matcher.c
	* src/prefs_summary_column.c
	* src/prefs_summary_open.c
	* src/prefs_template.c
	* src/textview.c
	* src/uri_opener.c
		Fix bug 1950, 'Program freeze up during folder selection'
		Don't leave hidden windows modal

2009-07-28 [colin]	3.7.2cvs14

	* src/ldapquery.c
		Fix bug 1957, 'LDAP errs out after searching too 
		many search bases'

2009-07-28 [colin]	3.7.2cvs13

	* src/summaryview.c
		Fix bug 1966, '"Collapse all threads" slower than 
		"Expand all threads"'

2009-07-28 [colin]	3.7.2cvs12

	* src/common/session.c
		Fix bug 1967, 'Claws gets stuck after accepting 
		a certificate warning dialog'

2009-07-19 [paul]	3.7.2cvs11

	* manual/plugins.xml
		a few small changes to the English

2009-07-18 [mones]	3.7.2cvs10

	* manual/plugins.xml
		Add new bsfilter and fancy plugins to the docs
		and a note about dealing with plugins of the same class
	* src/prefs_account.c
		Fix extra space at the end typo

2009-07-16 [colin]	3.7.2cvs9

	* src/summaryview.c
		Fix wrong return without unlocking; thanks
		to mupuf_

2009-07-14 [colin]	3.7.2cvs8

	* src/imap.c
		Fix bug 1954, 'Segfault on reading wrong STATUS'

2009-07-10 [colin]	3.7.2cvs7

	* src/plugins/pgpcore/plugin.def
	* src/common/utils.h
		Fix windows port

2009-07-10 [colin]	3.7.2cvs6

	* src/prefs_display_header.c
		Fix bug 1951, 'C-Mail dumps core when editing 
		displayed headers'. Patch by Alexey Rusakov

2009-07-10 [colin]	3.7.2cvs5

	* src/folderview.c
		Fix bug 1952, 'Deleted mails in Queue folder 
		highlight it'.

2009-07-09 [colin]	3.7.2cvs4

	* src/gtk/spell_entry.c
		Fix bug 1949, 'Spell checker doesn't recognise 
		certain word in Subject header, but does in 
		message body'. Patch by Pawel Pekala.

2009-07-09 [paul]	3.7.2cvs3

	* configure.ac
		use pkgconfig to check for the minimum required
		version of GnuTLS

2009-07-06 [colin]	3.7.2cvs2

	* src/prefs_customheader.c
		Fix build failure

2009-07-04 [paul]	3.7.2cvs1

	* tools/claws.i18n.status.pl
		updated

2009-07-03 [paul]	3.7.2

	* NEWS
	* README
	* RELEASE_NOTES	
		3.7.2 released!

2009-07-03 [paul]	3.7.1cvs85

	* AUTHORS
	* configure.ac
	* po/pt_PT.po
	* po/sk.po
	* src/gtk/authors.h
		added new translations by Tiago Faria and Slavko
	* po/bg.po
	* po/cs.po
	* po/de.po
	* po/es.po
	* po/fi.po
	* po/fr.po
	* po/hu.po
	* po/id.po
	* po/it.po
	* po/ja.po
	* po/pt_BR.po
	* po/ru.po
		updated by Yasen Pramatarov, David Vachulka, Stephan Sachse,
		Ricardo Mones, Tommi Pirinen, Colin Leroy, Pader Rezso,
		MSulchan Darmawan, Andrea Spadaccini, kazken3, Frederico
		Goncalves Guimaraes, Aleksei Miheev

2009-07-01 [colin]	3.7.1cvs84

	* src/prefs_common.c
		Fix bug 1940, 'Doesn't open links in 
		user's default browser'. Turn the preference
		to TRUE by default; that will only change the
		behaviour for new users.

2009-06-29 [colin]	3.7.1cvs83

	* src/filtering.c
	* src/filtering.h
	* src/prefs_filtering_action.c
		Fix bug 1935, 'problems with very long filtering actions':
		Use a dynamic buffer in action to string, and a bigger
		buffer in string to action

2009-06-29 [colin]	3.7.1cvs82

	* src/matcher_parser_lex.l
		Fix bug 1878, 'Processing rules for folders with brackets aren't saved'

2009-06-29 [colin]	3.7.1cvs81

	* src/addressbook.c
		Fix warnings
	* src/editgroup.c
		Fix crash (out-of-bounds tree column)
	* src/gtk/gtkcmctree.c
	* src/gtk/gtksctree.c
		Prevent using an out-of-bounds tree column

2009-06-29 [colin]	3.7.1cvs80

	* src/ldapupdate.c
	* src/ldif.c
		Leak fixes; patch by Pawel Pekala.

2009-06-26 [colin]	3.7.1cvs79

	* src/summaryview.c
		Sort by msgnum if dates are equal

2009-06-24 [paul]	3.7.1cvs78

	* src/summaryview.c
		make some (forgotten) strings translatable

2009-06-19 [colin]	3.7.1cvs77

	* src/summaryview.c
		Fix menu sensitiveness

2009-06-18 [colin]	3.7.1cvs76

	* configure.ac
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpcore/sgpgme.h
	* src/plugins/pgpmime/mypgpcore.def
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/smime/mypgpcore.def
	* src/plugins/smime/smime.c
		Use largefile support (and stop using our old GPGME
		hack on gpgme_data_seek/rewind)
		(See 1.9.12cvs44 to 46 - if this breaks things we 
		should soon know :)

2009-06-13 [colin]	3.7.1cvs75

	* src/gtk/spell_entry.c
		Fix assertion. We can put a NULL gtkaspell to
		an entry; it just means it won't be spell-checked.

2009-06-12 [mones]	3.7.1cvs74

	* src/compose.c
	* src/messageview.c
	* src/prefs_account.c
	* src/prefs_account.h
	* src/common/utils.c
	* src/common/utils.h
		Added preference to use account address in generated
		Message-Id. Fixes Debian bug #531052

2009-06-12 [colin]	3.7.1cvs73

	* src/common/ssl.c
		Better fix, API-compatible with libgnutls13

2009-06-12 [colin]	3.7.1cvs72

	* src/common/ssl.c
		Use compatibility mode in GnuTLS, and avoid problems with 
		servers that don't comply 100% with the spec, but still
		exist.

2009-06-06 [iwkse]	3.7.1cvs71

	* src/compose.c
		Ops..revert a mix with another patch

2009-06-06 [iwkse]	3.7.1cvs70

	* src/compose.c
		A better fix for the previous commit's issue

2009-06-06 [iwkse]	3.7.1cvs69

	* src/compose.c
		Fix shutting down of Claws Mail while a GTK_Return keypress 
		event is sent to the Attach property window

2009-06-05 [colin]	3.7.1cvs68

	* src/compose.c
		Fix build on GTK+ 2.6

2009-06-03 [mones]	3.7.1cvs67

	* tools/make.themes.project
		Oops! fix header, sorry Paul ;-)

2009-06-03 [mones]	3.7.1cvs66

	* tools/make.themes.project
		Add support for PNG themes and other
		fixes i don't remember now... :)

2009-06-02 [colin]	3.7.1cvs65

	* src/compose.c
	* src/prefs_template.c
	* src/quote_fmt.c
		Fix error messages in templates, and fix their
		checking

2009-05-22 [colin]	3.7.1cvs64

	* src/compose.c
		And remove hbox too

2009-05-22 [colin]	3.7.1cvs63

	* src/compose.c
		Fix phantom button behind entry when
		changing fields via Tools/Reply mode.

2009-05-22 [colin]	3.7.1cvs62

	* src/compose.c
		Fix icon size

2009-05-21 [mones]	3.7.1cvs61

	* src/compose.c
	* src/compose.h
		Add button to empty header lines with one click

2009-05-21 [paul]	3.7.1cvs60

	* src/mainwindow.c
	* src/mainwindow.h
	* src/plugins/trayicon/trayicon.c
		when quitting from the trayicon, honour
		prefs_common.clean_on_exit

2009-05-21 [paul]	3.7.1cvs59

	* src/gtk/Makefile.am
		remove duplicate entry
		thanks to Charles A Edwards

2009-05-19 [paul]	3.7.1cvs58

	* src/send_message.c
		clear progressbar in the statusbar on 'Cancel'

2009-05-16 [colin]	3.7.1cvs57

	* AUTHORS
	* src/gtk/authors.h
		Add Fabian

2009-05-16 [colin]	3.7.1cvs56

	* src/msgcache.c
		Remove msgnum>0 condition for removing messages
		from caches. There's no such condition on add.
		Fixes bug 1913, 'Allow to remove phantom 
		messages from the cache'; patch by Fabian
		Keil <fk at fabiankeil.de>

2009-05-12 [holger]	3.7.1cvs55

	* src/messageview.c
	* src/messageview.h
		Introduce hook after showing of the message view

2009-05-11 [colin]	3.7.1cvs54

	* src/compose.c
		Fix bug 1872, 'A: Cc: CCi: selector should 
		default on same as preceding contact'

2009-05-10 [holger]	3.7.1cvs53

	* src/addr_compl.c
	* src/addr_compl.h
		Add a hook to make it possible for plugins to
		modify the address completion list

2009-05-06 [paul]	3.7.1cvs52

	* src/folder.c
	* src/mimeview.c
		fix bug 1915, 'Mails signed with smime.p7s
		display both signed and attachment icon.'

2009-05-05 [colin]	3.7.1cvs51

	* src/common/utils.c
		Fix patch :)

2009-05-05 [colin]	3.7.1cvs50

	* src/common/utils.c
		Fix bug 1895, '(imap) cache issues when cache dir is on a 
		different mountpoint than tempdir'

2009-05-04 [colin]	3.7.1cvs49

	* src/msgcache.c
		Probably fix bug 1914, 'Crash reading
		corrupted tags file'

2009-04-26 [paul]	3.7.1cvs48

	* configure.ac
	* src/gtk/gtkaspell.h
		fix bug 1904, 'build mechanism looks for
		'enchant.h' in a wrong place'

2009-04-25 [paul]	3.7.1cvs47

	* src/printing.c
		gah! fix coding style!

2009-04-25 [paul]	3.7.1cvs46

	* src/printing.c
	* src/toolbar.c
		if building with GTK+ >= 2.16 use
		gtk_orientable_set_orientation() instead of now
		deprecated gtk_toolbar_set_orientation()

2009-04-24 [colin]	3.7.1cvs45

	* src/compose.c
		Ask before sending if an attached file has
		disappeared.

2009-04-19 [paul]	3.7.1cvs44

	* src/prefs_common.c
	* src/prefs_common.h
	* src/gtk/about.c
		save About window size.
		patch by Pawel Pekala

2009-04-12 [paul]	3.7.1cvs43

	* tools/csv2addressbook.pl
		add extra CSV fields that are now appended
		by thunderbird (version 2.0.0.21)

2009-04-08 [colin]	3.7.1cvs42

	* src/procmime.c
		fix saving (but not displaying) of UTF-16
		files

2009-04-08 [colin]	3.7.1cvs41

	* src/gtk/manage_window.c
		Disable transient windows on win32 - seems to
		fix most focusing issues

2009-04-05 [colin]	3.7.1cvs40

	* src/procmsg.c
		Don't ask whether we want to send deleted mails in queue
		folders; also, don't send deleted mails when flushing
		queues

2009-04-04 [paul]	3.7.1cvs39

	* AUTHORS
	* configure.ac
	* po/id.po
	* src/gtk/authors.h
	* tools/claws.i18n.status.pl
		add new Indonesian translation, by
		MSulchan Darmawan

2009-04-03 [paul]	3.7.1cvs38

	* AUTHORS
	* src/gtk/authors.h
		credit due

2009-04-03 [colin]	3.7.1cvs37

	* src/compose.c
	* src/textview.c
		Fix bug 1891, 'Add support for gopher:// links'
		Patch by Jacob Head <clawsmail at jacob-head.com>
		Let's go back to the roots! 

2009-04-03 [paul]	3.7.1cvs36

	* m4/Makefile.am
		complete cvs35

2009-04-03 [paul]	3.7.1cvs35

	* configure.ac
		add AC_CONFIG_MACRO_DIR([m4])
		remove CLAWS_ACLOCAL_INCLUDE(m4)
	* m4/aclocal-include.m4
		removed this now unneeded file

2009-04-02 [colin]	3.7.1cvs34

	* src/common/utils.h
		Fix previous (thanks to Marcus :)

2009-04-02 [colin]	3.7.1cvs33

	* src/common/utils.h
	* src/etpan/etpan-thread-manager.c
		pipe() was a macro from GLib on win32 until
		glib 2.13.2. It's undefined after that.
		Thanks to Marcus Brinkmann for the heads-up!

2009-03-31 [colin]	3.7.1cvs32

	* src/folder_item_prefs.c
		Copy folder settings with prefs

2009-03-31 [colin]	3.7.1cvs31

	* src/prefs_account.c
		Don't use un-sensitive checkboxes in Privacy tab
		when privacy system in None (makes unchecking 
		painful when no privacy plugin is loaded)

2009-03-30 [colin]	3.7.1cvs30

	* src/folder.c
	* src/folder.h
	* src/imap.c
	* src/mainwindow.c
	* src/mainwindow.h
	* src/prefs_account.c
	* src/prefs_account.h
	* src/summaryview.c
	* src/summaryview.h
		Fix bug 1866, 'Claws should make use of the IMAP 'deleted' flag'
		Add an option on the Receive page of IMAP account preferences:
		"Move deleted mails to trash and expunge immediately". This
		option defaults to TRUE to avoid changing the existing behaviour.
		Setting it to FALSE prevents automatic expunging. 
		Also, add Tools/Expunge and View/Hide deleted messages menu items
		(View/Hide deleted message being a per-folder setting, and behaving,
		like View/Hide read messages).

2009-03-30 [colin]	3.7.1cvs29

	* src/imap.c
		Fix Redhat bug 486422, Ubuntu bug 486422: Don't
		ask for IMAP password when using GSSAPI auth

2009-03-27 [colin]	3.7.1cvs28

	* src/folder.c
		Fix cvs14, make sure we mark non-existent caches dirty
		(or they never get written)

2009-03-27 [colin]	3.7.1cvs27

	* src/imap.c
		Fix tag update when all tags are removed 
		from another client

2009-03-25 [colin]	3.7.1cvs26

	* configure.ac
		Fix configure.ac, thanks to Pawel

2009-03-25 [colin]	3.7.1cvs25

	* src/news.c
	* src/etpan/nntp-thread.c
		Fix header fetching (NG/To/Cc). Fixes 
		bug 1883, 'Message processing fails to 
		act on Newsgroups: field'

2009-03-23 [colin]	3.7.1cvs24

	* src/textview.c
		Fix internal headers visible in queue/sent

2009-03-23 [colin]	3.7.1cvs23

	* configure.ac
		Fix check for RC (resource compiler) used
		on win32 (AC_LIBTOOL_RC used to call it 
		implicitely but stopped)

2009-03-19 [colin]	3.7.1cvs22

	* src/toolbar.c
		Put spam button in default toolbar even if
		bogofilter and spamassassin are not built.
		Other anti-spam plugin could exist! :)
	* src/common/utils.c
		Fix exit status fetch on win32

2009-03-18 [paul]	3.7.1cvs21

	* src/gtk/spell_entry.c
		fix "[BUG] Wrong word replaced in 'Subject:'
		when spell-checking correction used"
		Patch by Pawel Pekala

2009-03-17 [colin]	3.7.1cvs20

	* src/common/utils.c
		Fix win32 build (from cvs12)

2009-03-17 [colin]	3.7.1cvs19

	* src/compose.c
		Fix bug 1735, 'Change To: and Newsgroups: 
		recipient field according account type'
		Patch by Pawel

2009-03-17 [colin]	3.7.1cvs18

	* src/msgcache.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_other.c
	* src/common/prefs.c
		Add preference for fsyncing metadata

2009-03-16 [paul]	3.7.1cvs17

	* src/prefs_customheader.c
		add forgotten #if HAVE_LIBCOMPFACE

2009-03-16 [paul]	3.7.1cvs16

	* src/prefs_customheader.c
		put the (X-)Face preview image below the up/down
		buttons so they don't jump around.
		make the list reorderable by drag'n'drop

2009-03-16 [colin]	3.7.1cvs15

	* src/prefs_customheader.c
		Add a (X-)Face preview. Patch by iwkse.

2009-03-16 [colin]	3.7.1cvs14

	* src/compose.c
	* src/folder.c
	* src/folder.h
	* src/msgcache.c
	* src/common/prefs.c
		Add fsync calls to make sure we don't
		lose data on system crashes. (to do:
		add a pref to allow people choosing raw
		speed)

2009-03-15 [colin]	3.7.1cvs13

	* src/gtk/gtkaspell.c
		Fix empty menu when there are no
		suggestions (using the Spelling menu)

2009-03-14 [colin]	3.7.1cvs12

	* src/common/utils.c
		Win32: fix subject prefix length

2009-03-11 [mones]	3.7.1cvs11

	* po/es.po
		fix encoding declared in header
		update translation now we're at it

2009-03-10 [colin]	3.7.1cvs10

	* src/messageview.c
		Fix "wrong mime" message printed out multiple
		times

2009-03-10 [colin]	3.7.1cvs9

	* src/prefs_folder_item.c
		Fix build

2009-03-09 [paul]	3.7.1cvs8

	* src/prefs_folder_item.c
	* src/send_message.c
		fixes to english text

2009-03-08 [paul]	3.7.1cvs7

	* po/ja.po
		correct errors in header

2009-03-08 [paul]	3.7.1cvs6

	* AUTHORS
	* configure.ac
	* po/ja.po
	* src/gtk/authors.h
	* tools/claws.i18n.status.pl
		add Japanese translation, submitted by kazken3

2009-03-07 [colin]	3.7.1cvs5

	* src/messageview.c
		Don't let the invalid MIME warning hide
		other noticeview (Partial receive or 
		return receipt).

2009-03-07 [colin]	3.7.1cvs4

	* src/procmime.c
		Fix build

2009-03-07 [colin]	3.7.1cvs3

	* src/messageview.c
	* src/procmime.c
	* src/procmime.h
		Handle mimeparts that lack an end boundary.
		They're invalid but it's too annoying for
		normal users to fix.

2009-03-06 [wwp]	3.7.1cvs2

	* src/compose.c
	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/prefs_folder_item.c
		Add per-folder default cc, bcc and reply-to.

2009-03-06 [colin]	3.7.1cvs1

	* src/gedit-print.c
	* src/gtk/gtksourceprintjob.c
		Fix build with old print interface

2009-03-06 [paul]	3.7.1

	* NEWS
	* README
	* RELEASE_NOTES	
		3.7.1 released!

2009-03-06 [paul]	3.7.0cvs78

	* po/cs.po
	* po/de.po
	* po/fi.po
	* po/fr.po
	* po/hu.po
	* po/nl.po
	* po/pt_BR.po
	* po/sv.po
	* po/zh_CN.po
		updated by David Vachulka, Stephan Sachse, Flammie
		Pirinen, Colin Leroy, Pader Rezso, Marcel Pol,
		Frederico Goncalves Guimaraes, Lars Persson Fink,
		and Ralph Young

2009-03-03 [colin]	3.7.0cvs77

	* src/prefs_filtering.c
		Win32: Fix bug 1865, 'IMAP account name changes 
		are not followed at filter actions'

2009-03-02 [colin]	3.7.0cvs76

	* src/imap.c
		Fix Launchpad bug 335571: 'claws-mail crashed 
		with SIGSEGV in strlen() while deleting 
		large amount of e-mails on IMAP account

2009-02-27 [mones]	3.7.0cvs75

	* manual/es/account.xml
	* manual/es/ack.xml
	* manual/es/addrbook.xml
	* manual/es/advanced.xml
	* manual/es/claws-mail-manual.xml
	* manual/es/faq.xml
	* manual/es/glossary.xml
	* manual/es/gpl.xml
	* manual/es/handling.xml
	* manual/es/intro.xml
	* manual/es/keyboard.xml
	* manual/es/plugins.xml
	* manual/es/starting.xml
		Sync with English version, fix some typos
		Changed encoding to UTF-8
	* po/es.po
		Update for release, changed encoding to UTF-8

2009-02-24 [colin]	3.7.0cvs74

	* src/printing.c
		Don't print separation line if there
		are no headers

2009-02-23 [cleroy]	3.7.0cvs73

	* src/account.c
	* src/action.c
	* src/addr_compl.c
	* src/addrbook.c
	* src/addrcache.c
	* src/addrcindex.c
	* src/addrclip.c
	* src/addrduplicates.c
	* src/addressadd.c
	* src/addressbook.c
	* src/addressbook_foldersel.c
	* src/addrharvest.c
	* src/addrindex.c
	* src/addritem.c
	* src/addrquery.c
	* src/addrselect.c
	* src/codeconv.c
	* src/compose.c
	* src/customheader.c
	* src/editaddress.c
	* src/editaddress_other_attributes_ldap.c
	* src/editgroup.c
	* src/editldap.c
	* src/enriched.c
	* src/exporthtml.c
	* src/exportldif.c
	* src/filtering.c
	* src/folder.c
	* src/foldersel.c
	* src/folderutils.c
	* src/folderview.c
	* src/gedit-print.c
	* src/html.c
	* src/imap.c
	* src/imap_gtk.c
	* src/inc.c
	* src/jpilot.c
	* src/ldapctrl.c
	* src/ldapquery.c
	* src/ldapserver.c
	* src/ldapupdate.c
	* src/ldif.c
	* src/localfolder.c
	* src/main.c
	* src/mainwindow.c
	* src/matcher.c
	* src/mbox.c
	* src/messageview.c
	* src/mh.c
	* src/mh_gtk.c
	* src/mimeview.c
	* src/msgcache.c
	* src/mutt.c
	* src/news.c
	* src/news_gtk.c
	* src/noticeview.c
	* src/pine.c
	* src/pop.c
	* src/prefs_account.c
	* src/prefs_actions.c
	* src/prefs_common.c
	* src/prefs_filtering.c
	* src/prefs_filtering_action.c
	* src/prefs_folder_column.c
	* src/prefs_folder_item.c
	* src/prefs_gtk.c
	* src/prefs_matcher.c
	* src/prefs_quote.c
	* src/prefs_send.c
	* src/prefs_summaries.c
	* src/prefs_summary_column.c
	* src/prefs_template.c
	* src/prefs_themes.c
	* src/prefs_toolbar.c
	* src/printing.c
	* src/privacy.c
	* src/procheader.c
	* src/procmime.c
	* src/procmsg.c
	* src/quote_fmt.c
	* src/remotefolder.c
	* src/send_message.c
	* src/sourcewindow.c
	* src/statusbar.c
	* src/stock_pixmap.c
	* src/summary_search.c
	* src/summaryview.c
	* src/textview.c
	* src/toolbar.c
	* src/undo.c
	* src/uri_opener.c
	* src/vcard.c
	* src/common/base64.c
	* src/common/claws.c
	* src/common/hooks.c
	* src/common/plugin.c
	* src/common/prefs.c
	* src/common/session.c
	* src/common/smtp.c
	* src/common/socket.c
	* src/common/string_match.c
	* src/common/stringtable.c
	* src/common/utils.c
	* src/common/utils.h
	* src/common/xml.c
	* src/common/xmlprops.c
	* src/gtk/colorlabel.c
	* src/gtk/combobox.c
	* src/gtk/foldersort.c
	* src/gtk/gtkaspell.c
	* src/gtk/gtkcmclist.c
	* src/gtk/gtkcmctree.c
	* src/gtk/gtkcmoptionmenu.c
	* src/gtk/gtksctree.c
	* src/gtk/gtkshruler.c
	* src/gtk/gtksourceprintjob.c
	* src/gtk/gtkutils.c
	* src/gtk/gtkvscrollbutton.c
	* src/gtk/logwindow.c
	* src/gtk/menu.c
	* src/gtk/pluginwindow.c
	* src/gtk/prefswindow.c
	* src/gtk/quicksearch.c
	* src/gtk/spell_entry.c
	* src/plugins/pgpcore/select-keys.c
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/smime/smime.c
	* src/plugins/spamassassin/spamassassin_gtk.c
		Mass commit changing g_return_* to cm_return_*
		and making these more interesting

2009-02-23 [colin]	3.7.0cvs72

	* src/imap.c
		Always initialise error code to no error

2009-02-23 [colin]	3.7.0cvs71

	* src/imap.c
		Fix separator substitution

2009-02-23 [colin]	3.7.0cvs70

	* src/stock_pixmap.c
	* src/gtk/colorlabel.c
		don't use g_return on normal checks

2009-02-22 [colin]	3.7.0cvs69

	* src/addressbook.c
	* src/procmime.c
		More fixes

2009-02-22 [colin]	3.7.0cvs68

	* src/addrduplicates.c
	* src/addressbook.c
	* src/addrharvest.c
	* src/codeconv.c
	* src/compose.c
	* src/filtering.c
	* src/folder.c
	* src/imap.c
	* src/imap_gtk.c
	* src/importldif.c
	* src/jpilot.c
	* src/mainwindow.c
	* src/matcher.c
	* src/mbox.c
	* src/messageview.c
	* src/mh_gtk.c
	* src/prefs_common.c
	* src/prefs_filtering.c
	* src/prefs_gtk.c
	* src/printing.c
	* src/privacy.c
	* src/procmime.c
	* src/procmsg.c
	* src/summaryview.c
	* src/textview.c
	* src/undo.c
	* src/wizard.c
	* src/common/md5.c
	* src/common/socket.c
	* src/common/template.c
	* src/etpan/imap-thread.c
	* src/gtk/gtkaspell.c
	* src/gtk/gtkcmctree.c
	* src/gtk/gtksctree.c
	* src/gtk/inputdialog.c
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/smime/smime.c
	* src/plugins/spamassassin/spamassassin.c
		Fix errors caught by Coverity: NULL checks, leaks, overruns,
		uninitialised accesses

2009-02-17 [colin]	3.7.0cvs67

	* src/compose.c
		Disable controls during queuing

2009-02-15 [colin]	3.7.0cvs66

	* src/privacy.c
	* src/plugins/pgpcore/select-keys.c
	* src/plugins/pgpcore/sgpgme.c
		Disable use of disabled keys

2009-02-15 [colin]	3.7.0cvs65

	* src/folderview.c
	* src/summaryview.c
		Fix font updating after changing 
		prefs_common.derive_from_normal_font

2009-02-12 [paul]	3.7.0cvs64

	* src/addressitem.h
	* src/export.h
	* src/headerview.c
	* src/headerview.h
	* src/common/version.h.in
	* src/gtk/about.h
	* src/gtk/menu.c
	* src/gtk/menu.h
		more copyright header fixes

2009-02-12 [paul]	3.7.0cvs63

	* src/gtk/progressdialog.c
	* src/gtk/progressdialog.h
		fix copyright header

2009-02-12 [paul]	3.7.0cvs62

	* src/gtk/spell_entry.c
	* src/gtk/spell_entry.h
		better, more standard copyright header

2009-02-12 [paul]	3.7.0cvs61

	* src/gtk/spell_entry.c
	* src/gtk/spell_entry.h
		changes to copyright header

2009-02-12 [paul]	3.7.0cvs60

	* src/gtk/spell_entry.c
	* src/gtk/spell_entry.h
		fix broken build

2009-02-11 [colin]	3.7.0cvs59

	* src/gtk/spell_entry.c
	* src/gtk/spell_entry.h
		Forgot to add files

2009-02-11 [colin]	3.7.0cvs58

	* src/compose.c
	* src/gtk/Makefile.am
	* src/gtk/gtkaspell.c
	* src/gtk/gtkaspell.h
		Add spellcheck to subject. Patch by
		Pawel.

2009-02-10 [holger]	3.7.0cvs57

	* src/printing.c
	* src/common/defs.h
		Move filename define for printing page setup cache to defs.h

2009-02-08 [mones]	3.7.0cvs56

	* src/matcher.h
		Fix build for bison 2.4.1

2009-02-06 [holger]	3.7.0cvs55

	* src/prefs_common.c
	* src/prefs_common.h
	* src/printing.c
		Fix restoring of custom page setups for printing by
		temporarily caching the settings.
		This is a workaround for Gnome Bug #39018, and fixes
		Claws Mail Bug #1840.

2009-02-06 [colin]	3.7.0cvs54

	* src/mainwindow.c
		Fix hardcoded Shift-Q quits. Fixes
		bug 1838, 'Claws-Mail sometimes quits 
		when attempting to type a capital Q'

2009-01-31 [paul]	3.7.0cvs53

	* src/compose.c
		revert 3.7.0cvs49, until there is time to find out
		why it causes a nasty crash!

2009-01-31 [paul]	3.7.0cvs52

	* src/mainwindow.c
		1 string that was forgotten for translation

2009-01-31 [paul]	3.7.0cvs51

	* src/messageview.c
		2 strings that were forgotten for translation

2009-01-31 [paul]	3.7.0cvs50

	* src/gtk/prefswindow.c
		build prefs tree in a slightly smarter way -
		fix bug where if path[0] had same name as
		path[1], (like in the de translation), path[1]
		was lost and not shown in the window

2009-01-31 [paul]	3.7.0cvs49

	* src/compose.c
		fix bug 1836, 'Quoted text still blue after
		removal of quote-character'
		comment out some debug_print's that needlessly
		slow things down
	* src/undo.c
		comment out a debug_print that needlessly slows
		things down

2009-01-31 [paul]	3.7.0cvs48

	* src/summaryview.c
		fix bug 1834, '"semi"-selection when collapsing thread'

2009-01-31 [paul]	3.7.0cvs47

	* src/prefs_compose_writing.c
	* src/prefs_message.c
		move 'quote_chars' pref to where it should be

2009-01-30 [paul]	3.7.0cvs46

	* src/summaryview.c
		fix updating of popup menu sensitivity

2009-01-28 [paul]	3.7.0cvs45

	* tools/filter_conv_new.pl
		move 'move' and 'delete' to end of @actions
		so that they are always final actions in the
		generated filtering rule

2009-01-27 [paul]	3.7.0cvs44

	* src/messageview.c
		always select text/calendar mimepart if suitable
		plugin (i.e. vCalendar) is available

2009-01-27 [paul]	3.7.0cvs43

	* src/folder.c
		fix crash when right-clicking in summaryview when
		processing is active

2009-01-22 [colin]	3.7.0cvs42

	* src/compose.c
	* src/privacy.c
	* src/privacy.h
		When replying to signed/encrypted mail and the
		preference to sign/encrypt in this case is set,
		choose the original mail's privacy system (if
		available).

2009-01-21 [colin]	3.7.0cvs41

	* src/addressbook.h
		Fix warning (on-the-fly theming of
		addressbook isn't complete yet)

2009-01-21 [colin]	3.7.0cvs40

	* src/account.c
	* src/addressbook.c
		Win32: Fix window placement

2009-01-21 [paul]	3.7.0cvs39

	* src/inc.c
		update timeout log msg

2009-01-17 [colin]	3.7.0cvs38

	* src/main.c
	* src/mbox.c
	* src/common/md5.c
	* src/common/utils.c
	* src/etpan/imap-thread.c
		Fix g_open calls (which don't ignore mode)

2009-01-17 [colin]	3.7.0cvs37

	* src/addressbook.c
	* src/compose.c
	* src/foldersel.c
	* src/main.c
	* src/mainwindow.c
	* src/mbox.c
	* src/common/md5.c
	* src/common/ssl_certificate.c
	* src/common/tags.c
	* src/common/utils.c
	* src/etpan/imap-thread.c
	* src/plugins/bogofilter/bogofilter.c
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/smime/smime.c
		Probably fix bug 1825, 'Unable to fetch messages from 
		IMAP folders named with non-ASCII string'
		Change remaining occurences of fopen and open with
		g_fopen and g_open

2009-01-17 [paul]	3.7.0cvs36

	* manual/faq.xml
		update an old, outdated piece of info

2009-01-17 [paul]	3.7.0cvs35

	* src/prefs_folder_item.c
		fix bug where saving Folder Properties of a
		sub-folder of outbox, queue, draft or trash
		would change its parent's folder type to normal

2009-01-12 [mones]	3.7.0cvs34

	* po/es.po
		Updated translation

2009-01-12 [wwp]	3.7.0cvs33

	* tools/fix_date.sh
	* tools/popfile-link.sh
	* tools/textviewer.sh
		Fix bashisms and other portability glitches (thanks to
		Steven M. Bellovin).

2009-01-11 [paul]	3.7.0cvs32

	* src/addrindex.c
		clean up some build warnings

2009-01-11 [colin]	3.7.0cvs31

	* src/addrindex.c
		Revert part of patch 3.7.0cvs29 
		This function is used when jpilot
		support is disabled

2009-01-11 [colin]	3.7.0cvs30

	* src/folder.c
		folder_find_child_item_by_name():
		actually use name, not path's basename

2009-01-11 [paul]	3.7.0cvs29

	* src/addrclip.c
	* src/addrindex.c
	* src/addritem.c
	* src/foldersel.h
	* src/folderview.c
	* src/prefs_folder_item.c
		clean up some build warnings

2009-01-11 [paul]	3.7.0cvs28

	* src/gtk/about.c
		don't even mention printing support, assume its
		presence, unless building with GTK+ < 2.10.0

2009-01-10 [colin]	3.7.0cvs27

	* src/codeconv.c
		Fix bug 1811, '[mime] Crash when there's no 
		room for filename's start on the same line'
		When the mimetype of the attachment is very 
		long, there's no room at all to start the 
		name=... parameter on the same line. This
		caused an infinite loop as 0 characters of
		the filename could be appended.
		In such cases, insert linebreak before the
		name parameter.

2009-01-09 [colin]	3.7.0cvs26

	* src/compose.c
	* src/mainwindow.c
	* src/common/utils.c
		Win32: Fix bug 1815, 'Drag-n-Drop of files on 
		Compose Window does not attach'

2009-01-09 [colin]	3.7.0cvs25

	* src/foldersel.c
		Fix bug 1817, 'Changing Themes does not 
		update the pixmaps in "Select folder" 
		dialog box'

2009-01-09 [colin]	3.7.0cvs24

	* src/main.c
		Win32: Fix bug 1816, 'Attaching files with 
		command-line generates error after attaching'

2009-01-09 [paul]	3.7.0cvs23

	* src/gtk/about.c
		forgot this '2009' in last commit

2009-01-09 [paul]	3.7.0cvs22

	* src/*/*.[c,h]
		it's 2009!
		update copyright headers

2009-01-09 [paul]	3.7.0cvs21

	* doc/man/claws-mail.1
		update Team list

2009-01-09 [colin]	3.7.0cvs20

	* src/messageview.c
		Fix bug 1814, 'Windows' WM badly places 
		message view'

2009-01-09 [colin]	3.7.0cvs19

	* src/prefs_themes.c
	* src/stock_pixmap.c
	* src/stock_pixmap.h
	* src/common/utils.c
	* src/common/utils.h
		Win32: Fix bug 1813, 'Installing Theme Creates Error'

2009-01-08 [colin]	3.7.0cvs18

	* src/mimeview.c
		Win32: Fix bug 1810, 'Pressing 'o' key 
		crashes CM'

2009-01-07 [colin]	3.7.0cvs17

	* src/html.c
		Fix bug 1432, '&amp; not escaped in links (HTML 
		rendered as text)'

2009-01-06 [colin]	3.7.0cvs16

	* src/plugins/pgpcore/select-keys.c
		Warn translators the usual way about
		accels

2009-01-06 [colin]	3.7.0cvs15

	* src/mainwindow.c
		Fix synchronisation dialog that shouldn't
		appear when network goes down (Network
		Manager)
	* src/mimeview.c
	* src/textview.c
		Fix save as when attach_save_dir isn't set
		fixes bug 1804, 'attach_save_directory does 
		not default to $HOME'
	* src/plugins/pgpcore/select-keys.c
		Add mnemonics to buttons - warn translators!

2009-01-06 [wwp]	3.7.0cvs14

	* src/common/utils.c
		Fix cvs13, thanks to Colin.

2009-01-06 [wwp]	3.7.0cvs13

	* src/common/utils.c
		Better support for Spanish Outlook replies (RES).

2009-01-02 [colin]	3.7.0cvs12

	* src/folderview.c
		Fix (+) sign after collapsed folder names that 
		have quicksearch-matching children.
		Fixes bug 1506, 'Recursive search in collapsed 
		folders'

2009-01-02 [colin]	3.7.0cvs11

	* src/stock_pixmap.c
	* src/stock_pixmap.h
		Remove now-unused stock_pixmap_gdk

2009-01-02 [colin]	3.7.0cvs10

	* src/gtk/gtkutils.c
	* src/pixmaps/claws-mail_icon.xpm
		Use pixbuf for app icon, and make the app icon
		a bit nicer

2009-01-02 [colin]	3.7.0cvs9

	* src/uri_opener.c
		Show both link title and URI if possible

2009-01-02 [colin]	3.7.0cvs8

	* src/addressadd.c
	* src/addressbook.c
	* src/addressbook_foldersel.c
	* src/addressitem.h
	* src/folderview.c
	* src/grouplistdialog.c
	* src/importldif.c
	* src/mimeview.c
	* src/summaryview.c
	* src/gtk/gtkcmclist.c
	* src/gtk/gtkcmclist.h
	* src/gtk/gtkcmctree.c
	* src/gtk/gtkcmctree.h
	* src/gtk/gtksctree.c
	* src/gtk/gtksctree.h
		Implement pixbuf rendering in tree widgets
		instead of pixmaps
	* src/plugins/trayicon/trayicon.c
	* src/noticeview.c
	* src/prefs_themes.c
		Use pixbuf rendering here too

2008-12-30 [paul]	3.7.0cvs7

	* src/textview.c
		no need to prematurely trim the uri in the statusbar

2008-12-29 [paul]	3.7.0cvs6

	* src/procmsg.c
		prefer List-Id header to X-* headers when creating
		filter rule automatically

2008-12-28 [colin]	3.7.0cvs5

	* src/compose.c
		Set minimum height to 440 instead of 480

2008-12-22 [colin]	3.7.0cvs4

	* src/compose.c
		Fix bug 1799, '"Discard message" deletes manually 
		saved draft'. Switch rmode to REEDIT after 
		manually saving.

2008-12-21 [paul]	3.7.0cvs3

	* tools/claws.i18n.status.pl
		updates

2008-12-21 [paul]	3.7.0cvs2

	* AUTHORS
	* src/gtk/authors.h
		(more) updates

2008-12-21 [paul]	3.7.0cvs1

	* AUTHORS
	* src/gtk/authors.h
		updates

2008-12-19 [paul]	3.7.0

	* NEWS
	* README
	* RELEASE_NOTES	
		3.7.0 released!

2008-12-19 [paul]	3.6.1cvs80

	* configure.ac
		remove unmaintained sk and sr from ALL_LINGUAS
		add newly maintained cs to ALL_LINGUAS
	* po/bg.po
	* po/ca.po
	* po/cs.po
	* po/de.po
	* po/fi.po
	* po/hu.po
	* po/nl.po
	* po/pt_BR.po
	* po/ru.po
	* po/sv.po
		updated by Yasen Pramatarov, Miquel Oliete, David Vachulka,
		Stephan Sachse, Flammie Pirinen, Pï¿½der Rezso, Marcel Pol,
		Frederico Goncalves Guimaraes, Aleksei Miheev, and Lars
		Persson Fink

2008-12-16 [colin]	3.6.1cvs79

	* src/plugins/pgpcore/sgpgme.c
		Fix warning

2008-12-15 [colin]	3.6.1cvs78

	* src/compose.c
	* src/privacy.c
	* src/privacy.h
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/pgpcore/sgpgme.h
	* src/plugins/pgpinline/pgpinline.c
	* src/plugins/pgpmime/pgpmime.c
	* src/plugins/smime/smime.c
		Fix bug 1796, 'PGP/MIME setting: "select key by your 
		email address" doesn't work'. Use custom from address
		if set

2008-12-15 [colin]	3.6.1cvs77

	* src/common/utils.c
		Fix bug 1746, 'Makes a mailto link from several 
		paragraphs'

2008-12-15 [paul]	3.6.1cvs76

	* m4/spamassassin.m4
		fix warnings thrown up by autoconf-2.63

2008-12-13 [colin]	3.6.1cvs75

	* Makefile.am
	* src/Makefile.am
	* src/common/ssl.c
	* src/common/utils.c
	* src/common/utils.h
	* tools/Makefile.am
		Finish previous patch

2008-12-13 [colin]	3.6.1cvs74

	* tools/Makefile.am
		Only install certs on windows

2008-12-13 [colin]	3.6.1cvs73

	* tools/Makefile.am
	* tools/ca-certificates.crt
	* src/common/Makefile.am
	* src/common/ssl.c
		First try to ship SSL certificates in Windows
		build

2008-12-12 [colin]	3.6.1cvs72

	* configure.ac
	* src/plugins/pgpinline/claws.def
		Windows build fixes

2008-12-12 [paul]	3.6.1cvs71

	* src/imap.c
	* src/mh.c
	* src/partial_download.c
	* src/textview.c
	* src/common/claws.c
	* src/common/prefs.c
	* src/common/utils.c
		win32: fix unlinking, renaming and bug with
		non-ascii username
		Patch by Colin

2008-12-11 [colin]	3.6.1cvs70

	* po/fr.po
	* manual/fr/advanced.xml
		Update french translations

2008-12-10 [colin]	3.6.1cvs69

	* manual/faq.xml
		Correct bug submission guidelines

2008-12-10 [colin]	3.6.1cvs68

	* src/plugins/pgpcore/pgp_viewer.c
		Fix bug 1736, 'Key import does not work'
		Kill the correct pid (and not the parent
		shell), and increase the timeout a bit.

2008-12-09 [paul]	3.6.1cvs67

	* src/messageview.c
		ensure that any stray noticeview buttons are hidden,
		as clicking them causes segfaults!

2008-12-09 [colin]	3.6.1cvs66

	* src/compose.c
	* src/compose.h
	* src/folder_item_prefs.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/common/defs.h
		Fix bug 1792, '"Save Message to" should 
		retain list of recently selected folders'
		Also, make Enchant-related prefs stick
		even if the build doesn't enable enchant

2008-12-09 [paul]	3.6.1cvs65

	* src/messageview.c
		fix bug 1787, 'Prevent automatic PGP inline
		decryption attempts' use the noticeview to display
		decryption failure messages instead of the irritating
		popup dialog

2008-12-09 [colin]	3.6.1cvs64

	* src/prefs_filtering.c
		Fix bug 1789, 'filtering account selection 
		(regression)'. Filtering on sending-only
		accounts can be a little useful when using
		filtering via Tools menu.

2008-12-07 [paul]	3.6.1cvs63

	* src/prefs_actions.c
		don't auto-select first entry (same as other
		similar dialogs)
	* src/gtk/pluginwindow.c
		these parents don't have children so don't look
		for them

2008-12-07 [paul]	3.6.1cvs62

	* src/prefs_account.c
	* src/gtk/pluginwindow.c
	* src/gtk/prefswindow.c
	* src/gtk/prefswindow.h
		auto-select first page

2008-12-05 [colin]	3.6.1cvs61

	* src/codeconv.c
	* src/procmime.c
		Fix bug 1788, 'CM crashes re-encoding 
		encoded parameters' (introduced in cvs40)

2008-12-05 [paul]	3.6.1cvs60

	* src/prefs_common.h
		remove gpg prefs that are no longer needed here

2008-12-03 [colin]	3.6.1cvs59

	* src/msgcache.c
		Speed up cache reading (about 10% gain)
	* src/summaryview.c
	* src/gtk/gtksctree.c
		Speed up expand/collapse all threads
		(about 95% gain)

2008-12-03 [paul]	3.6.1cvs58

	* configure.ac
		eradicate gcc4's signedness warnings
		fix building with gnuTLS on (Open)Solaris

2008-12-01 [colin]	3.6.1cvs57

	* src/gtk/gtkcmclist.c
		Fix column headers

2008-12-01 [colin]	3.6.1cvs56

	* src/plugins/pgpinline/pgpinline.c
		Fix bug 1779, 'PGP Inline badly handles 
		multipart'. Properly dump the current part
		instead of running around with scissors

2008-11-30 [paul]	3.6.1cvs55

	* manual/advanced.xml
	* manual/plugins.xml
	* src/prefs_toolbar.c
		remove the verb from the page title and
		update references in the manual

2008-11-30 [paul]	3.6.1cvs54

	* src/prefs_other.c
		move Other/ page to Other/Miscellaneous
	* src/gtk/prefswindow.c
		make parent page unselectable

2008-11-29 [paul]	3.6.1cvs53

	* README
		add the new 'primary_paste_unselects' hidden
		option, add missing 'log_[...]_color' options,
		and reformat the text
	* manual/advanced.xml
		add the new 'primary_paste_unselects' hidden
                option, add missing 'log_[...]_color' options

2008-11-28 [colin]	3.6.1cvs52

	* src/mimeview.c
		Fix leak

2008-11-28 [colin]	3.6.1cvs51

	* po/fr.po
		Update translation

2008-11-28 [colin]	3.6.1cvs50

	* src/mainwindow.c
		Fix account selection in Mailing list
		menu

2008-11-28 [paul]	3.6.1cvs49

	* po/Makefile.in.in
		automatically remove obsolete strings

2008-11-28 [colin]	3.6.1cvs48

	* src/plugins/pgpcore/sgpgme.c
		Fix error message when key isn't available.

2008-11-27 [colin]	3.6.1cvs47

	* src/filtering.c
	* src/matcher.c
		Fix a little leak

2008-11-26 [colin]	3.6.1cvs46

	* src/common/ssl.c
		Fix new warning

2008-11-26 [colin]	3.6.1cvs45

	* src/plugins/pgpcore/select-keys.c
	* src/plugins/pgpcore/sgpgme.c
		Fix bug 1591, 'S/MIME: better key 
		handling/selection dialog'
		Really ignore revoked/expired keys

2008-11-26 [colin]	3.6.1cvs44

	* src/main.c
	* src/common/claws.c
	* src/common/ssl.c
		Make sure libgcrypt's threading is initialised
		before gnutls. See also old bug 1539.

2008-11-26 [colin]	3.6.1cvs43

	* src/imap.c
	* src/news.c
	* src/etpan/imap-thread.c
		Fix possible crashes due to clist_begin()
		not checking for NULLs (it should!)

2008-11-25 [colin]	3.6.1cvs42

	* src/procmime.c
		Fix line length in MIME parameters

2008-11-22 [paul]	3.6.1cvs41

	* src/compose.c
		grab Return key press in attachments Properties
		dialog

2008-11-21 [colin]	3.6.1cvs40

	* src/compose.c
	* src/procmime.c
		Fix bug 1776, 'use encoded name parameters 
		for attachments instead of ascii'.
		Break the RFC 2047 by using B-encoded 
		filename parameter, like everyone does,
		following advice from the RFC author.

2008-11-21 [colin]	3.6.1cvs39

	* src/common/socket.c
		Rehandshake if server asks to

2008-11-21 [colin]	3.6.1cvs38

	* src/mimeview.h
	* src/toolbar.h
	* src/common/session.h
	* src/common/smtp.h
		Move conditional-compilation members to
		end of structs

2008-11-19 [wwp]	3.6.1cvs37

	* src/prefs_actions.c
		Fixed wrong behaviour when pressing Escape (was not cancelling
		the action).

2008-11-19 [wwp]	3.6.1cvs36

	* src/compose.c
	* src/matcher.c
	* src/messageview.c
	* src/mimeview.c
	* src/prefs_actions.c
	* src/prefs_filtering_action.c
	* src/procmsg.c
	* src/summaryview.c
	* src/textview.c
	* src/common/utils.c
		Replace occurrences of "command line" with "command-line" everywhere.
		Enforce code style (mostly indentation) in prefs_actions.c.

2008-11-19 [colin]	3.6.1cvs35

	* src/compose.c
	* src/prefs_common.c
	* src/prefs_common.h
		Add primary_paste_unselects hidden preference
		to change how middle-click pasting changes
		the selection and insert point; defaults to
		pre-3.6.1cvs31

2008-11-19 [colin]	3.6.1cvs34

	* src/folderview.c
		Always give focus to summaryview, even if
		the folder is empty, in small screen layout.
		Allows to go back to folderlist using the
		keyboard.

2008-11-18 [colin]	3.6.1cvs33

	* src/mainwindow.h
		Put back conditional at the end of struct

2008-11-18 [colin]	3.6.1cvs32

	* src/procmime.c
	* src/common/w32_reg.c
		Fix crash on win32 when browsing to a
		directory

2008-11-15 [colin]	3.6.1cvs31

	* src/compose.c
		After a mid-click paste, deselect selection
		and go to end of paste.

2008-11-15 [colin]	3.6.1cvs30

	* src/compose.c
		Auto-save draft after external editor quits

2008-11-15 [colin]	3.6.1cvs29

	* src/plugins/pgpcore/sgpgme.c
		Fix wrong error display, thanks to
		Charles A. Edwards

2008-11-14 [colin]	3.6.1cvs28

	* src/prefs_actions.c
		Comment out bogus (IMO) warning

2008-11-14 [colin]	3.6.1cvs27

	* src/mainwindow.c
	* src/summaryview.c
	* src/summaryview.h
	* src/gtk/menu.c
	* src/gtk/menu.h
		Share summaryview's context menu actions with
		the equivalent menu items of the main menu;
		this allows to share accelerators and de-
		duplicate code.

2008-11-14 [colin]	3.6.1cvs26

	* src/plugins/pgpcore/sgpgme.c
		Fix bug 1768, 'claws-mail crashes while 
		checking smime bad signature'

2008-11-13 [colin]	3.6.1cvs25

	* src/account.c
	* src/filtering.c
		Fix redefinition of PREFSBUFSIZE

2008-11-13 [wwp]	3.6.1cvs24

	* tools/popfile-link.sh
		Add support for reusing existing POPFile session ID.

2008-11-12 [colin]	3.6.1cvs23

	* src/prefs_gtk.h
		Fix bug 1771, 'Folder template gets 
		truncated when exiting the application'
		Use a 32k buffer for string preferences

2008-11-11 [colin]	3.6.1cvs22

	* src/summaryview.c
		Fix "display sender using addressbook" when
		prefs_common.swap_from is in use. Patch by
		H. Merijn Brand

2008-11-11 [colin]	3.6.1cvs21

	* src/autofaces.c
	* src/common/md5.c
	* src/common/md5.h
		Make a few functions static

2008-11-07 [colin]	3.6.1cvs20

	* src/mainwindow.c
	* src/summaryview.c
		Fix crash when rebuilding colorlabel
		menu
	* src/addrgather.c
	* src/editldap.c
	* src/prefs_account.c
	* src/prefs_compose_writing.c
	* src/prefs_logging.c
	* src/prefs_message.c
	* src/prefs_other.c
	* src/prefs_receive.c
	* src/prefs_summaries.c
	* src/prefs_wrapping.c
	* src/plugins/bogofilter/bogofilter_gtk.c
	* src/plugins/pgpcore/prefs_gpg.c
	* src/plugins/spamassassin/spamassassin_gtk.c
		Fix deprecated use of page_size in 
		gtkspinbutton adjustments

2008-11-06 [mones]	3.6.1cvs19

	* src/mainwindow.c
		Fix missing "About" in Help menu
	* tools/claws.i18n.status.pl
		Fix header

2008-11-05 [colin]	3.6.1cvs18

	* src/action.c
	* src/main.c
	* src/mainwindow.c
	* src/common/socket.c
	* src/common/socket.h
	* src/gtk/gtkutils.c
	* src/gtk/gtkutils.h
		w32: Implement single launch (lock
		socket); always put debug log to
		the rc_dir; fix Start menu update
		after registering as default Mail 
		app

2008-11-05 [colin]	3.6.1cvs17

	* src/mainwindow.c
		Setting the Mail start menu item in HKCU 
		confuses the Internet Options dialog. Do 
		it in HKLM as this dialog does.

2008-11-04 [colin]	3.6.1cvs16

	* src/common/w32_reg.c
		Fix off-by-one

2008-11-04 [colin]	3.6.1cvs15

	* src/procmime.c
		w32: Fix getting content-type 
	* src/mimeview.c
	* src/prefs_common.c
	* src/prefs_common.h
	* src/prefs_ext_prog.c
	* src/textview.c
		w32: better integration (use the
		standard file associations instead
		of our platform-unadapted open
		dialog)
	* src/mainwindow.c
	* src/common/utils.c
	* src/common/w32_reg.c
	* src/common/w32lib.h
		w32: better integration (allow 
		setting Claws as default MUA)

2008-11-01 [colin]	3.6.1cvs14

	* src/codeconv.c
		Fix wrongly converted non-ascii characters
		when locale's charset is US-ASCII (strict-mode
		was failing in this case)

2008-10-30 [colin]	3.6.1cvs13

	* src/mimeview.c
	* src/mimeview.h
	* src/textview.c
	* src/textview.h
		Use one UI Manager per mimeview, instead of
		the global one -- else user_data pointer gets
		broken if opening and closing another message-
		view, then using right-click on a mimeview's 
		mimepart. Probably fixes bug 1711, 'Save-as
		attachment crashes'

2008-10-24 [paul]	3.6.1cvs12

	* tools/Makefile.am
	* tools/kdeservicemenu/claws-mail-attach-files.desktop.kde4template
	* tools/kdeservicemenu/install.sh
		another, possibly the final?, attempt on getting this
		sorted for kde4

2008-10-24 [paul]	3.6.1cvs11

	* tools/kdeservicemenu/install.sh
		fix servicemenu installation directory on kde4

2008-10-24 [paul]	3.6.1cvs10

	* tools/kdeservicemenu/README
	* tools/kdeservicemenu/install.sh
		add support for kde4 in addition to kde3.
		a rework involving checking for kde4-config, then
		kde-config, finally prompting the user for the
		location of either if they cannot be found
		

2008-10-18 [paul]	3.6.1cvs9

	* tools/claws.i18n.status.pl
		updated with latest translator info.
		only print for languages defined in %langname

2008-10-17 [paul]	3.6.1cvs8

	* src/plugins/pgpcore/sgpgme.c
		when listing the uid's, show the uid validity

2008-10-16 [paul]	3.6.1cvs7

	* INSTALL
		updated

2008-10-13 [wwp]	3.6.1cvs6

	* po/fr.po
		Updated French translation.

2008-10-11 [colin]	3.6.1cvs5

	* src/gtk/authors.h
		Fix bug 1756, "Outdated translators list in About 
		dialogue". Patch by Aleksei Miheev.

2008-10-11 [colin]	3.6.1cvs4

	* src/account.c
	* src/imap.c
	* src/inc.c
	* src/main.c
	* src/mainwindow.c
	* src/news.c
	* src/pop.c
	* src/pop.h
	* src/prefs_account.c
	* src/send_message.c
	* src/send_message.h
	* src/ssl_manager.c
	* src/ssl_manager.h
	* src/wizard.c
	* src/common/claws.c
	* src/common/defs.h
	* src/common/session.c
	* src/common/session.h
	* src/common/smtp.c
	* src/common/smtp.h
	* src/common/socket.c
	* src/common/socket.h
	* src/common/ssl.c
	* src/common/ssl.h
	* src/common/ssl_certificate.c
	* src/common/ssl_certificate.h
	* src/gtk/about.c
	* src/gtk/sslcertwindow.c
	* src/gtk/sslcertwindow.h
		Remove OpenSSL code

2008-10-11 [colin]	3.6.1cvs3

	* src/common/ssl_certificate.c
		Make local function static

2008-10-10 [colin]	3.6.1cvs2

	* src/common/ssl.h
	* src/common/ssl_certificate.c
	* src/gtk/sslcertwindow.c
		Add offline certificate verification,
		thanks to Nikos Mavrogiannopoulos for the
		hints

2008-10-10 [colin]	3.6.1cvs1

	* src/common/ssl_certificate.c
	* src/gtk/sslcertwindow.c
		Fix warnings

2008-10-10 [paul]	3.6.1

	* m4/spamassassin.m4
		remove openssl dross

	* NEWS
	* README
	* RELEASE_NOTES	
		3.6.1 released!

2008-10-10 [colin]	3.6.0cvs25

	* src/common/ssl.c
		Tell libetpan it doesn't need to init
		GnuTLS

2008-10-10 [colin]	3.6.0cvs24

	* claws-mail.pc.in
		Remove references to openssl

2008-10-09 [colin]	3.6.0cvs23

	* configure.ac
		Fix message

2008-10-09 [colin]	3.6.0cvs22

	* configure.ac
		Error out when building against openssl

2008-10-09 [colin]	3.6.0cvs21

	* configure.ac
	* COPYING
	* src/crash.c
	* src/main.c
	* src/gtk/about.c
		Disable OpenSSL due to requirement of
		OpenSSL exception. Code not removed yet,
		just in case, but disabled.

2008-10-09 [colin]	3.6.0cvs20

	* configure.ac
	* src/Makefile.am
	* src/crash.c
	* src/gedit-print.c
	* src/gedit-print.h
	* src/main.c
	* src/mainwindow.c
	* src/messageview.c
	* src/prefs_ext_prog.c
	* src/prefs_fonts.c
	* src/prefs_image_viewer.c
	* src/printing.c
	* src/printing.h
	* src/summaryview.c
	* src/gtk/Makefile.am
	* src/gtk/about.c
	* src/gtk/gtksourceprintjob.c
	* src/gtk/gtksourceprintjob.h
		Revert previous patch. It'd be better to remove
		OpenSSL instead, as GnuTLS works as well.

2008-10-09 [colin]	3.6.0cvs19

	* configure.ac
	* src/Makefile.am
	* src/crash.c
	* src/gedit-print.c
	* src/gedit-print.h
	* src/main.c
	* src/mainwindow.c
	* src/messageview.c
	* src/prefs_ext_prog.c
	* src/prefs_fonts.c
	* src/prefs_image_viewer.c
	* src/printing.c
	* src/printing.h
	* src/summaryview.c
	* src/gtk/Makefile.am
	* src/gtk/about.c
	* src/gtk/gtksourceprintjob.c
	* src/gtk/gtksourceprintjob.h
		Remove the libgnomeprint interface (deprecated,
		and fixes Debian's #501570, 'Copyright confusion')

2008-10-09 [colin]	3.6.0cvs18

	* configure.ac
		Require libetpan 0.57 (important fixes)

2008-10-08 [paul]	3.6.0cvs17

	* src/prefs_filtering_action.c
	* src/prefs_matcher.c
		enable re-ordering of the filtering/processing
		condition and actions lists by drag'n'drop

2008-10-08 [colin]	3.6.0cvs16

	* src/addressbook.c
		Fix wrong menu title

2008-10-07 [colin]	3.6.0cvs15

	* src/imap.c
		After thinking, revert this. It's only a minor
		annoyance to GSSAPI users, and I can't test this
		right now. Postponed until after next good release.

2008-10-07 [colin]	3.6.0cvs14

	* src/imap.c
		Don't ask for a password when using GSSAPI

2008-10-07 [colin]	3.6.0cvs13

	* src/mainwindow.c
		Fix build with GTK+ < 2.14

2008-10-07 [colin]	3.6.0cvs12

	* src/mainwindow.c
	* src/mainwindow.h
	* src/prefs_common.c
	* src/prefs_common.h
	* src/summaryview.c
	* src/gtk/colorlabel.c
		Fix bug 1749, 'Shortcut keys for color labels 
		not changeable'
		Make fullscreen a setting remembered between
		sessions

2008-10-07 [colin]	3.6.0cvs11

	* src/prefs_other.c
		Fix bug 1747, 'Wanderlust keybindings no longer 
		working (regression)'

2008-10-07 [colin]	3.6.0cvs10

	* src/mainwindow.c
		Make fullscreen a real menu item

2008-10-07 [colin]	3.6.0cvs9

	* src/mainwindow.c
		Make sure we won't save size when
		fullscreening

2008-10-06 [colin]	3.6.0cvs8

	* src/mainwindow.c
	* src/mainwindow.h
		Handle fullscreen via F11. Patch by
		Michael Rasmussen

2008-10-06 [colin]	3.6.0cvs7

	* src/common/ssl.c
		Fix return value when setting client cert

2008-10-04 [colin]	3.6.0cvs6

	* src/mimeview.c
		Fix bug 1742, 'Attachment list contents not 
		visible/scrollable'

2008-10-04 [paul]	3.6.0cvs5

	* src/mainwindow.c
		fix failure of Hide toolbar option on restart

2008-10-04 [colin]	3.6.0cvs4

	* src/addressbook.c
	* src/compose.c
	* src/mainwindow.c
	* src/messageview.c
	* src/summaryview.c
		Maemo: Fix bug 1737, Crashes upon opening

2008-10-04 [paul]	3.6.0cvs3

	* po/pt_BR.po
		submitted (just a little late) by Frederico
		Goncalves Guimaraes

2008-10-03 [wwp]	3.6.0cvs2

	* po/fr.po
		Many fixes, mostly in menus and accelerators.

2008-10-03 [colin]	3.6.0cvs1

	* src/gtk/filesel.c
		Allow network mounts with new GTKs: they're
		available via FUSE mounts and we don't need
		GVFS.

2008-10-03 [paul]	3.6.0

	* NEWS
	* README
	* RELEASE_NOTES	
		3.6.0 released!

2008-10-03 [paul]	3.5.0cvs145

	* configure.ac
	* po/bg.po
	* po/nl.po
	* po/ru.po
	* po/sv.po
		new translations. added by Yasen Pramatarov,
		Marcel Pol, Aleksei Miheev, and Lars Persson Fink
	* po/ca.po
	* po/de.po
	* po/fi.po
	* po/fr.po
	* po/hu.po
	* po/it.po
	* po/pl.po
	* po/zh_CN.po
		updated translations. submitted by Miquel Oliete,
		Stephan Sachse, Flammie Pirinen, wwp, Pader Rezo,
		Andrea Spadaccini, Emilian Nowak, and Ralph Young

2008-10-02 [colin]	3.5.0cvs144

	* src/common/session.c
		Fix crash when connection fails on windows

2008-10-01 [colin]	3.5.0cvs143

	* src/imap.c
		Real fix for FS-unsafe chars on win32

2008-10-01 [colin]	3.5.0cvs142

	* src/imap.c
		Encode prohibited filenames on win32

2008-09-30 [mones]	3.5.0cvs141

	* src/ldapctrl.c
	* src/main.c
	* src/prefs_themes.c
	* src/printing.c
		Fix output of some debug messages

2008-09-30 [colin]	3.5.0cvs140

	* src/addrbook.c
	* src/addrharvest.c
	* src/compose.c
	* src/jpilot.c
	* src/mh.c
	* src/prefs_themes.c
	* src/procheader.c
	* src/procmime.c
	* src/summaryview.c
	* src/common/utils.c
	* src/gtk/sslcertwindow.c
		Win32: Fix time usage; use g_stat

2008-09-29 [colin]	3.5.0cvs139

	* src/common/utils.c
		Fix case-sensitive match of subject
		prefixes on win32

2008-09-29 [colin]	3.5.0cvs138

	* src/folder_item_prefs.c
	* src/folder_item_prefs.h
	* src/matcher.c
	* src/prefs_folder_item.c
	* src/prefs_matcher.c
	* src/summaryview.c
	* src/common/string_match.c
	* src/common/utils.c
		Fix a huge leak (dozens of megs per folder
		change) on Windows: disable regexps 

2008-09-28 [paul]	3.5.0cvs137

	* po/en_GB.po
		updated

2008-09-27 [colin]	3.5.0cvs136

	* src/account.c
	* src/account.h
		Add accessor for cur_account

2008-09-27 [colin]	3.5.0cvs135

	* src/imap.c
		Fix crash when error happen on session establishment

2008-09-26 [mones]	3.5.0cvs134

	* po/es.po
		Updated for release

2008-09-26 [colin]	3.5.0cvs133

	* src/plugins/pgpcore/claws.def
		Fix symbol

2008-09-26 [colin]	3.5.0cvs132

	* src/prefs_common.c
	* src/prefs_common.h
	* src/plugins/pgpcore/pgp_viewer.c
		Add an accessor to prefs_common for plugins
		(Win32 fix)

2008-09-25 [colin]	3.5.0cvs131

	* src/main.c
		Fix bug 1725, 'useless lines in clawsrc'
	* src/plugins/smime/mypgpcore.def
		Add a missing symbol

2008-09-25 [paul]	3.5.0cvs130

	* src/plugins/smime/mypgpcore.def
	* src/plugins/smime/plugin.def
	* src/plugins/smime/version.rc
		add these windows-specific files
		(Thanks to Colin)

2008-09-25 [colin]	3.5.0cvs129

	* src/main.c
		Load standard plugins only on first run

2008-09-25 [colin]	3.5.0cvs128

	* src/codeconv.c
		Fix build...

2008-09-24 [colin]	3.5.0cvs127

	* src/codeconv.c
		Add nb_NO's charset (iso-8859-1)

2008-09-24 [colin]	3.5.0cvs126

	* src/common/utils.c
		Fix get_mail_base_dir() on windows
		(was synced from main ages ago)

2008-09-24 [colin]	3.5.0cvs125

	* src/main.c
	* src/wizard.c
		Integrate better with Windows' style

2008-09-23 [paul]	3.5.0cvs124

	* src/compose.c
	* src/mainwindow.c
	* src/messageview.c
		offer these strings to translators too 

2008-09-23 [colin]	3.5.0cvs123

	* configure.ac
		Add a --disable-dbus flag in case we want
		no DBUS even if headers are available (like
		for building gpg4win)
	* src/filtering.c
	* src/mainwindow.c
	* src/prefs_logging.c
	* src/common/utils.c
	* src/plugins/pgpcore/sgpgme.c
	* src/plugins/smime/claws.def
		Windows fixes:
		- disable filtering log (it's crashy for
		  some reason)
		- fix gmtime_r when time is -1 (before 01/01/70)
		- add symbols for smime

2008-09-22 [colin]	3.5.0cvs122

	* src/common/utils.c
	* src/account.c
		Remove raw printf
	* src/compose.c
		Fix cursor position after changing account
	* src/imap.c
	* src/mimeview.c
	* src/news.c
		Fix absolute path detection 

2008-09-21 [colin]	3.5.0cvs121

	* src/gtk/gtkaspell.c
		Don't try to use empty dictionaries

2008-09-20 [colin]	3.5.0cvs120

	* po/POTFILES.in
		Add the new files to the translations

2008-09-20 [colin]	3.5.0cvs119

	* configure.ac
	* src/plugins/Makefile.am
	* src/plugins/smime/Makefile.am
	* src/plugins/smime/plugin.c
	* src/plugins/smime/smime.c
	* src/plugins/smime/smime.deps
	* src/plugins/smime/smime.h
		Include S/Mime plugin in the main plugins
		Will ease the Gpg4win team's work

2008-09-20 [colin]	3.5.0cvs118

	* src/autofaces.c
	* src/compose.c
	* src/ldapquery.c
	* src/main.c
	* src/news.c
	* src/common/socket.c
	* src/gtk/gtkutils.c
	* src/plugins/pgpcore/claws.def
		Windows: more fixes, thanks to wwp and
		Marcus Brinkmann

2008-09-20 [colin]	3.5.0cvs117

	* src/imap.c
		Tell on which server errors happened

2008-09-20 [colin]	3.5.0cvs116

	* src/etpan/etpan-thread-manager.c
	* src/etpan/imap-thread.c
	* src/etpan/nntp-thread.c
		Windows: Fix hang on IMAP/NNTP

2008-09-20 [colin]	3.5.0cvs115

	* src/common/utils.c
		Fix bug 1723, "Buffer overflow crash caused by 
		preview in 'Date format help' dialog box"
		Also, optimise fast_strftime a bit :)

2008-09-18 [colin]	3.5.0cvs114

	* src/procmime.c
	* src/textview.c
		Check for NULLs before str* functions

2008-09-18 [colin]	3.5.0cvs113

	* src/messageview.c
	* src/procmime.c
	* src/textview.c
		Handle html parts in multipart/related
		Decode ISO-8859-1 as Windows-1252 (the former
		is a subset of the latter) in order to 
		workaround Outlook mails misencoding
	* src/gtk/logwindow.c
	* src/gtk/logwindow.h
		Clear mainwindow's error pixmap when the
		error scrolls out of the log

2008-09-17 [colin]	3.5.0cvs112

	* src/image_viewer.c
		Fix image loading (multiple childs added to 
		scrolledwindow, break of the resize functionality)
	* src/account.c
	* src/prefs_folder_item.c
	* src/prefs_spelling.c
	* src/gtk/gtkaspell.c
		Better fix problems with dictionaries updates

2008-09-17 [colin]	3.5.0cvs111

	* src/common/utils.c
		Fix double-opening (fixes multiple signatures when
		using signify)

2008-09-16 [colin]	3.5.0cvs110

	* src/prefs_account.c
	* src/prefs_folder_item.c
	* src/prefs_spelling.c
	* src/gtk/gtkaspell.c
		Better stripping of aspell dictionaries names

2008-09-16 [colin]

